2013-06-10  Timothy Hatcher  <timothy@apple.com>

        Remove Xcode 4 skin and only have the Xcode 5 look.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ButtonNavigationItem.css:
        (.navigation-bar .item.button.suppress-emboss.disabled > .glyph):
        * UserInterface/CodeMirrorOverrides.css:
        * UserInterface/DashboardView.css:
        (.toolbar .dashboard):
        (body.window-inactive .toolbar .dashboard):
        (.toolbar.collapsed .dashboard):
        (.toolbar.collapsed .dashboard > .logs):
        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView):
        (WebInspector.DashboardView.prototype._setItemEnabled):
        * UserInterface/DetailsSection.css:
        * UserInterface/DividerNavigationItem.css:
        (.navigation-bar .item.divider):
        * UserInterface/FilterBar.css:
        (.filter-bar > input[type="search"]):
        (.filter-bar > input[type="search"]::-webkit-input-placeholder):
        (.filter-bar > input[type="search"]:valid):
        * UserInterface/FindBanner.css:
        (.find-banner > input[type="search"]):
        (.find-banner > button):
        * UserInterface/HierarchicalPathComponent.css:
        * UserInterface/InstrumentSidebarPanel.css:
        * UserInterface/LayerTreeSidebarPanel.css:
        * UserInterface/Main.css:
        (#split-content-browser > .navigation-bar):
        * UserInterface/NavigationBar.css:
        * UserInterface/NavigationSidebarPanel.css:
        * UserInterface/RadioButtonNavigationItem.css:
        (.navigation-bar .item.radio.button.text-only.selected):
        * UserInterface/ResourceSidebarPanel.css:
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.treeElementForRepresentedObject):
        * UserInterface/ScopeBar.css:
        (.scope-bar > li):
        (.scope-bar > li:active):
        (.scope-bar > li:hover):
        (.scope-bar > li.selected):
        * UserInterface/SearchBar.css:
        (.search-bar > input[type="search"]):
        (.search-bar > input[type="search"]::-webkit-input-placeholder):
        (.search-bar > input[type="search"]:valid):
        * UserInterface/TimelinesContentView.css:
        (.content-view.timelines > .data-grid > .navigation-bar-container > .navigation-bar):

2013-06-08  Timothy Hatcher  <timothy@apple.com>

        Improve switching from the full view console to the Resource sidebar, so the previous resource is shown in the content browser again.

        Also cleans up my earlier changes and removes an assert that can fire often now.

        <rdar://problem/14075352> Jumping to a resource from the Timelines panel should reveal file in Resources sidebar when showing resource

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector.showFullHeightConsole):
        (WebInspector._sidebarCollapsedStateDidChange): Call _updateNavigationSidebarForCurrentContentView for the navigation sidebar.
        (WebInspector._revealAndSelectRepresentedObjectInNavigationSidebar): Only do this work if the sidebar is not collapsed. We don't
        want to deselect items if the sidebar is collapsed, preserving the selection is important when showing the sidebar later.
        (WebInspector._updateNavigationSidebarForCurrentContentView): Added. Split off from _navigationSidebarPanelSelected. Only do this work
        if the sidebar is not collapsed.
        (WebInspector._navigationSidebarPanelSelected): Call _updateNavigationSidebarForCurrentContentView.
        (WebInspector._contentBrowserCurrentContentViewDidChange): Clean up by returning early if there is no current content view.
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.treeElementForRepresentedObject): Remove an assert that can happen a lot now.

2013-06-07  Antoine Quint  <graouts@apple.com>

        <rdar://problem/14094308> Styles should come before Layers details sidebar

        Switch Layers and Styles.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel):
        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel):
        * UserInterface/Main.js:
        (WebInspector.contentLoaded):

2013-06-07  Timothy Hatcher  <timothy@apple.com>

        Keep the selected tree element in sync with the current content view.

        <rdar://problem/14075352> Jumping to a resource from the Timelines panel should reveal file in Resources sidebar when showing resource

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector._revealAndSelectRepresentedObjectInNavigationSidebar): Added.
        (WebInspector._navigationSidebarPanelSelected): Call _revealAndSelectRepresentedObjectInNavigationSidebar.
        (WebInspector._contentBrowserCurrentContentViewDidChange): Ditto.

2013-06-07  Timothy Hatcher  <timothy@apple.com>

        Keep the navigation sidebar and the current content view in sync with a set of allowed sidebars per content view.

        <rdar://problem/14075352> Jumping to a resource from the Timelines panel should reveal file in Resources sidebar when showing resource

        Reviewed by Antoine Quint.

        * UserInterface/ContentView.js:
        (WebInspector.ContentView.prototype.get allowedNavigationSidebarPanels): Added.
        * UserInterface/FrameContentView.js:
        (WebInspector.FrameContentView.prototype.get allowedNavigationSidebarPanels): Added.
        * UserInterface/Main.js:
        (WebInspector.showSplitConsole): Show the navigation sidebar if it was showing.
        (WebInspector.showFullHeightConsole): Hide the navigation sidebar and remember if it was showing.
        (WebInspector.toggleConsoleView): Show the sidebar if it was showing.
        (WebInspector._navigationSidebarPanelSelected): Ensure the navigation sidebar panel is allowed by the current content view.
        (WebInspector._contentBrowserCurrentContentViewDidChange): Ditto.
        * UserInterface/NavigationSidebarPanel.js:
        (WebInspector.NavigationSidebarPanel.prototype.showContentViewForCurrentSelection):
        (WebInspector.NavigationSidebarPanel.prototype.shown):
        * UserInterface/ProfileView.js:
        (WebInspector.ProfileView.prototype.get allowedNavigationSidebarPanels): Added.
        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype.get allowedNavigationSidebarPanels): Added.
        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView.prototype.get allowedNavigationSidebarPanels): Added.

2013-06-06  Timothy Hatcher  <timothy@apple.com>

        Properly filter into resources with a source map if they haven't been expanded yet.

        <rdar://problem/14072548> Resources filter shows "No Filter Results" after reload with SourceMaps

        Reviewed by Joseph Pecoraro.

        * UserInterface/NavigationSidebarPanel.js:
        (WebInspector.NavigationSidebarPanel.prototype._treeElementAddedOrChanged): Pass false to
        traverseNextTreeElement to cause the tree elements to be populated. This matches the interactive
        case when typing into the filter bar, which already worked with source maps.

2013-06-05  Antoine Quint  <graouts@apple.com>

        <rdar://problem/14077407> Jumping to an error in a JS file form the console highlights to white first before going back to red

        Remove the explicit ÒtoÓ color in the CSS animation we use to highlight a link
        in the text editor as it is revealed, which means the ÒtoÓ color will be the
        underlying color set on the element. This will animate to red for errors,
        yellow for warnings, and transparent for regular lines.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.css:
        (@-webkit-keyframes text-editor-highlight-fadeout):

2013-06-05  Antoine Quint  <graouts@apple.com>

        <rdar://problem/14077152> Activity viewer does not update error count for grouped errors when inspector is closed.

        Take into account the repeat count of an error when incrementing
        the message count.

        Reviewed by Timothy Hatcher.

        * UserInterface/DashboardManager.js:
        (WebInspector.DashboardManager.prototype._consoleMessageAdded):
        (WebInspector.DashboardManager.prototype._consoleMessageWasRepeated):
        (WebInspector.DashboardManager.prototype._incrementConsoleMessageType):

2013-06-05  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14072409> Pressing Enter/Esc when editing a breakpoint (conditional breakpoint) should dismiss popover

        Handle Esc and Enter on the <input> to dismiss the popover.
        This behaves like Xcode's breakpoint condition popover.

        Reviewed by Timothy Hatcher.

        * UserInterface/Breakpoint.js:
        (WebInspector.Breakpoint.prototype._popoverConditionInputKeyDown):
        (WebInspector.Breakpoint.prototype._editBreakpointPopoverContentElement):
        (WebInspector.Breakpoint.prototype._showEditBreakpointPopover):

2013-06-05  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14054886> Pressing Enter in a blank console should do nothing, not insert a newline

        Reviewed by Antoine Quint.

        * UserInterface/ConsolePrompt.js:

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Add/update copyright and license to all the user interface files in
        preparation for open sourcing to WebKit.

        Rubber-stamped by Antoine Quint.

        * UserInterface/ActivateButtonNavigationItem.js:
        * UserInterface/ActivateButtonToolbarItem.js:
        * UserInterface/ApplicationCacheDetailsSidebarPanel.js:
        * UserInterface/ApplicationCacheFrame.js:
        * UserInterface/ApplicationCacheFrameContentView.css:
        * UserInterface/ApplicationCacheFrameContentView.js:
        * UserInterface/ApplicationCacheFrameTreeElement.js:
        * UserInterface/ApplicationCacheIcons.css:
        * UserInterface/ApplicationCacheManager.js:
        * UserInterface/ApplicationCacheManifest.js:
        * UserInterface/ApplicationCacheManifestTreeElement.js:
        * UserInterface/ApplicationCacheObserver.js:
        * UserInterface/BinarySearch.js:
        * UserInterface/BlankStylePropertiesSection.js:
        * UserInterface/BottomUpProfileDataGridTree.js:
        * UserInterface/BoxModelDetailsSectionRow.css:
        * UserInterface/BoxModelDetailsSectionRow.js:
        * UserInterface/Branch.js:
        * UserInterface/BranchManager.js:
        * UserInterface/Breakpoint.css:
        * UserInterface/Breakpoint.js:
        * UserInterface/BreakpointIcons.css:
        * UserInterface/BreakpointTreeElement.css:
        * UserInterface/BreakpointTreeElement.js:
        * UserInterface/ButtonNavigationItem.css:
        * UserInterface/ButtonNavigationItem.js:
        * UserInterface/ButtonToolbarItem.css:
        * UserInterface/ButtonToolbarItem.js:
        * UserInterface/CSSCompletions.js:
        * UserInterface/CSSKeywordCompletions.js:
        * UserInterface/CSSMedia.js:
        * UserInterface/CSSObserver.js:
        * UserInterface/CSSProperty.js:
        * UserInterface/CSSRule.js:
        * UserInterface/CSSSelectorProfileObject.js:
        * UserInterface/CSSSelectorProfileType.js:
        * UserInterface/CSSSelectorProfileView.js:
        * UserInterface/CSSStyleDeclaration.js:
        * UserInterface/CSSStyleDeclarationSection.css:
        * UserInterface/CSSStyleDeclarationSection.js:
        * UserInterface/CSSStyleDeclarationTextEditor.css:
        * UserInterface/CSSStyleDeclarationTextEditor.js:
        * UserInterface/CSSStyleDetailsSidebarPanel.css:
        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        * UserInterface/CSSStyleManager.js:
        * UserInterface/CSSStyleSheet.js:
        * UserInterface/CallFrame.js:
        * UserInterface/CallFrameIcons.css:
        * UserInterface/CallFrameTreeElement.js:
        * UserInterface/ClusterContentView.css:
        * UserInterface/ClusterContentView.js:
        * UserInterface/CodeMirrorAdditions.js:
        * UserInterface/CodeMirrorCompletionController.css:
        * UserInterface/CodeMirrorCompletionController.js:
        * UserInterface/CodeMirrorFormatters.js:
        * UserInterface/CodeMirrorOverrides.css:
        * UserInterface/CodeMirrorTokenTrackingController.css:
        * UserInterface/CodeMirrorTokenTrackingController.js:
        * UserInterface/Color.js:
        * UserInterface/CompletionSuggestionsView.css:
        * UserInterface/CompletionSuggestionsView.js:
        * UserInterface/ComputedStyleDetailsPanel.js:
        * UserInterface/ConsoleCommand.js:
        * UserInterface/ConsoleCommandResult.js:
        * UserInterface/ConsoleGroup.js:
        * UserInterface/ConsoleMessage.js:
        * UserInterface/ConsoleMessageImpl.js:
        * UserInterface/ConsoleObserver.js:
        * UserInterface/ConsolePrompt.css:
        * UserInterface/ConsolePrompt.js:
        * UserInterface/ContentBrowser.css:
        * UserInterface/ContentBrowser.js:
        * UserInterface/ContentView.css:
        * UserInterface/ContentView.js:
        * UserInterface/ContentViewContainer.css:
        * UserInterface/ContentViewContainer.js:
        * UserInterface/ContextMenu.js:
        * UserInterface/ControlToolbarItem.css:
        * UserInterface/ControlToolbarItem.js:
        * UserInterface/CookieIcon.css:
        * UserInterface/CookieStorageContentView.css:
        * UserInterface/CookieStorageContentView.js:
        * UserInterface/CookieStorageObject.js:
        * UserInterface/CookieStorageTreeElement.js:
        * UserInterface/DOMDetailsSidebarPanel.js:
        * UserInterface/DOMNode.js:
        * UserInterface/DOMNodeDetailsSidebarPanel.js:
        * UserInterface/DOMNodeStyles.js:
        * UserInterface/DOMObserver.js:
        * UserInterface/DOMSearchMatchObject.js:
        * UserInterface/DOMStorageContentView.css:
        * UserInterface/DOMStorageContentView.js:
        * UserInterface/DOMStorageIcons.css:
        * UserInterface/DOMStorageObject.js:
        * UserInterface/DOMStorageObserver.js:
        * UserInterface/DOMStorageTreeElement.js:
        * UserInterface/DOMTree.js:
        * UserInterface/DOMTreeContentView.css:
        * UserInterface/DOMTreeContentView.js:
        * UserInterface/DOMTreeElement.js:
        * UserInterface/DOMTreeElementPathComponent.js:
        * UserInterface/DOMTreeManager.js:
        * UserInterface/DOMTreeOutline.css:
        * UserInterface/DOMTreeOutline.js:
        * UserInterface/DOMTreeUpdater.js:
        * UserInterface/DOMUtilities.js:
        * UserInterface/DashboardManager.js:
        * UserInterface/DashboardView.css:
        * UserInterface/DashboardView.js:
        * UserInterface/DataGrid.css:
        * UserInterface/DataGrid.js:
        * UserInterface/DatabaseContentView.css:
        * UserInterface/DatabaseContentView.js:
        * UserInterface/DatabaseHostTreeElement.js:
        * UserInterface/DatabaseIcon.css:
        * UserInterface/DatabaseObject.js:
        * UserInterface/DatabaseObserver.js:
        * UserInterface/DatabaseTableContentView.css:
        * UserInterface/DatabaseTableContentView.js:
        * UserInterface/DatabaseTableIcon.css:
        * UserInterface/DatabaseTableObject.js:
        * UserInterface/DatabaseTableTreeElement.js:
        * UserInterface/DatabaseTreeElement.js:
        * UserInterface/DebuggerManager.js:
        * UserInterface/DebuggerObserver.js:
        * UserInterface/DebuggerSidebarPanel.css:
        * UserInterface/DebuggerSidebarPanel.js:
        * UserInterface/DetailsSection.css:
        * UserInterface/DetailsSection.js:
        * UserInterface/DetailsSectionDataGridRow.js:
        * UserInterface/DetailsSectionGroup.js:
        * UserInterface/DetailsSectionPropertiesRow.js:
        * UserInterface/DetailsSectionRow.js:
        * UserInterface/DetailsSectionSimpleRow.js:
        * UserInterface/DetailsSidebarPanel.css:
        * UserInterface/DetailsSidebarPanel.js:
        * UserInterface/DividerNavigationItem.css:
        * UserInterface/DividerNavigationItem.js:
        * UserInterface/Editing.css:
        * UserInterface/EditingSupport.js:
        * UserInterface/EventHandler.js:
        * UserInterface/EventListenerSection.js:
        * UserInterface/EventListenerSectionGroup.css:
        * UserInterface/EventListenerSectionGroup.js:
        * UserInterface/ExecutionContext.js:
        * UserInterface/ExecutionContextList.js:
        * UserInterface/FilterBar.css:
        * UserInterface/FilterBar.js:
        * UserInterface/FindBanner.css:
        * UserInterface/FindBanner.js:
        * UserInterface/FlexibleSpaceNavigationItem.css:
        * UserInterface/FlexibleSpaceNavigationItem.js:
        * UserInterface/FolderIcon.css:
        * UserInterface/FolderTreeElement.js:
        * UserInterface/FontResourceContentView.css:
        * UserInterface/FontResourceContentView.js:
        * UserInterface/Formatter.js:
        * UserInterface/FormatterContentBuilder.js:
        * UserInterface/FormatterSourceMap.js:
        * UserInterface/Frame.js:
        * UserInterface/FrameContentView.js:
        * UserInterface/FrameResourceManager.js:
        * UserInterface/FrameTreeElement.js:
        * UserInterface/GeneralTreeElement.js:
        * UserInterface/GeneralTreeElementPathComponent.js:
        * UserInterface/GenericResourceContentView.js:
        * UserInterface/Geometry.js:
        * UserInterface/HierarchicalPathComponent.css:
        * UserInterface/HierarchicalPathComponent.js:
        * UserInterface/HierarchicalPathNavigationItem.js:
        * UserInterface/ImageResourceContentView.css:
        * UserInterface/ImageResourceContentView.js:
        * UserInterface/ImageUtilities.js:
        * UserInterface/IndeterminateProgressSpinner.css:
        * UserInterface/IndeterminateProgressSpinner.js:
        * UserInterface/InspectorBackend.js:
        * UserInterface/InspectorFrontendAPI.js:
        * UserInterface/InspectorObserver.js:
        * UserInterface/InstrumentIcons.css:
        * UserInterface/InstrumentSidebarPanel.css:
        * UserInterface/InstrumentSidebarPanel.js:
        * UserInterface/IssueManager.js:
        * UserInterface/IssueMessage.js:
        * UserInterface/JavaScriptLogViewController.js:
        * UserInterface/JavaScriptProfileObject.js:
        * UserInterface/JavaScriptProfileType.js:
        * UserInterface/JavaScriptProfileView.css:
        * UserInterface/JavaScriptProfileView.js:
        * UserInterface/KeyboardShortcut.js:
        * UserInterface/LayerTreeDataGrid.js:
        * UserInterface/LayerTreeDataGridNode.js:
        * UserInterface/LayerTreeManager.js:
        * UserInterface/LayerTreeObserver.js:
        * UserInterface/LayerTreeSidebarPanel.css:
        * UserInterface/LayerTreeSidebarPanel.js:
        * UserInterface/LayoutTimelineDataGrid.js:
        * UserInterface/LayoutTimelineDataGridNode.js:
        * UserInterface/LayoutTimelineRecord.js:
        * UserInterface/LoadInspectorBackendCommands.js:
        * UserInterface/LoadLocalizedStrings.js:
        * UserInterface/LogContentView.css:
        * UserInterface/LogContentView.js:
        * UserInterface/LogIcon.css:
        * UserInterface/LogManager.js:
        * UserInterface/LogObject.js:
        * UserInterface/LogTreeElement.js:
        * UserInterface/MIMETypeUtilities.js:
        * UserInterface/Main.css:
        * UserInterface/Main.html:
        * UserInterface/Main.js:
        * UserInterface/MetricsStyleDetailsPanel.js:
        * UserInterface/NavigationBar.css:
        * UserInterface/NavigationBar.js:
        * UserInterface/NavigationItem.js:
        * UserInterface/NavigationSidebarPanel.css:
        * UserInterface/NavigationSidebarPanel.js:
        * UserInterface/NetworkDataGrid.css:
        * UserInterface/NetworkDataGrid.js:
        * UserInterface/NetworkGraphCalculator.js:
        * UserInterface/NetworkObserver.js:
        * UserInterface/NetworkTimeline.css:
        * UserInterface/Object.js:
        * UserInterface/ObjectPropertiesSection.js:
        * UserInterface/PageObserver.js:
        * UserInterface/PathComponentIcons.css:
        * UserInterface/Popover.css:
        * UserInterface/Popover.js:
        * UserInterface/ProfileManager.js:
        * UserInterface/ProfileObject.js:
        * UserInterface/ProfileType.js:
        * UserInterface/ProfileView.css:
        * UserInterface/ProfileView.js:
        * UserInterface/ProfilerObserver.js:
        * UserInterface/PropertiesSection.js:
        * UserInterface/QuickConsole.css:
        * UserInterface/QuickConsole.js:
        * UserInterface/QuickConsoleNavigationBar.js:
        * UserInterface/RadioButtonNavigationItem.css:
        * UserInterface/RadioButtonNavigationItem.js:
        * UserInterface/Resource.js:
        * UserInterface/ResourceClusterContentView.js:
        * UserInterface/ResourceCollection.js:
        * UserInterface/ResourceContentView.js:
        * UserInterface/ResourceDetailsSidebarPanel.js:
        * UserInterface/ResourceIcons.css:
        * UserInterface/ResourceSearchMatchObject.js:
        * UserInterface/ResourceSidebarPanel.css:
        * UserInterface/ResourceSidebarPanel.js:
        * UserInterface/ResourceTimelineDataGridNode.js:
        * UserInterface/ResourceTimelineDataGridNodePathComponent.js:
        * UserInterface/ResourceTimelineRecord.js:
        * UserInterface/ResourceTreeElement.css:
        * UserInterface/ResourceTreeElement.js:
        * UserInterface/Revision.js:
        * UserInterface/RulesStyleDetailsPanel.css:
        * UserInterface/RulesStyleDetailsPanel.js:
        * UserInterface/RuntimeObserver.js:
        * UserInterface/ScopeBar.css:
        * UserInterface/ScopeBar.js:
        * UserInterface/ScopeBarItem.js:
        * UserInterface/ScopeChainDetailsSidebarPanel.js:
        * UserInterface/ScopeChainNode.js:
        * UserInterface/ScopeVariableTreeElement.js:
        * UserInterface/Script.js:
        * UserInterface/ScriptContentView.css:
        * UserInterface/ScriptContentView.js:
        * UserInterface/ScriptTimelineDataGrid.js:
        * UserInterface/ScriptTimelineDataGridNode.js:
        * UserInterface/ScriptTimelineRecord.js:
        * UserInterface/ScriptTreeElement.js:
        * UserInterface/SearchBar.css:
        * UserInterface/SearchBar.js:
        * UserInterface/SearchIcons.css:
        * UserInterface/SearchResultTreeElement.js:
        * UserInterface/Section.css:
        * UserInterface/Section.js:
        * UserInterface/Setting.js:
        * UserInterface/Sidebar.css:
        * UserInterface/Sidebar.js:
        * UserInterface/SidebarPanel.js:
        * UserInterface/SourceCode.js:
        * UserInterface/SourceCodeLocation.js:
        * UserInterface/SourceCodePosition.js:
        * UserInterface/SourceCodeRevision.js:
        * UserInterface/SourceCodeTextEditor.css:
        * UserInterface/SourceCodeTextEditor.js:
        * UserInterface/SourceCodeTextRange.js:
        * UserInterface/SourceCodeTreeElement.js:
        * UserInterface/SourceMap.js:
        * UserInterface/SourceMapManager.js:
        * UserInterface/SourceMapResource.js:
        * UserInterface/SourceMapResourceTreeElement.js:
        * UserInterface/StorageManager.js:
        * UserInterface/StorageTreeElement.js:
        * UserInterface/StyleDetailsPanel.js:
        * UserInterface/StyleRuleIcons.css:
        * UserInterface/SyntaxHighlightingDefaultTheme.css:
        * UserInterface/SyntaxHighlightingSupport.js:
        * UserInterface/TextContentView.css:
        * UserInterface/TextContentView.js:
        * UserInterface/TextEditor.css:
        * UserInterface/TextEditor.js:
        * UserInterface/TextRange.js:
        * UserInterface/TextResourceContentView.css:
        * UserInterface/TextResourceContentView.js:
        * UserInterface/TimelineDataGrid.css:
        * UserInterface/TimelineDataGrid.js:
        * UserInterface/TimelineDecorations.css:
        * UserInterface/TimelineDecorations.js:
        * UserInterface/TimelineEventMarker.js:
        * UserInterface/TimelineManager.js:
        * UserInterface/TimelineObserver.js:
        * UserInterface/TimelineOverview.css:
        * UserInterface/TimelineOverview.js:
        * UserInterface/TimelineRecord.js:
        * UserInterface/TimelinesContentView.css:
        * UserInterface/TimelinesContentView.js:
        * UserInterface/TimelinesObject.js:
        * UserInterface/ToggleButtonNavigationItem.js:
        * UserInterface/ToggleControlToolbarItem.js:
        * UserInterface/Toolbar.css:
        * UserInterface/Toolbar.js:
        * UserInterface/TreeOutline.js:
        * UserInterface/Utilities.js:
        * UserInterface/WebInspector.js:

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Properly update the boundaries for the NetworkTransferTimeCalculator.

        It is expected that _lowerBound and _upperBound return NaN instead of 0.

        <rdar://problem/14040314> Web Inspector says it takes ~15,000 days to load developer library

        Reviewed by Joseph Pecoraro.

        * UserInterface/NetworkDataGrid.js:
        (WebInspector.NetworkDataGrid.prototype._updateHeaderTimes):
        * UserInterface/NetworkGraphCalculator.js:
        (WebInspector.NetworkTransferTimeCalculator.prototype._lowerBound):
        (WebInspector.NetworkTransferTimeCalculator.prototype._upperBound):
        * UserInterface/TimelineDecorations.js:
        (WebInspector.TimelineDecorations.prototype.updateHeaderTimes):

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Unlocalize the box model labels.

        <rdar://problem/14057745> [WebBrowser]: Euro: 13A476r: Box model should not be localized

        Reviewed by Ada Chan.

        * UserInterface/BoxModelDetailsSectionRow.js:
        (WebInspector.BoxModelDetailsSectionRow.prototype._updateMetrics):

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Syntax highlight inherit, initial and function names in CSS as keywords.

        Part of: <rdar://problem/14053613> "-webkit-transform" autocompletes with colon in -webkit-transition definition

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.requestCSSNameCompletions.propertyNamesCallback):
        Strip function parenthesis from names. Process the color list to strip function parenthesis from rgb(), etc.

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Improve the implicit suffix handling when editing in the middle of a CSS value.

        Part of: <rdar://problem/14053613> "-webkit-transform" autocompletes with colon in -webkit-transition definition

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._generateCSSCompletions):

2013-06-05  Timothy Hatcher  <timothy@apple.com>

        Autocomplete property names for transition and transition-property.

        Part of: <rdar://problem/14053613> "-webkit-transform" autocompletes with colon in -webkit-transition definition

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.prototype.get values):
        * UserInterface/CSSKeywordCompletions.js:
        (WebInspector.CSSKeywordCompletions.forProperty):

2013-06-04  Timothy Hatcher  <timothy@apple.com>

        Properly autocomplete CSS values if the property name is on a previous line.

        Part of: <rdar://problem/14053613> "-webkit-transform" autocompletes with colon in -webkit-transition definition

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._generateCSSCompletions):

2013-06-03  Timothy Hatcher  <timothy@apple.com>

        Add property names to the value keywords list so they are highlighted for -webkit-transition.

        <rdar://problem/14052662> "-webkit-transform" is not correctly highlighted when editing CSS resource

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.requestCSSNameCompletions.collectPropertyNameForCodeMirror):

2013-06-03  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14047312> Add New Rules sometimes doesn't do anything

        Better handle generating selectors for nodes with spaces in class or id attributes.

        Tests: (Cases that were failing before)

          <div class=" x "> => Before: (..x.)  After: (.x)
          <div id=" x ">    => Before: (# x )  After: (div[id=" x "])
          <div id='"x"'>    => Before: (#"x")  After: (div[id="\"x\""])

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMNode.js:
        (WebInspector.DOMNode.prototype.appropriateSelectorFor):
        * UserInterface/DOMUtilities.js:
        (WebInspector.displayNameForNode):

2013-06-03  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13932229> Update CSSKeywordCompletions.js for iOS properties

        Add support for the new Ò-appleÓ-prefixed values for the ÒfontÓ property.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSKeywordCompletions.js:

2013-06-03  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14047029> Exception CallFrameTreeElement.js:19: TypeError: 'null' is not an object (evaluating 'callFrame.sourceCodeLocation.displaySourceCode')

        Only include a subtitle for call frame tree elements if there is a
        source code location, because that is used to determine the subtitle.

        Reviewed by Timothy Hatcher.

        * UserInterface/CallFrameTreeElement.js:
        (WebInspector.CallFrameTreeElement):

2013-06-03  Timothy Hatcher  <timothy@apple.com>

        Hide the caret in read-only style declarations.

        <rdar://problem/14047344> Locked rules (UA stylesheets) in Styles sidebar shouldn't display a caret

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDeclarationTextEditor.css:
        (.css-style-text-editor.read-only > .CodeMirror .CodeMirror-cursor): Added.

2013-06-03  Timothy Hatcher  <timothy@apple.com>

        Correctly stop auto recording the Timeline after the load event or a maximum duration (which ever comes first).

        The original fix for <rdar://problem/13180009> was incorrect and caused <rdar://problem/13919974>
        and also caused infinite auto recording on pages with indefinite timers that rapidly adds records.

        <rdar://problem/14043180> REGRESSION (6.0.5-Curie): Safari Web Content: 100% CPU when using Inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        Don't call _stopAutoRecordingSoon for the DOMContent event.

        (WebInspector.TimelineManager.prototype._addRecord):
        Don't call _stopAutoRecordingSoon. Add the call to _resetAutoRecordingDeadTimeTimeout back.

        (WebInspector.TimelineManager.prototype._startAutoRecording):
        Use MaximumAutoRecordDuration instead of MaximumAutoRecordDurationAfterLastRecord for the timeout.

        (WebInspector.TimelineManager.prototype._stopAutoRecordingSoon):
        Remove the dead time timeout now that it is back in _addRecord.

2013-06-02  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14040519> BoxModelDetailsSectionRow.js:120: ERROR: TypeError: 'null' is not an object (evaluating 'style.propertyForName(width).value')

        Make the sidebar resilient against the possibility of an empty computed
        style object. The ultimate issue is that the DOM Tree does not have a
        selected node, but this could should be resilient anyways.

        Reviewed by Timothy Hatcher.

        * UserInterface/BoxModelDetailsSectionRow.js:
        (WebInspector.BoxModelDetailsSectionRow.prototype._updateMetrics):

2013-06-02  Joseph Pecoraro  <pecoraro@apple.com>

        Reveal line sometimes doesn't work with content right at the edge of the screen.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._isPositionVisible):

2013-05-31  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14039888> Should not have spellchecking during most HTML editing

        Allow EditingConfig to specify whether or not spellchecking should be enabled.
        Spellcheck is off by default, because most of the time it is code, and it is
        only enabled when editing a TextNode in the DOM Tree.

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeElement.js:
        (WebInspector.DOMTreeElement.prototype._startEditingTextNode):
        * UserInterface/EditingSupport.js:
        (WebInspector.EditingConfig):
        (.cleanUpAfterEditing):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14030289> Goto arrow from Timelines to autoformatted script not highlighting line correctly

        Previously the SourceCodeTextEditor was automatically formatting the
        content after the content was set on the TextEditor and some initial
        processing; such as revealing a pending position. This change lets
        the SourceCodeTextEditor signal to the TextEditor that it should
        automatically format the incoming string before the extra processing
        takes place. Now the pending position is updated in _prettyPrint,
        and revealed appropriately.

        Reviewed by Antoine Quint.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._contentWillPopulate):
        (WebInspector.SourceCodeTextEditor.prototype._contentDidPopulate):
        (WebInspector.SourceCodeTextEditor.prototype._populateWithContent):
        Move the auto formatting decision from didPopulate to willPopulate.
        If autoformatting is needed, we signal the TextEditor before setting
        the string.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.set string.update):
        (WebInspector.TextEditor.prototype.set string):
        (WebInspector.TextEditor.prototype.set autoFormat):
        Keep a boolean for whether or not we should auto format when setting
        the string. When setting the string, format if needed, after clearing
        the history and before any pending position reveals.

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14030289> Goto arrow from Timelines to autoformatted script not highlighting line correctly

        Rename "revealLine" to "revealPosition". Now, if the first reveal is
        for a position in pretty printed code, it can be remapped to an
        appropriate (line, column), instead of whatever (line, 0) mapped to.

        There is one bug fix here, the _prettyPrint in TextEditor was
        incorrectly doing this._lineNumberToReveal.lineNumber, which should
        have just been this._lineNumberToReveal. However, this code was not
        getting reached in its current form. That will be addressed in the
        next part.

        Reviewed by Antoine Quint.

        * UserInterface/FrameContentView.js:
        (WebInspector.FrameContentView.prototype.showSourceCode):
        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype.showResponse):
        (WebInspector.ResourceClusterContentView.prototype._resourceLoadingDidFinish):
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCode):
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCodeLocation):
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalUnformattedSourceCodeLocation):
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalOrFormattedSourceCodeLocation):
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCodeTextRange):
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalOrFormattedSourceCodeTextRange):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype.revealPosition):
        * UserInterface/TextContentView.js:
        (WebInspector.TextContentView.prototype.revealPosition):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.set string.update):
        (WebInspector.TextEditor.prototype.set string):
        (WebInspector.TextEditor.prototype.revealNextSearchResult):
        (WebInspector.TextEditor.prototype.line):
        (WebInspector.TextEditor.prototype.updateLayout):
        (WebInspector.TextEditor.prototype._textRangeFromCodeMirrorPosition):
        (WebInspector.TextEditor.prototype._codeMirrorPositionFromTextRange):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype.revealPosition):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14030289> Goto arrow from Timelines to autoformatted script not highlighting line correctly

        Add WebInspector.SourceCodePosition. Rather than passing lineNumber
        and columnNumber as separate parameters all over the place, we can
        pass a position object. Create positions as appropriate from other
        classes like SourceCodeLocation and TextRange.

        Reviewed by Antoine Quint.

        * UserInterface/Main.html:
        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.position):
        (WebInspector.SourceCodeLocation.prototype.formattedPosition):
        (WebInspector.SourceCodeLocation.prototype.displayPosition):
        * UserInterface/SourceCodePosition.js: Added.
        (WebInspector.SourceCodePosition):
        (WebInspector.SourceCodePosition.prototype.get lineNumber):
        (WebInspector.SourceCodePosition.prototype.get columnNumber):
        * UserInterface/TextRange.js:
        (WebInspector.TextRange.prototype.startPosition):
        (WebInspector.TextRange.prototype.endPosition):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14030289> Goto arrow from Timelines to autoformatted script not highlighting line correctly

        Remove a reveal that always happens with line number 0.

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector.toggleConsoleView):
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showMainFrameSourceCode):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        Unprefix uses of "-webkit-calc".

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSStyleDeclarationTextEditor.css:
        (.css-style-text-editor > .CodeMirror .CodeMirror-lines .color-swatch):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14028576> Inspector finds CSS color names in other strings

        Be a little more picky with our CSS regex, and include some post-processing
        to act as a negative lookbehind, which is not supported in JavaScript regexes.
        Do not allow color names that are prefixed or post-fixed with '-' or '.'.

        Tests cases that previously would have produced swatches:

          url(gold.png);
          url("fools-gold.png");
          url(fools.gold.png);

        Using a regex is of course an imperfect solution, but it covers the majority
        of cases and works well. It also allows us to detect colors in comments and
        provide color swatches for those. This allows us to filter out some more
        inappropriate cases.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor.prototype.):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._createColorSwatches):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14023649> No -webkit-filter autocompletion

        Add functions to CSS completion suggestions. When the completion
        suggestion is showing it has both parens, when committed, the cursor is
        placed inside the two parens so users can keep typing.

        This adds a bunch of common function completions.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSKeywordCompletions.js:
        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._commitCompletionHint):

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13994485> Hovering element breadcrumbs should highlight element on page

        When hovering DOMTreeElementPathComponents highlight the associated
        node on the page, like when you hover the DOMTreeElement.

        Reviewed by Dean Jackson.

        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent):
        (WebInspector.HierarchicalPathComponent.prototype._selectElementMouseOver):
        (WebInspector.HierarchicalPathComponent.prototype._selectElementMouseOut):
        Provide hooks for subclass mouseOver and mouseOut functions.

        * UserInterface/DOMTreeElementPathComponent.js:
        (WebInspector.DOMTreeElementPathComponent.prototype.get nextSibling):
        (WebInspector.DOMTreeElementPathComponent.prototype.mouseOver):
        (WebInspector.DOMTreeElementPathComponent.prototype.mouseOut):
        Implement the mouseOver and mouseOut to show / hide the DOM highlight.

2013-05-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14020206> Debugger popover not showing for "this"

        Allow popover for the keyword "this".

        Reviewed by Antoine Quint.

        * UserInterface/CodeMirrorTokenTrackingController.js:
        (WebInspector.CodeMirrorTokenTrackingController.prototype._processJavaScriptExpression):

2013-05-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14007495> Web Inspector has "Instruments," but this is already a feature in Xcode

        Rename the "Instruments" Navigation Sidebar to "Timelines". Marketing
        had concerns about using the same name in multiple places.

        Rubber-stamped by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel):

2013-05-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/14006550> Console errors persist when you navigate to other pages

        The console can clear in two ways, handle both events.

        Reviewed by Timothy Hatcher.

        * UserInterface/DashboardManager.js:
        (WebInspector.DashboardManager):

2013-05-27  Timothy Hatcher  <timothy@apple.com>

        Fix copy handeling for DataGrid.

        When text selection was disabled in r48866, that broke the copy event
        handlers for DataGrid. That change prevents focus from making a caret
        selection inside the DataGrid (it goes outside to the nearest selectable
        text). This broke bubbling of the copy event to the right elements.

        Reviewed by Antoine Quint.

        * UserInterface/DataGrid.js:
        (WebInspector.DataGrid):
        (WebInspector.DataGrid.prototype.handleBeforeCopyEvent):
        (WebInspector.DataGrid.prototype.handleCopyEvent):
        * UserInterface/Main.js:
        (WebInspector._beforecopy):
        (WebInspector._copy):

2013-05-27  Timothy Hatcher  <timothy@apple.com>

        Allow data grid value column's in details sections wrap to multiple lines.

        <rdar://problem/12329905> Can't easily view long header values

        Reviewed by Antoine Quint.

        * UserInterface/DataGrid.css:
        (.data-grid tr.selected):
        (.data-grid:focus tr.selected):
        * UserInterface/DetailsSection.css:
        (.details-section > .content .data-grid table.data):
        (.details-section > .content .data-grid tr:nth-child(even)):
        (.details-section > .content .data-grid tr:nth-child(odd)):
        (.details-section > .content .data-grid td.value-column):
        (.details-section > .content .data-grid td.value-column > div):

2013-05-27  Timothy Hatcher  <timothy@apple.com>

        Only add event markers for the main frame.

        The event markers for frame heavy pages are too noisy and not very
        useful. We also didn't distinguish frames in the marker tooltips.

        Reviewed by Antoine Quint.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        (WebInspector.TimelineManager.prototype.eventRecorded):

2013-05-26  Timothy Hatcher  <timothy@apple.com>

        Stop using a CSS drop-shadow filter for the Web Inspector popover.

        Use the existing background canvas to draw the drop shadow instead.

        <rdar://problem/13991902> Stop using CSS filters for Popover

        This also fixes:
        <rdar://problem/13977466> Popover arrow is not perfectly centered with content

        Reviewed by Joseph Pecoraro.

        * UserInterface/Popover.css:
        (.popover):
        (.popover > .container):
        * UserInterface/Popover.js:
        (WebInspector.Popover.prototype._update):
        (WebInspector.Popover.prototype._drawBackground):
        (WebInspector.Popover.prototype._bestMetricsForEdge):

2013-05-25  Timothy Hatcher  <timothy@apple.com>

        Show the popover after a delay so quickly arrowing down the grid does not flash the popover.

        Also prevent showing the popover if the element is hidden, which was happening sometimes for
        rows at the bottom which were marked as offscreen still. Put MIN_Y before MAX_X so the popover
        is more predictably positioned, and this matches NSPopover. Plus always clear the popover
        TreeOutline after giving the popover time to animate out when hiding.

        Reviewed by Joseph Pecoraro.

        * UserInterface/TimelineDataGrid.js:
        (WebInspector.TimelineDataGrid.prototype._dataGridSelectedNodeChanged):
        (WebInspector.TimelineDataGrid.prototype._showPopoverForSelectedNodeSoon.delayedWork):
        (WebInspector.TimelineDataGrid.prototype._showPopoverForSelectedNodeSoon):
        (WebInspector.TimelineDataGrid.prototype._hidePopover):
        (WebInspector.TimelineDataGrid.prototype._updatePopoverForSelectedNode):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Show a highlight quad on the screen when selecting a Layout/Paint record.

        If we know the Quad / Rect of a Paint / Layout we can highlight that
        portion on the inspected page. Unfortunately this information is not
        very useful after the page scrolls, but it can be useful.

        Reviewed by Timothy Hatcher.

        * UserInterface/Geometry.js:
        (WebInspector.Quad.prototype.toProtocol):
        * UserInterface/LayoutTimelineDataGrid.js:
        (WebInspector.LayoutTimelineDataGrid):
        (WebInspector.LayoutTimelineDataGrid.prototype.reset):
        (WebInspector.LayoutTimelineDataGrid.prototype.callFramePopoverAnchorElement):
        (WebInspector.LayoutTimelineDataGrid.prototype.hidden):
        (WebInspector.LayoutTimelineDataGrid.prototype._layoutDataGridSelectedNodeChanged):
        (WebInspector.LayoutTimelineDataGrid.prototype._hideHighlightIfNeeded):
        * UserInterface/TimelineDataGrid.js:
        (WebInspector.TimelineDataGrid.prototype.shown):
        (WebInspector.TimelineDataGrid.prototype.hidden):
        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView.prototype.showTimelineForRecordType):
        (WebInspector.TimelinesContentView.prototype.shown):
        (WebInspector.TimelinesContentView.prototype.hidden):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12656683> Show whole JS stack for layout & rendering triggers

        Clear the popover's contents when the content view is reset so
        we don't leak anything held by the CallFrameTreeElements.

        Reviewed by Timothy Hatcher.

        * UserInterface/NetworkDataGrid.js:
        (WebInspector.NetworkDataGrid.prototype.reset):
        * UserInterface/TimelineDataGrid.js:
        (WebInspector.TimelineDataGrid.prototype.reset):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12656683> Show whole JS stack for layout & rendering triggers

        Stack trace information is already available from the backend. Display
        it in a popover when the corresponding row in the data grid is selected.
        Users can then click a call frame to jump to that source code location.

        Because both Layout and Script timelines include call traces, this is
        made generic an put in TimelineDataGrid. Subclasses tell the superclass
        which element to anchor the popover next to, but the superclass handles
        showing the popover.

        Reviewed by Timothy Hatcher.

        * UserInterface/CallFrameTreeElement.js:
        (WebInspector.CallFrameTreeElement):
        Allow a CallFrameTreeElement for native code call frames. Such call
        frames don't have a source code location, so they have no subtitle.

        * UserInterface/Images/Native.pdf: Added.
        * UserInterface/CallFrameIcons.css:
        (.native-icon .icon):
        This is a duplicate of the DOMNode.pdf gray [N] icon.

        * UserInterface/Main.html:
        Include new files.

        * UserInterface/NetworkDataGrid.js:
        (WebInspector.NetworkDataGrid):
        * UserInterface/ScriptTimelineDataGrid.js: Added.
        (WebInspector.ScriptTimelineDataGrid):
        (WebInspector.ScriptTimelineDataGrid.prototype.callFramePopoverAnchorElement):
        * UserInterface/LayoutTimelineDataGrid.js: Added.
        (WebInspector.LayoutTimelineDataGrid):
        (WebInspector.LayoutTimelineDataGrid.prototype.callFramePopoverAnchorElement):
        Give each TimelineDataGrid subclass its own class. Implement only
        what is needed. The new subclasses provide the element for the
        superclass to anchor the call frame popover.

        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView):
        Instantiate the specific DataGrid types.

        * UserInterface/TimelineDataGrid.css: Added.
        * UserInterface/TimelineDataGrid.js:
        (WebInspector.TimelineDataGrid):
        (WebInspector.TimelineDataGrid.prototype.callFramePopoverAnchorElement):
        (WebInspector.TimelineDataGrid.prototype._scopeBarSelectedItemsDidChange):
        (WebInspector.TimelineDataGrid.prototype._dataGridSelectedNodeChanged):
        (WebInspector.TimelineDataGrid.prototype._windowResized):
        (WebInspector.TimelineDataGrid.prototype._hidePopover):
        (WebInspector.TimelineDataGrid.prototype._updatePopoverForSelectedNode):
        Show and manager the popover.

        (WebInspector.TimelineDataGrid.prototype._createPopoverContent):
        (WebInspector.TimelineDataGrid.prototype._popoverCallStackTreeElementSelected):
        Popover content is a TreeOutline containing CallFrameTreeElements.
        When a call frame is selected, reveal the source code location.

        * UserInterface/DataGrid.js:
        (WebInspector.DataGridNode.prototype.elementWithColumnIdentifier):
        Helper for accessing a specific <td> inside a <tr> by column name.

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Switch from "X" and "Y" to "Area" in the Layout Timeline

        For transformed paint rects an X, Y, Width and Height, didn't make
        sense, so the backend switched to quads. Instead of showing approximate
        values, like the bounding box, lets just remove unknowns and switch
        to showing the Area instead.

        Reviewed by Timothy Hatcher.

        * UserInterface/LayoutTimelineDataGridNode.js:
        (WebInspector.LayoutTimelineDataGridNode.prototype.createCellContent):
        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Restore Width and Height values for Layouts and Paints in Timeline

        The backend changed a while back from including rect values, to quad
        values. We should move away from X and Y and instead show Area.

        Reviewed by Timothy Hatcher.

        * UserInterface/Geometry.js:
        (WebInspector.Quad):
        Provide a wrapper object for the protocol Quad representation.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        (WebInspector.TimelineManager.prototype.eventRecorded):
        Ingest new and old Layout and Paint timeline record.

        * UserInterface/LayoutTimelineRecord.js:
        (WebInspector.LayoutTimelineRecord):
        (WebInspector.LayoutTimelineRecord.prototype.get area):
        (WebInspector.LayoutTimelineRecord.prototype.get rect):
        (WebInspector.LayoutTimelineRecord.prototype.get quad):
        A record may be wrapping a quad.

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Use SourceCodeLocations when displaying Script locations.

        Using SourceCodeLocations allows the locations to show formatted
        and display locations and is therefore more accurate. It also shows
        the tooltip and display strings consistent with the rest of the UI.

        Reviewed by Timothy Hatcher.

        * UserInterface/ScriptTimelineDataGridNode.js:
        (WebInspector.ScriptTimelineDataGridNode.prototype.createCellContent):
        * UserInterface/ScriptTimelineRecord.js:
        (WebInspector.ScriptTimelineRecord):
        (WebInspector.ScriptTimelineRecord.prototype.get lineNumber):
        (WebInspector.ScriptTimelineRecord.prototype.get callFrames):
        (WebInspector.ScriptTimelineRecord.prototype.get sourceCodeLocation):
        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        (WebInspector.TimelineManager.prototype.eventRecorded):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Add Script Timeline records for Installing / Removing Timelines

        We had records for TimerFired but not install / remove. It is sometimes
        useful to see the stack traces where timers are added and removed.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/ScriptTimelineRecord.js:
        (WebInspector.ScriptTimelineRecord.EventType.displayName):
        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        (WebInspector.TimelineManager.prototype.eventRecorded):

2013-05-24  Joseph Pecoraro  <pecoraro@apple.com>

        Remove some unused old style DataGrid events.

        These events are not used anywhere, and we have a new style event.

        Reviewed by Timothy Hatcher.

        * UserInterface/DataGrid.js:
        (WebInspector.DataGridNode.prototype.select):
        (WebInspector.DataGridNode.prototype.deselect):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        Turn off spellchecking on some text inputs.

        Reviewed by David Kilzer.

        * UserInterface/Breakpoint.js:
        (WebInspector.Breakpoint.prototype._editBreakpointPopoverContentElement):
        * UserInterface/FindBanner.js:
        (WebInspector.FindBanner):

2013-05-24  Timothy Hatcher  <timothy@apple.com>

        Tag all Web Inspector images with copyright info.

        Added to all images: Copyright © 2013 Apple Inc. All rights reserved.

        Requested by Joyce Chow.

        * UserInterface/Images/ApplicationCache.png:
        * UserInterface/Images/ApplicationCache@2x.png:
        * UserInterface/Images/ApplicationCacheManifest.png:
        * UserInterface/Images/ApplicationCacheManifest@2x.png:
        * UserInterface/Images/BackArrow.pdf:
        * UserInterface/Images/BottomUpTree.pdf:
        * UserInterface/Images/Breakpoint.png:
        * UserInterface/Images/Breakpoint@2x.png:
        * UserInterface/Images/BreakpointButton.pdf:
        * UserInterface/Images/BreakpointInactive.png:
        * UserInterface/Images/BreakpointInactive@2x.png:
        * UserInterface/Images/BreakpointInactiveButton.pdf:
        * UserInterface/Images/ClippingCSS.png:
        * UserInterface/Images/ClippingCSS@2x.png:
        * UserInterface/Images/ClippingGeneric.png:
        * UserInterface/Images/ClippingGeneric@2x.png:
        * UserInterface/Images/ClippingJS.png:
        * UserInterface/Images/ClippingJS@2x.png:
        * UserInterface/Images/Close.pdf:
        * UserInterface/Images/Colors.png:
        * UserInterface/Images/Colors@2x.png:
        * UserInterface/Images/Cookie.png:
        * UserInterface/Images/Cookie@2x.png:
        * UserInterface/Images/Crosshair.pdf:
        * UserInterface/Images/DOMCharacterData.pdf:
        * UserInterface/Images/DOMComment.pdf:
        * UserInterface/Images/DOMDocument.pdf:
        * UserInterface/Images/DOMDocumentType.pdf:
        * UserInterface/Images/DOMElement.pdf:
        * UserInterface/Images/DOMNode.pdf:
        * UserInterface/Images/DOMTextNode.pdf:
        * UserInterface/Images/DOMTree.pdf:
        * UserInterface/Images/Database.png:
        * UserInterface/Images/Database@2x.png:
        * UserInterface/Images/DatabaseTable.png:
        * UserInterface/Images/DatabaseTable@2x.png:
        * UserInterface/Images/DisclosureTriangleSmallClosed.pdf:
        * UserInterface/Images/DisclosureTriangleSmallOpen.pdf:
        * UserInterface/Images/DisclosureTriangleTinyClosed.pdf:
        * UserInterface/Images/DisclosureTriangleTinyOpen.pdf:
        * UserInterface/Images/DockBottom.pdf:
        * UserInterface/Images/DockRight.pdf:
        * UserInterface/Images/DocumentCSS.png:
        * UserInterface/Images/DocumentCSS@2x.png:
        * UserInterface/Images/DocumentFont.png:
        * UserInterface/Images/DocumentFont@2x.png:
        * UserInterface/Images/DocumentGeneric.png:
        * UserInterface/Images/DocumentGeneric@2x.png:
        * UserInterface/Images/DocumentImage.png:
        * UserInterface/Images/DocumentImage@2x.png:
        * UserInterface/Images/DocumentJS.png:
        * UserInterface/Images/DocumentJS@2x.png:
        * UserInterface/Images/DocumentMarkup.png:
        * UserInterface/Images/DocumentMarkup@2x.png:
        * UserInterface/Images/Error.pdf:
        * UserInterface/Images/ErrorSmall.pdf:
        * UserInterface/Images/Errors.svg:
        * UserInterface/Images/ErrorsEnabled.svg:
        * UserInterface/Images/EventListener.pdf:
        * UserInterface/Images/Exception.pdf:
        * UserInterface/Images/FilterFieldGlyph.pdf:
        * UserInterface/Images/FolderGeneric.png:
        * UserInterface/Images/FolderGeneric@2x.png:
        * UserInterface/Images/ForwardArrow.pdf:
        * UserInterface/Images/Function.pdf:
        * UserInterface/Images/GoToArrow.pdf:
        * UserInterface/Images/HierarchicalNavigationItemChevron.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner1.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner10.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner11.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner12.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner2.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner3.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner4.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner5.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner6.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner7.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner8.pdf:
        * UserInterface/Images/IndeterminateProgressSpinner9.pdf:
        * UserInterface/Images/InstructionPointer.png:
        * UserInterface/Images/InstructionPointer@2x.png:
        * UserInterface/Images/Issues.svg:
        * UserInterface/Images/IssuesEnabled.svg:
        * UserInterface/Images/LayerBorders.pdf:
        * UserInterface/Images/LessColumns.pdf:
        * UserInterface/Images/LocalStorage.png:
        * UserInterface/Images/LocalStorage@2x.png:
        * UserInterface/Images/Locked.pdf:
        * UserInterface/Images/Log.png:
        * UserInterface/Images/Log@2x.png:
        * UserInterface/Images/Logs.svg:
        * UserInterface/Images/Memory.svg:
        * UserInterface/Images/MoreColumns.pdf:
        * UserInterface/Images/NavigationItemAngleBrackets.pdf:
        * UserInterface/Images/NavigationItemBrushAndRuler.pdf:
        * UserInterface/Images/NavigationItemBug.pdf:
        * UserInterface/Images/NavigationItemCurleyBraces.pdf:
        * UserInterface/Images/NavigationItemFile.pdf:
        * UserInterface/Images/NavigationItemLayers.pdf:
        * UserInterface/Images/NavigationItemLog.pdf:
        * UserInterface/Images/NavigationItemMagnifyingGlass.pdf:
        * UserInterface/Images/NavigationItemStopwatch.pdf:
        * UserInterface/Images/NavigationItemStorage.pdf:
        * UserInterface/Images/NavigationItemTrash.pdf:
        * UserInterface/Images/NavigationItemVariable.pdf:
        * UserInterface/Images/Network.png:
        * UserInterface/Images/Network@2x.png:
        * UserInterface/Images/NetworkBarBlue.png:
        * UserInterface/Images/NetworkBarBlue@2x.png:
        * UserInterface/Images/NetworkBarGray.png:
        * UserInterface/Images/NetworkBarGray@2x.png:
        * UserInterface/Images/NetworkBarGreen.png:
        * UserInterface/Images/NetworkBarGreen@2x.png:
        * UserInterface/Images/NetworkBarLabelCalloutLeft.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutRight.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutWhiteLeft.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutWhiteRight.pdf:
        * UserInterface/Images/NetworkBarOrange.png:
        * UserInterface/Images/NetworkBarOrange@2x.png:
        * UserInterface/Images/NetworkBarPurple.png:
        * UserInterface/Images/NetworkBarPurple@2x.png:
        * UserInterface/Images/NetworkBarRed.png:
        * UserInterface/Images/NetworkBarRed@2x.png:
        * UserInterface/Images/NetworkBarWhiteFlat.png:
        * UserInterface/Images/NetworkBarWhiteFlat@2x.png:
        * UserInterface/Images/NetworkBarYellow.png:
        * UserInterface/Images/NetworkBarYellow@2x.png:
        * UserInterface/Images/NetworkHollowBarBlue.png:
        * UserInterface/Images/NetworkHollowBarBlue@2x.png:
        * UserInterface/Images/NetworkHollowBarGray.png:
        * UserInterface/Images/NetworkHollowBarGray@2x.png:
        * UserInterface/Images/NetworkHollowBarGreen.png:
        * UserInterface/Images/NetworkHollowBarGreen@2x.png:
        * UserInterface/Images/NetworkHollowBarOrange.png:
        * UserInterface/Images/NetworkHollowBarOrange@2x.png:
        * UserInterface/Images/NetworkHollowBarPurple.png:
        * UserInterface/Images/NetworkHollowBarPurple@2x.png:
        * UserInterface/Images/NetworkHollowBarRed.png:
        * UserInterface/Images/NetworkHollowBarRed@2x.png:
        * UserInterface/Images/NetworkHollowBarYellow.png:
        * UserInterface/Images/NetworkHollowBarYellow@2x.png:
        * UserInterface/Images/Pause.pdf:
        * UserInterface/Images/Percent.pdf:
        * UserInterface/Images/Plus.pdf:
        * UserInterface/Images/Profile.png:
        * UserInterface/Images/Profile@2x.png:
        * UserInterface/Images/PseudoElement.pdf:
        * UserInterface/Images/Recording.png:
        * UserInterface/Images/Recording@2x.png:
        * UserInterface/Images/RecordingHovered.png:
        * UserInterface/Images/RecordingHovered@2x.png:
        * UserInterface/Images/RecordingStopped.png:
        * UserInterface/Images/RecordingStopped@2x.png:
        * UserInterface/Images/Reflection.pdf:
        * UserInterface/Images/Reload.svg:
        * UserInterface/Images/ReloadSelected.svg:
        * UserInterface/Images/Request.pdf:
        * UserInterface/Images/Resources.svg:
        * UserInterface/Images/Response.pdf:
        * UserInterface/Images/ResultLine.pdf:
        * UserInterface/Images/Resume.pdf:
        * UserInterface/Images/Script.png:
        * UserInterface/Images/Script@2x.png:
        * UserInterface/Images/SessionStorage.png:
        * UserInterface/Images/SessionStorage@2x.png:
        * UserInterface/Images/ShadowDOM.pdf:
        * UserInterface/Images/SortIndicatorDownArrow.pdf:
        * UserInterface/Images/SortIndicatorUpArrow.pdf:
        * UserInterface/Images/SourceCode.pdf:
        * UserInterface/Images/SplitToggleDown.pdf:
        * UserInterface/Images/SplitToggleUp.pdf:
        * UserInterface/Images/StepInto.pdf:
        * UserInterface/Images/StepOut.pdf:
        * UserInterface/Images/StepOver.pdf:
        * UserInterface/Images/Stopwatch.png:
        * UserInterface/Images/Stopwatch@2x.png:
        * UserInterface/Images/StyleRuleAuthor.pdf:
        * UserInterface/Images/StyleRuleInherited.pdf:
        * UserInterface/Images/StyleRuleInheritedElement.pdf:
        * UserInterface/Images/StyleRuleInspector.pdf:
        * UserInterface/Images/StyleRuleUser.pdf:
        * UserInterface/Images/StyleRuleUserAgent.pdf:
        * UserInterface/Images/Time.svg:
        * UserInterface/Images/TimelineBarBlue.png:
        * UserInterface/Images/TimelineBarBlue@2x.png:
        * UserInterface/Images/TimelineBarOrange.png:
        * UserInterface/Images/TimelineBarOrange@2x.png:
        * UserInterface/Images/TimelineBarPurple.png:
        * UserInterface/Images/TimelineBarPurple@2x.png:
        * UserInterface/Images/Undock.pdf:
        * UserInterface/Images/UpDownArrows.svg:
        * UserInterface/Images/UserInputPrompt.pdf:
        * UserInterface/Images/UserInputPromptPrevious.pdf:
        * UserInterface/Images/UserInputPromptPreviousSelected.pdf:
        * UserInterface/Images/UserInputResult.pdf:
        * UserInterface/Images/UserInputResultSelected.pdf:
        * UserInterface/Images/Warning.pdf:
        * UserInterface/Images/WarningSmall.pdf:
        * UserInterface/Images/Weight.svg:

2013-05-24  Timothy Hatcher  <timothy@apple.com>

        Workaround an error with minifying the Web Inspector.

        jsmin.py does not like: return //.test();

        <rdar://problem/13983475> REGRESSION(r51583): Cannot show web inspector in recent spades

        * UserInterface/External/CodeMirror/codemirror.js:
        (window.CodeMirror):

2013-05-23  Timothy Hatcher  <timothy@apple.com>

        Update CodeMirror from 3.12 to 3.13.

        Include the new comment.js addon and hook it up to Command-/.

        Reviewed by Joseph Pecoraro.

        * Scripts/update-codemirror-resources.rb: Added comment.js.
        * UserInterface/CodeMirrorAdditions.js:
        * UserInterface/External/CodeMirror/clojure.js:
        * UserInterface/External/CodeMirror/codemirror.css:
        * UserInterface/External/CodeMirror/codemirror.js:
        * UserInterface/External/CodeMirror/coffeescript.js:
        * UserInterface/External/CodeMirror/comment.js: Added.
        * UserInterface/External/CodeMirror/css.js:
        * UserInterface/External/CodeMirror/javascript.js:
        * UserInterface/External/CodeMirror/less.js:
        * UserInterface/External/CodeMirror/placeholder.js:
        * UserInterface/External/CodeMirror/runmode.js:
        * UserInterface/External/CodeMirror/sass.js:
        * UserInterface/External/CodeMirror/searchcursor.js:
        * UserInterface/External/CodeMirror/sql.js:
        * UserInterface/External/CodeMirror/xml.js:
        * UserInterface/Main.html: Include comment.js.

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13972577> ER: when deleting break points on a file, don't move up if you can't delete

        Reviewed by Timothy Hatcher.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.prototype._breakpointTreeOutlineDeleteTreeElement):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        Don't implicitly preventDefault with the keyboard shortcut. This allows the
        default behavior of populating the system find pasteboard.

        Reviewed by Timothy Hatcher.

        * UserInterface/FindBanner.js:
        (WebInspector.FindBanner):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        Pass the "changeFocus" parameter through the internal cursor relative reveal functions.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.revealPreviousSearchResult):
        (WebInspector.TextEditor.prototype.revealNextSearchResult):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultBeforeCursor):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultAfterCursor):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        Instead of continuing the binary search when we encounter an invalid entry,
        just break out immediately. This way we can revalidate all of the search results
        and accurately search forward or back.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorAdditions.js:
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._binarySearchInsertionIndexInSearchResults):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultBeforeCursor):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultAfterCursor):
        (WebInspector.TextEditor.prototype._cursorDoesNotMatchLastRevealedSearchResult):
        (WebInspector.TextEditor.prototype._revalidateSearchResults):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        Clear the automaticallyRevealFirstSearchResult state after revealing a search term.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        When searching forwards and backwards search relative to the current cursor position.
        If we were already on a particular result we can keep the old path and just move
        forward / back in the result list. Otherwise we binary search the closest position
        to the cursor. Because results can be removed in the search path we have a
        bit of added complexity.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.set automaticallyRevealFirstSearchResult):
        (WebInspector.TextEditor.prototype.addSearchResults.markRanges):
        When automatically revealing, do so relative to the cursor.

        (WebInspector.TextEditor.prototype.revealPreviousSearchResult):
        (WebInspector.TextEditor.prototype.revealNextSearchResult):
        (WebInspector.TextEditor.prototype._cursorDoesNotMatchLastRevealedSearchResult):
        If we don't have a search result index, or if the cursor moved off
        of the last search result index, search relative to the cursor.

        (WebInspector.TextEditor.prototype._comparePositions):
        (WebInspector.TextEditor.prototype._binarySearchInsertionIndexInSearchResults):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultBeforeCursor):
        (WebInspector.TextEditor.prototype._revealFirstSearchResultAfterCursor):
        Binary search search results handling the possibility that a search result
        could be null. I'm not sure if this works perfectly in such cases, but
        it worked fine in practice.
        
        (WebInspector.TextEditor.prototype._revalidateSearchResults):
        When we try to traverse to a search result and it was deleted, revalidate
        all the search results. This can happen if in a CSS file and the user
        deleted some instances of a search result.

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/7545262> Command-E should put selected text in the search box

        Step 1, make Command+E populate the FindBanner's search query, and silently
        perform the search so that Command+G and Shift+Command+G work. Expose a
        new ContentView method "searchQueryWithSelection" to get a search query
        from the selection in that ContentView. This currently only works with
        TextEditor ContentViews.

        Reviewed by Timothy Hatcher.

        * UserInterface/FindBanner.js:
        (WebInspector.FindBanner): Add the keyboard shortcut.
        (WebInspector.FindBanner.prototype._populateSearchQueryFromSelection):
        Ask the delegate (ContentBrowser) for a search query from selection.
        If we get one, silently perform a search.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.searchQueryWithSelection):
        Get the selection from CodeMirror and return that.

        * UserInterface/ContentView.js:
        (WebInspector.ContentView.prototype.searchQueryWithSelection):
        Default implementation returns null, meaning no change.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.searchQueryWithSelection):
        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser.prototype.findBannerSearchQueryForSelection):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype.searchQueryWithSelection):
        * UserInterface/TextContentView.js:
        (WebInspector.TextContentView.prototype.searchQueryWithSelection):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype.searchQueryWithSelection):
        Plumbing the message down the content views heirarchy.

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        Remove unnecessary return for setter.

        This was just a copy / paste error from when it was originally written.

        Reviewed by Timothy Hatcher.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.set automaticallyRevealFirstSearchResult):

2013-05-23  Joseph Pecoraro  <pecoraro@apple.com>

        Remove unused instance variable TextEditor._pendingSearchResultLineNumbers

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):

2013-05-22  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13961791> Stopping recording clears the timeline

        It actually seems like a non-main frame resource change causes the
        timeline to clear. Only clear on main frame main resource changes.

        Reviewed by Timothy Hatcher.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype._mainResourceDidChange):

2013-05-22  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12837326> REGRESSION: Content just displays a spinner when it stops on a breakpoint during load

        When a BreakpointTreeElement is selected and the page is reloaded the
        breakpoint tree elements are removed. When removing the tree element
        the parent, ResourceTreeElement, was selected and the tree outline
        created a content view to show for that resource. This content view
        was being orphaned and replaced when new resources were loaded.

        We never want to create a content view for a Script/ResourceTreeElement
        in the DebuggerSidebarPanel when it has no children. That is a sign
        that the tree element is about to be deleted.

        Reviewed by Timothy Hatcher.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.prototype._treeElementSelected):

2013-05-22  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12837326> REGRESSION: Content just displays a spinner when it stops on a breakpoint during load

        Prevent the populate with script content path from requesting content
        multiple times. This is just an optimization to prevent duplicated work.
        This can happen the first time the debugger is paused, by setting the
        active call frame, opening the resource, and then triggering the active
        call frame did change notification.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._activeCallFrameDidChange):
        (WebInspector.SourceCodeTextEditor.prototype._populateWithInlineScriptContent.scriptContentAvailable):
        (WebInspector.SourceCodeTextEditor.prototype._populateWithInlineScriptContent):
        (WebInspector.SourceCodeTextEditor.prototype._populateWithScriptContent):

2013-05-22  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12837326> REGRESSION: Content just displays a spinner when it stops on a breakpoint during load

        On iOS 6, when associating a Script with a Resource also update the type
        to be Script, that way the resource will get a TextResourceContentView
        instead of a GeneralResourceContentView and fall into the existing path
        that will fetch Script Source for an editor when it is on a breakpoint
        and cannot load the resource content.

        Also, replace instances of "scriptsForResource" with the new scripts
        accessor on WebInspector.Resource.

        Reviewed by Timothy Hatcher.

        * UserInterface/DebuggerManager.js:
        (WebInspector.DebuggerManager.prototype.breakpointsForSourceCode):
        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.associateWithScript):
        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.textEditorUpdatedFormatting):

2013-05-22  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12837326> REGRESSION: Content just displays a spinner when it stops on a breakpoint during load

        Never loading content while on a breakpoint is possible in scripts if
        the backend is paused executing the script before it has sent the
        frontend information that the resource has finished loading. In these
        cases, it is still possible for the frontend to get the "script source"
        instead of the "resource content". These patches do that.

        Start by creating an association between WebInspector.Resource and
        WebInspector.Script. The order of events is always such that the Resource
        is created first:

          - Network.requestWillBeSent => create WebInspector.Resource
          - Debugger.scriptParsed => create WebInspector.Script

        So associate a Script with a Resource, if there is one, when the Script
        is created. Currently we can only create the association with URLs,
        which is not perfect if resources have the same URL but different
        contents. That has never worked perfectly.

        Reviewed by Timothy Hatcher.

        * UserInterface/Script.js:
        (WebInspector.Script):
        (WebInspector.Script.prototype.get resource):
        (WebInspector.Script.prototype.requestContentFromBackend):
        (WebInspector.Script.prototype._resolveResource):
        On creation associate with a Resource via URL.

        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.get scripts):
        (WebInspector.Resource.prototype.associateWithScript):
        Allow a Script to associate with this resource.

        * UserInterface/FrameResourceManager.js:
        Remove "resourceForScript". Script's now have a resource property.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.prototype._scriptAdded):
        * UserInterface/Main.js:
        (WebInspector.linkifyLocation):
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCode):
        (WebInspector.ResourceSidebarPanel.prototype._scriptWasAdded):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView):
        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.textEditorBreakpointToggled):
        * UserInterface/SourceMapManager.js:
        (WebInspector.SourceMapManager.prototype._loadAndParseSucceeded):
        Refactor to the simpler script.resource.

2013-05-21  Joseph Pecoraro  <pecoraro@apple.com>

        Remove generic event listeners when ClusterContentViews are closed.

        Some event listeners were removed, but not all. This would have
        caused the cluster content views to be leaked.

        Reviewed by Timothy Hatcher.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.closed):

2013-05-21  Joseph Pecoraro  <pecoraro@apple.com>

        Remove the concept of left and right navigation items.

        They are unused. So just remove them.

        Reviewed by Timothy Hatcher.

        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser):
        (WebInspector.ContentBrowser.prototype._updateContentViewNavigationItems):
        * UserInterface/Sidebar.js:
        (WebInspector.Sidebar):

2013-05-22  Timothy Hatcher  <timothy@apple.com>

        Fix auto complete property caching.

        <rdar://problem/13961832> Autocomplete of function return value causes side-effects multiple times

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptLogViewController.js:

2013-05-21  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13948862> REGRESSION (r150395): Sticky headers are mis-positioned

        Reviewed by Joseph Pecoraro.

        * UserInterface/DetailsSection.css:
        (.details-section > .header):
        (.details-section .details-section > .header):
        Position and layer the headers correctly such that they snap to
        the right position when scrolling.

        * UserInterface/Main.js:
        (WebInspector.updateDockedState):
        (WebInspector._toolbarDisplayModeDidChange):
        (WebInspector._toolbarSizeModeDidChange):
        Remove unnecessary code now that sticky-positioned elements behave
        as expected in Òoverflow: scrollÓ elements.

2013-05-21  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13941438> Debugger popovers should prefer placement to the bottom/right over left to not cover expression

        Reviewed by Timothy Hatcher.

        Let Popover.present() be provided with a list of preferred edges in order
        of preference and let the source code popovers prefer layout above, below and on
        the right, in this order.

        * UserInterface/Breakpoint.js:
        (WebInspector.Breakpoint.prototype._showEditBreakpointPopover):
        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._updatePopoverForSelectedNode):
        Adopt new Popover.present() parameter type.

        * UserInterface/Popover.js:
        (WebInspector.Popover):
        (WebInspector.Popover.prototype.present):
        Rename ÒpreferredEdgeÓ to ÒpreferredEdgesÓ (plural).

        (WebInspector.Popover.prototype._update):
        Instead of gathering metrics sorted by keys, gather them sorted in the
        order of preference provided by the ÒpreferredEdgesÓ argument.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._showPopover):
        Adopt new Popover.present() parameter type and provide the desired list
        of preferred edges in order.

2013-05-20  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13945892> Console messages not working with iOS 6

        Reviewed by Timothy Hatcher.

        Don't use the enums right now. They were not generated for the iOS 6
        InspectorBackend commands file. In the future we should generate it
        for Legacy systems as well as trunk, and use constants instead of
        magic values in code.

        * UserInterface/ConsoleObserver.js:
        (WebInspector.ConsoleObserver.prototype.messageAdded):

2013-05-19  Timothy Hatcher  <timothy@apple.com>

        Prevent selection and deselect all messages when clicking disclosure triangles in the console.

        This mostly worked before, but if a selection did happen it wouldn't go away by itself. Now
        it will go away if a disclosure triangle is clicked. Also the initial focus mouse down always
        selected the row, now it does not.

        <rdar://problem/13839762> REGRESSION: When inspecting an object in the console, the entire object becomes highlighted

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsoleGroup.js:
        (WebInspector.ConsoleGroup.prototype.addMessage):
        (WebInspector.ConsoleGroup.prototype._titleMouseDown): Added.
        (WebInspector.ConsoleGroup.prototype._titleClicked):
        Don't select a group row when the title is clicked.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline.prototype._onmousedown):
        Prevent default instead of stopping propagation.

        * UserInterface/LogContentView.css:
        (.outline-disclosure li.parent::before):
        Drive by disclosure triangle position tweak.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._mousedown):
        Check for defaultPrevented and deselect all messages.

        * UserInterface/TreeOutline.js:
        (TreeElement.treeElementMouseDown):
        Prevent default instead of stopping propagation.

2013-05-19  Timothy Hatcher  <timothy@apple.com>

        Fix the issue where console logs would overlap on reload.

        Rejigger the console elements so the flex element can grow to fit and the parent does the scrolling.

        <rdar://problem/13932826> REGRESSION (r147261): Reloading page causes overlapping console logs (116404)

        Reviewed by Antoine Quint.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController):
        (WebInspector.JavaScriptLogViewController.prototype.isScrolledToBottom):
        (WebInspector.JavaScriptLogViewController.prototype.scrollToBottom.delayedWork):
        (WebInspector.JavaScriptLogViewController.prototype.scrollToBottom):
        * UserInterface/LogContentView.css:
        (.content-view.log):
        (.console-messages):
        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView):
        (WebInspector.LogContentView.prototype.updateLayout):
        (WebInspector.LogContentView.prototype.get scrollableElements):
        (WebInspector.LogContentView.prototype._ensureMessageIsVisible):
        (WebInspector.LogContentView.prototype._positionForMessage):

2013-05-18  Timothy Hatcher  <timothy@apple.com>

        Make prefixed keywords syntax highlight correctly.

        CodeMirror parses the vendor prefix separate from the property or keyword name,
        so we need to strip vendor prefixes from our all our names, not just properties.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.requestCSSNameCompletions.nameForCodeMirror):
        (WebInspector.CSSCompletions.requestCSSNameCompletions.collectPropertyNameForCodeMirror):

2013-05-18  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13774412> Update CSSKeywordCompletions.js for Curie + iOS

        This is a pretty mechanical update to CSS autocompletion suggestions.
        Also fix suggestions not working for "-webkit-" properties.

        Most of this list was manually generated by looking at specifications
        and walking CSSParser::parseValue, isValidKeywordPropertyAndValue,
        CSSProperty::isInheritedProperty, the related .in files, and a bit
        of sleuthing. It is not meant to be perfect, webkit differs from
        specs slightly and doesn't implement all properties, but it does
        a better job than before.

        Rubber-stamped by Timothy Hatcher.

        * UserInterface/CSSKeywordCompletions.js:
        (WebInspector.CSSKeywordCompletions.forProperty):

2013-05-17  Timothy Hatcher  <timothy@apple.com>

        Drop -webkit- prefixes from CSS properties that no longer require them.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDeclarationSection.css:
        * UserInterface/CodeMirrorOverrides.css:
        * UserInterface/DOMTreeOutline.css:
        * UserInterface/Editing.css:
        * UserInterface/LogContentView.css:
        * UserInterface/Main.css:
        * UserInterface/NavigationSidebarPanel.css:
        * UserInterface/Section.css:
        * UserInterface/TimelinesContentView.css:

2013-05-17  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13919974> 11A368: Instruments tab of RWI is almost empty when loading apple.com on device

        Fix a typo in the constant name. It was using a non-existent constant
        which resulted in a 0ms timeout instead of the intended 15s.

        Reviewed by Timothy Hatcher.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype._startAutoRecording):

2013-05-16  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13917982> Inconsistency between right-clicking and control-clicking in Debugger gutter

        Ignore "Ctrl + Left Click" in more places:

          * in drag / resize scenarios
          * text editor gutter on a breakpoint

        Reviewed by Timothy Hatcher.

        * UserInterface/DataGrid.js:
        (WebInspector.DataGrid.prototype._startResizerDragging):
        (WebInspector.DataGrid.prototype._resizerDragging):
        (WebInspector.DataGrid.prototype._endResizerDragging):
        * UserInterface/Main.js:
        (WebInspector._dockedResizerMouseDown.dockedResizerDrag):
        (WebInspector._dockedResizerMouseDown.dockedResizerDragEnd):
        (WebInspector._dockedResizerMouseDown):
        (WebInspector._moveWindowMouseDown.toolbarDrag):
        (WebInspector._moveWindowMouseDown.toolbarDragEnd):
        (WebInspector._moveWindowMouseDown):
        * UserInterface/Sidebar.js:
        (WebInspector.Sidebar.prototype._resizerMouseDown):
        (WebInspector.Sidebar.prototype._resizerMouseUp):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._gutterMouseDown):

2013-05-17  Timothy Hatcher  <timothy@apple.com>

        Make clicking completions work again in the Style details sidebar.

        <rdar://problem/13919341> REGRESSION: Mouse clicking a CSS autocompletion suggestion no longer works

        Reviewed by Antoine Quint.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._editorBlured):
        Clicking a suggestion causes the editor to blur. We don't want to reset content in this case.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype.isHandlingClickEvent): Added.
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions): Use this.isHandlingClickEvent().

2013-05-16  Timothy Hatcher  <timothy@apple.com>

        Reset the branches when the main frame navigates.

        This makes sure the SourceCodeRevisions don't stick around between page loads and take up memory.

        Reviewed by Joseph Pecoraro.

        * UserInterface/BranchManager.js:
        (WebInspector.BranchManager):
        (WebInspector.BranchManager.prototype.initialize):
        (WebInspector.BranchManager.prototype.deleteBranch):
        (WebInspector.BranchManager.prototype._mainResourceDidChange):

2013-05-16  Timothy Hatcher  <timothy@apple.com>

        Some random style tweaks.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDeclarationSection.css:
        (.style-declaration-section > .header): Smaller top margin to align with the icon better.
        * UserInterface/CodeMirrorOverrides.css:
        (.CodeMirror .CodeMirror-gutters): Lighter border color to match Xcode 5.

2013-05-16  Timothy Hatcher  <timothy@apple.com>

        Fix a case where we would enter an infinite loop, consuming memory and hang.

        <rdar://problem/13911608> REGRESSION (r50998): Massive memory growth and hanging (115811)

        Reviewed by Joseph Pecoraro.

        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.updateForRedirectResponse):
        (WebInspector.Resource.prototype.updateForResponse):
        (WebInspector.Resource.prototype.increaseSize):
        (WebInspector.Resource.prototype.markAsFinished):
        (WebInspector.Resource.prototype.markAsFailed):
        Timestamps are expected to be NaN instead of null. This wasn't an issue before because
        the timeline code didn't use these timestamps. Now Resource.firstTimestamp uses them,
        which is used by ResourceTimelineRecord.startTime.

2013-05-15  Timothy Hatcher  <timothy@apple.com>

        Allow Command-K to clear the console anywhere in the Inspector.

        <rdar://problem/13888241> Command-K doesn't clear the Console unless it has focus

        Reviewed by Antoine Quint.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController):

2013-05-15  Timothy Hatcher  <timothy@apple.com>

        Fix the Save As... keyboard shortcut.

        Reviewed by Antoine Quint.

        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser):
        Don't require the Option key. It is Command-Shift-S.

2013-05-15  Timothy Hatcher  <timothy@apple.com>

        Make clicking the console icons in the dashboard toggle the scope.

        <rdar://problem/13884713> Improve console filtering via the dashboard buttons

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector.showFullHeightConsole):
        If the requested scope is already selected and the console is showing, then switch back to All.

2013-05-15  Timothy Hatcher  <timothy@apple.com>

        Make the tab key commit the completion of there is only one suggestion.

        <rdar://problem/13897001> REGRESSION (Safari 6): Tab to accept autocomplete with 1 result
        should dismiss completion suggestions popover

        Reviewed by Antoine Quint.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._handleTabKey):
        Commit the current completion if there is only one suggestion.

2013-05-14  Timothy Hatcher  <timothy@apple.com>

        Always evaluate the console prompt if the cursor is not at the last position.

        <rdar://problem/13854691> New Return key behavior in Web Inspector breaks my typical usage

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt.prototype._handleEnterKey):
        * UserInterface/JavaScriptLogViewController.js:

2013-05-14  Timothy Hatcher  <timothy@apple.com>

        Update Frame.securityOrigin when committing the provisional load.

        Reviewed by Joseph Pecoraro.

        * UserInterface/Frame.js:
        (WebInspector.Frame.prototype.commitProvisionalLoad):
        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.frameDidNavigate):

2013-05-14  Timothy Hatcher  <timothy@apple.com>

        Add DOMStorage when the main resource changes.

        <rdar://problem/13844066> REGRESSION: If the Web Inspector is displayed when you refresh the page, local and session storage is not visible

        Reviewed by Joseph Pecoraro.

        * UserInterface/StorageManager.js:
        (WebInspector.StorageManager.prototype._mainResourceDidChange):
        (WebInspector.StorageManager.prototype._addDOMStorageIfNeeded):
        (WebInspector.StorageManager.prototype._securityOriginDidChange):

2013-05-13  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13876379> Pretty printing while paused in the debugger loses the execution line

        When pretty printing we replace the entire contents of the editor. If
        the display location didn't change at all, then when we re-set the
        execution line number, we wouldn't update the style on the line.

        This change makes updating the execution line more of the TextEditor's
        responsibility on a pretty print. Previously it was working in most cases
        but now it should always work as long as the TextEditor has been given
        an accurate execution line and column number. In pretty print we delete
        the execution line handle so we are guaranteed to recreate it.

        Just in case, also update SourceCodeLocation to listen to any location
        changes, not just display location changes.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.close):
        (WebInspector.SourceCodeTextEditor.prototype._activeCallFrameDidChange):
        (WebInspector.SourceCodeTextEditor.prototype._activeCallFrameSourceCodeLocationChanged):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):
        (WebInspector.TextEditor.prototype.get executionColumnNumber):
        (WebInspector.TextEditor.prototype.set executionColumnNumber):

2013-05-13  Timothy Hatcher  <timothy@apple.com>

        Fix the shortcut for the Layer details sidebar panel.

        Also fix the naming of the toolbar buttons for the Style details sidebar and
        Layer details sidebar so they are plural while the name in the tooltip is still singular.

        <rdar://problem/13871872> Layers details sidebar shortcut should be control-shift-4, not control-shift-5

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/ApplicationCacheDetailsSidebarPanel.js:
        (WebInspector.ApplicationCacheDetailsSidebarPanel):
        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel):
        * UserInterface/DOMDetailsSidebarPanel.js:
        (WebInspector.DOMDetailsSidebarPanel):
        * UserInterface/DOMNodeDetailsSidebarPanel.js:
        (WebInspector.DOMNodeDetailsSidebarPanel):
        * UserInterface/DetailsSidebarPanel.js:
        (WebInspector.DetailsSidebarPanel):
        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel):
        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel):
        * UserInterface/ScopeChainDetailsSidebarPanel.js:
        (WebInspector.ScopeChainDetailsSidebarPanel):

2013-05-13  Timothy Hatcher  <timothy@apple.com>

        Tweak the console completions to work as expected in more cases.

        Also prevent empty prefix completions unless it is the start of property access.
        This was a regression from the fix for <rdar://problem/13860627>.

        <rdar://problem/13871885> Command-line API functions don't autocomplete when passed as parameter

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._completeAtCurrentPosition):
        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt.prototype.completionControllerCompletionsNeeded):
        * UserInterface/JavaScriptLogViewController.js:

2013-05-12  Timothy Hatcher  <timothy@apple.com>

        Update the toolbar height so the save sheet is positioned correctly and window gradient is accurate.

        <rdar://problem/13871067> Save sheet on the Web Inspector does not come out from under the toolbar

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector.contentLoaded):
        (WebInspector.updateDockedState):
        (WebInspector._updateToolbarHeight):
        (WebInspector._toolbarDisplayModeDidChange):
        (WebInspector._toolbarSizeModeDidChange):

2013-05-13  Joseph Pecoraro  <pecoraro@apple.com>

        Improve String.prototype.startsWith to not search the entire string.

        Using the optional second parameter of lastIndexOf we can only search
        for a substring from index 0, and not check the rest of the string.

        I also went through and replaced all uses of str.indexOf(...) === 0 with
        str.startsWith(...), or if a single character str.charAt(0) === "?".

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.prototype.startsWith):
        (WebInspector.CSSCompletions.prototype._firstIndexOfPrefix):
        * UserInterface/CallFrameTreeElement.js:
        (WebInspector.CallFrameTreeElement):
        * UserInterface/CookieStorageContentView.js:
        (WebInspector.cookieMatchesResourceURL):
        * UserInterface/DOMTreeElement.js:
        (WebInspector.DOMTreeElement.prototype._buildAttributeDOM):
        * UserInterface/EditingSupport.js:
        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel.prototype._titleForProfile):
        * UserInterface/JavaScriptProfileView.js:
        * UserInterface/Main.js:
        (WebInspector.linkifyStringAsFragmentWithCustomLinkifier):
        * UserInterface/Resource.js:
        (WebInspector.Resource.Type.fromMIMEType):
        * UserInterface/Utilities.js:

2013-05-13  Joseph Pecoraro  <pecoraro@apple.com>

        Make mailto: href links behave correctly.

        Test: data:text/html,<a href="mailto:pecoraro@apple.com?subject=email">Email Joe</a>

        Reviewed by Timothy Hatcher.

        * UserInterface/Utilities.js:

2013-05-13  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13572739> REGRESSION: Styles sidebar url(...) should have a way to jump to the resource

        TextEditor / SourceCodeTextEditor (most resources) already had behavior where
        clicking a "link" would attempt to open it in the Inspector, and fallback to
        opening a new browser tab for the URL. This hardens that behavior in the
        "jump to symbol" case, and makes it work in the CSS Sidebar with Command+Click.

        To encourage editing in the style sidebar, style url(...)s as strings,
        which is how they displayed before these patches.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._openClickedLinks):
        Cleanup the code a bit.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.tokenTrackingControllerHighlightedRangeWasClicked):
        Don't jump to symbol when clicking a link. Fallback to TextEditor's link opening behavior.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor.prototype):
        Handle jump to symbol when clicking a link to behave link TextEditor's link opening behavior.

        * UserInterface/CSSStyleDeclarationTextEditor.css:
        (.css-style-text-editor > .CodeMirror .cm-link):
        In the Style sidebar editors display links as strings by default.

2013-05-13  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13572739> REGRESSION: Styles sidebar url(...) should have a way to jump to the resource

        Add extendedCSSToken, modeled after extendedXMLToken to parse url(...)
        links and give them a "link" style class.

        Normally CodeMirror parses "url", "(", <optionally quoted string>, ")".
        We hook into this case and manually parse the optionally quoted string
        ourselves so that we can handle quotes and whitespace exactly how we
        want to.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorAdditions.js:

2013-05-15  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13865123> REGRESSION: Incorrect link tokenization of unquoted src/href links - <img src=...>

        Handle unquoted attributes when we take over tokenization of link attribute values.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorAdditions.js:

2013-05-11  Timothy Hatcher  <timothy@apple.com>

        Make the tab behavior consistent among all CodeMirror editors.

        Making this a setting is tracked by <rdar://problem/10593948>.

        Reviewed by Darin Adler.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):

2013-05-11  Timothy Hatcher  <timothy@apple.com>

        Allow editing any local file since edits can be saved and reloaded right from the Inspector.

        Reviewed by Dean Jackson.

        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype._contentWillPopulate):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype._contentWillPopulate):

2013-05-11  Timothy Hatcher  <timothy@apple.com>

        Support saving text resources and the console log to a local file.

        <rdar://problem/5827275> PARITY (Chrome Developer Tools): Add an option to save a resource locally

        Reviewed by Dean Jackson.

        * Localizations/en.lproj/localizedStrings.js: Updated.
        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.get supportsSave):
        (WebInspector.ClusterContentView.prototype.get saveData):
        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.toClipboardString): Always include the level. It was omitted
        when we didn't have text range selection to make it easier to copy and paste. But we also include the
        file and line info, so it was already has more info than just the message.
        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser):
        (WebInspector.ContentBrowser.prototype._saveDataToFile):
        (WebInspector.ContentBrowser.prototype._save):
        (WebInspector.ContentBrowser.prototype._saveAs):
        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype.get supportsSave):
        (WebInspector.LogContentView.prototype.get saveData):
        (WebInspector.LogContentView.prototype.handleCopyEvent):
        (WebInspector.LogContentView.prototype._formatMessagesAsData.var):
        (WebInspector.LogContentView.prototype._formatMessagesAsData):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype.get supportsSave):
        (WebInspector.ScriptContentView.prototype.get saveData):
        * UserInterface/TextContentView.js:
        (WebInspector.TextContentView.prototype.get supportsSave):
        (WebInspector.TextContentView.prototype.get saveData):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype.get supportsSave):
        (WebInspector.TextResourceContentView.prototype.get saveData):

2013-05-11  Timothy Hatcher  <timothy@apple.com>

        Fix an exception I saw while navigating between pages.

        I only reproduced this once, but the fix is a simple null check.
        I'm assuming close was called a second time.

        Reviewed by Anders Carlsson.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline.prototype.close):

2013-05-10  Timothy Hatcher  <timothy@apple.com>

        Tweak layer borders icon.

        <rdar://problem/13717886> Two layers buttons with different meanings

        * UserInterface/Images/LayerBorders.pdf:

2013-05-10  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13769698> Should be a way to jump between SourceMap resource and Original resource

        Add a "jump to symbol" mode when the command key is down for the CSS
        style sidebar to jump to the display CSS Resource.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype.set style):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._updateJumpToSymbolTrackingMode):
        Listen for GlobalModifierKeysDidChange events when the style for the
        editor has an owner rule and that owner rule has a source code location.

        (WebInspector.CSSStyleDeclarationTextEditor.prototype.tokenTrackingControllerHighlightedRangeWasClicked):
        Jump to the display resource when clicking the highlighted range.

        (WebInspector.CSSStyleDeclarationTextEditor.prototype.tokenTrackingControllerNewHighlightCandidate):
        Immediately highlight hovered ranges for jump to symbol mode.

2013-05-10  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13769698> Should be a way to jump between SourceMap resource and Original resource

        Add a "jump to symbol" mode when the command key is down, to quickly
        jump between a SourceMapResource and the original resources for the
        hovered token. This mode takes precedence over debugger popovers if
        enabled (because the command key is pressed).

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor):
        (WebInspector.SourceCodeTextEditor.prototype.hidden):
        (WebInspector.SourceCodeTextEditor.prototype.close):
        (WebInspector.SourceCodeTextEditor.prototype._contentDidPopulate):
        (WebInspector.SourceCodeTextEditor.prototype._shouldTrackTokenHovering):
        Listen for GlobalModifierKeysDidChange events when this file has a source map
        (either it is a SourceMapResource or it is a SourceCode with sourceMap resources).

        (WebInspector.SourceCodeTextEditor.prototype._startTrackingTokenHoveringIfNeeded):
        (WebInspector.SourceCodeTextEditor.prototype._stopTrackingTokenHoveringIfNeeded):
        (WebInspector.SourceCodeTextEditor.prototype._debuggerDidPause):
        (WebInspector.SourceCodeTextEditor.prototype._debuggerDidResume):
        (WebInspector.SourceCodeTextEditor.prototype._sourceCodeSourceMapAdded):
        In SourceCodeTextEditors there are 2 possible reasons we may have hover tracking,
        when on a breakpoint for JavaScript or in Jump To Symbol tracking mode.

        (WebInspector.SourceCodeTextEditor.prototype._updateJumpToSymbolTrackingMode):
        (WebInspector.SourceCodeTextEditor.prototype._enableJumpToSymbolTrackingModeSettings):
        (WebInspector.SourceCodeTextEditor.prototype._disableJumpToSymbolTrackingModeSettings):
        Switch between and different tracking modes with different settings.

        (WebInspector.SourceCodeTextEditor.prototype._sourceCodeLocationForEditorPosition):
        (WebInspector.SourceCodeTextEditor.prototype.tokenTrackingControllerHighlightedRangeWasClicked):
        When in jump to symbol mode, determine the sourceCodeLocation relating to the
        token that was clicked and jump between resources.
        
        (WebInspector.SourceCodeTextEditor.prototype.tokenTrackingControllerNewHighlightCandidate):
        When in jump to symbol mode, that takes precedence. Highlight just the hovered token.

2013-05-10  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13769698> Should be a way to jump between SourceMap resource and Original resource

        Move token tracking out of TextEditor into its own class with settings,
        CodeMirrorTokenTrackingController. You can now set the token mode on
        the controller to get different types of candidate hovered token results
        back to the delegate (TextEditor subclass).

        The CodeMirrorTokenTrackingController can start/stop tracking, highlight
        a given text range, set delays for mousing over and out of tokens before
        actions are taken, and provide different candidates depending the chosen
        mode. The current modes are:
        
            NonSymbolTokens - returns a candidate for just the hovered token.
            JavaScriptExpression - returns a candidate for the hovered token with
            extra information about the JavaScript expression ending at that token.

        When tracking is enabled, the delegate may be notified of changes:

            tokenTrackingControllerCanReleaseHighlightedRange - should remove the highlight
            tokenTrackingControllerHighlightedRangeReleased - the highlight was removed
            tokenTrackingControllerHighlightedRangeWasClicked - the highlight was clicked
            tokenTrackingControllerNewHighlightCandidate - new hovered highlight candidate

        A plus side of this is that TextEditor now no longer knows about
        "JavaScript". It shouldn't need to know about a certain mode of
        content that it contains.

        Reviewed by Timothy Hatcher.

        * UserInterface/Main.html:
        * UserInterface/CodeMirrorTokenTrackingController.css: Added.
        (.CodeMirror .jump-to-symbol-highlight): Shared style for any type of editor.
        * UserInterface/CodeMirrorTokenTrackingController.js: Added.
        (WebInspector.CodeMirrorTokenTrackingController):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get delegate):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.set delegate):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get mode):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.set mode):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get mouseOverDelayDuration):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.set mouseOverDelayDuration):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get mouseOutReleaseDelayDuration):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.set mouseOutReleaseDelayDuration):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get classNameForHighlightedRange):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.set classNameForHighlightedRange):
        Different settings of the controller.

        (WebInspector.CodeMirrorTokenTrackingController.prototype.get tracking):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.get candidate):
        Accessors for current state, but cannot be modified.

        (WebInspector.CodeMirrorTokenTrackingController.prototype.startTracking):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.stopTracking):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.highlightRange):
        (WebInspector.CodeMirrorTokenTrackingController.prototype.removeHighlightedRange):
        API to make use of the tracker to start/stop/highlight.

        (WebInspector.CodeMirrorTokenTrackingController.prototype.boundsForRange):
        Helper for getting the bounds of a given codemirror text range.

        (WebInspector.CodeMirrorTokenTrackingController.prototype.handleEvent):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._mouseMovedWithMarkedText):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._markedTextIsNoLongerHovered):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._mouseMovedOverEditor):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._mouseMovedOutOfEditor):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._mouseButtonWasPressedOverEditor):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._mouseButtonWasReleasedOverEditor):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._windowLostFocus):
        Events handled while tracking. Very few changes.

        (WebInspector.CodeMirrorTokenTrackingController.prototype._processNewHoveredToken):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._processNonSymbolToken):
        (WebInspector.CodeMirrorTokenTrackingController.prototype._processJavaScriptExpression):
        When a token is hovered, create a candidate depending on the controller's mode.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):
        (WebInspector.TextEditor.prototype.get tokenTrackingController):
        Create and expose the tokenTrackingController.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor):
        (WebInspector.SourceCodeTextEditor.prototype._breakpointRemoved):
        (WebInspector.SourceCodeTextEditor.prototype.textEditorUpdatedFormatting):
        (WebInspector.SourceCodeTextEditor.prototype._shouldTrackTokenHovering):
        (WebInspector.SourceCodeTextEditor.prototype._startTrackingTokenHoveringIfNeeded):
        (WebInspector.SourceCodeTextEditor.prototype._stopTrackingTokenHoveringIfNeeded):
        (WebInspector.SourceCodeTextEditor.prototype._debuggerDidPause):
        (WebInspector.SourceCodeTextEditor.prototype._debuggerDidResume):
        (WebInspector.SourceCodeTextEditor.prototype._updateJumpToSymbolTrackingMode):
        (WebInspector.SourceCodeTextEditor.prototype._enableJumpToSymbolTrackingModeSettings):
        (WebInspector.SourceCodeTextEditor.prototype._disableJumpToSymbolTrackingModeSettings):
        (WebInspector.SourceCodeTextEditor.prototype.tokenTrackingControllerCanReleaseHighlightedRange):
        (WebInspector.SourceCodeTextEditor.prototype.tokenTrackingControllerHighlightedRangeWasClicked):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForFunction.didGetDetails):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForFunction):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForObject):
        Switch to the tracking controller instead of TextEditor methods and properties.

        * UserInterface/TextEditor.css:
        (.text-editor > .CodeMirror .hovered-expression-highlight):
        (@-webkit-keyframes text-editor-hovered-expression-highlight-fadeout):
        Renamed the class name for expressions to have "expression" in the name.


2013-05-10  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13769698> Should be a way to jump between SourceMap resource and Original resource

        Introduce WebInspector.modifierKeys to know which modifier keys are
        active at any time (command, option, shift). Trigger events on changes
        through WebInspector.notifications.

        Reviewed by Timothy Hatcher.

        * UserInterface/Main.js:
        (WebInspector.contentLoaded):
        (WebInspector._updateModifierKeys):
        (WebInspector._windowKeyDown):
        (WebInspector._windowKeyUp):
        * UserInterface/Object.js:

2013-05-10  Joseph Pecoraro  <pecoraro@apple.com>

        Do a little renaming on ResourceSidebarPanel show methods for text
        ranges. This better matches the showSourceCodeLocation method names.

        Reviewed by Timothy Hatcher.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCodeTextRange):
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalOrFormattedSourceCodeTextRange):
        (WebInspector.ResourceSidebarPanel.prototype._treeElementSelected):

2013-05-10  Timothy Hatcher  <timothy@apple.com>

        Make the console prompt suggest completions after typing "." or "[".

        <rdar://problem/13860627> REGRESSION: Console autocompletion does not suggest anything until first character is typed

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype.updateCompletions):
        (WebInspector.CodeMirrorCompletionController.prototype.hideCompletions):
        (WebInspector.CodeMirrorCompletionController.prototype._scanStringForExpression):
        (WebInspector.CodeMirrorCompletionController.prototype._completeAtCurrentPosition):

2013-05-09  Timothy Hatcher  <timothy@apple.com>

        Tell WebInspector.Resource about its type when it is created instead of changing it later.
        
        This depends on: https://webkit.org/b/74935

        <rdar://problem/13726105> Timeline network filters don't update as resources change type (74935)

        Reviewed by David Kilzer.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.frameDidNavigate):
        (WebInspector.FrameResourceManager.prototype.resourceRequestWillBeSent):
        (WebInspector.FrameResourceManager.prototype.resourceRequestWasServedFromMemoryCache):
        (WebInspector.FrameResourceManager.prototype.resourceRequestDidReceiveResponse):
        (WebInspector.FrameResourceManager.prototype._addNewResourceToFrame):
        * UserInterface/InspectorBackendCommands.js:
        * UserInterface/NetworkObserver.js:
        (WebInspector.NetworkObserver.prototype.requestWillBeSent):

2013-05-09  Timothy Hatcher  <timothy@apple.com>

        Use a different image for the layer border toggle button.

        <rdar://problem/13717886> Two layers buttons with different meanings

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMTreeContentView.js:
        (WebInspector.DOMTreeContentView):
        * UserInterface/Images/LayerBorders.pdf: Added.

2013-05-08  Timothy Hatcher  <timothy@apple.com>

        Fix the heirarchical path components for unrevealed source map resources.

        <rdar://problem/13681487> Missing heirarchical path components selecting breakpoints in source map resources in Debugger sidebar

        Reviewed by Joseph Pecoraro.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.treeElementForRepresentedObject):
        (WebInspector.ResourceSidebarPanel.prototype.treeElementForRepresentedObject.getParent):
        Special case WebInspector.SourceMapResource.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype._updateSourceCode):
        Revert r50608.

2013-05-07  Timothy Hatcher  <timothy@apple.com>

        Fix the background color for the Timeline navigation bar.

        The container is taller than the navigation bar, and it used for mouse over slop.
        So the background color needs to be on the navigation bar.

        Reviewed by Joseph Pecoraro.

        * UserInterface/TimelinesContentView.css:
        (.content-view.timelines > .data-grid > .navigation-bar-container):
        (.content-view.timelines > .data-grid > .navigation-bar-container > .navigation-bar):

2013-05-07  Timothy Hatcher  <timothy@apple.com>

        Compare async resource types by their first timestamp so they are in chronological order.

        <rdar://problem/13827118> Web Inspector: cannot see order of xhrs in resource inspector (115728)

        Reviewed by Joseph Pecoraro.

        * UserInterface/ResourceTreeElement.js:
        (WebInspector.ResourceTreeElement.compareResourceTreeElements):

2013-05-07  Timothy Hatcher  <timothy@apple.com>

        Fix and simplify the layout path for Toolbar.

        <rdar://problem/13828232> REGRESSION: Toolbar overflows when using Icons and Text (Horizontal) mode

        Reviewed by Joseph Pecoraro.

        * UserInterface/Toolbar.css:
        (.toolbar .control-section):
        * UserInterface/Toolbar.js:
        (WebInspector.Toolbar.prototype.customUpdateLayout.isOverflowingToolbar):
        (WebInspector.Toolbar.prototype.customUpdateLayout):

2013-05-07  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13821139> After deleting a node when remote inspecting, Web Inspector is broken

        When using the remote inspector, there is enough of a delay between
        messages that the didRemoveNode handler triggers the DOMTreeUpdater to
        refresh the portion of the tree before this removeNodeCallback happens.
        Since removeNodeCallback is asynchronous anyways, we should bail if
        the tree element was already removed from the tree (has no parent).

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeElement.js:
        (WebInspector.DOMTreeElement.prototype.remove.removeNodeCallback):
        (WebInspector.DOMTreeElement.prototype.remove):

2013-05-07  Joseph Pecoraro  <pecoraro@apple.com>

        Fix member name typo.

        This was the only occurrence of _selectDOMNode. This looks
        like it was just a typo of _selectedDOMNode.

        Reviewed by Darin Adler.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline):

2013-05-07  Timothy Hatcher  <timothy@apple.com>

        Use a brighter blue for selected labels in the label-only toolbar mode.

        This better matches the blue used in the selected toolbar icons.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/ButtonToolbarItem.css:
        (.toolbar.label-only .item.activate.button.activated > .label):

2013-05-07  Timothy Hatcher  <timothy@apple.com>

        Only allow the LCD to be a single line, giving less difference between toolbar modes and sizes.

        This better distributes the space in the LCD and makes it collapse down to 3 items when
        there isn't enough room for all 6 items.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/DashboardView.css:
        (.toolbar .dashboard):
        (body.nightly-build .toolbar .dashboard):
        (body.nightly-build .toolbar.collapsed .dashboard):
        (body:not(.nightly-build) .toolbar.collapsed .dashboard):
        (body:not(.nightly-build) .toolbar.collapsed .dashboard > .logs):
        (.toolbar .dashboard > .item):
        (.toolbar .dashboard > .resourcesSize):
        (.toolbar .dashboard > .item > div):
        (.toolbar.normal-size.icon-and-label-vertical .dashboard):
        (.toolbar.normal-size.icon-and-label-horizontal .dashboard > .item):
        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Update the LCD background to match Xcode 5.

        This change is conditional to non-nightlies.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Joseph Pecoraro.

        * UserInterface/DashboardView.css:
        (.toolbar .dashboard):
        (body:not(.nightly-build) .toolbar .dashboard):
        (body.window-inactive:not(.nightly-build) .toolbar .dashboard):
        (body.nightly-build .toolbar .dashboard):
        (.toolbar .dashboard > .item):
        (.toolbar.small-size.icon-and-label-horizontal .dashboard):
        (body.nightly-build .toolbar.small-size.icon-and-label-horizontal .dashboard):
        (.toolbar.small-size.icon-and-label-horizontal .dashboard > .item):
        (body.nightly-build .toolbar.small-size.icon-and-label-horizontal .dashboard > .item):
        (.toolbar.normal-size.icon-and-label-horizontal .dashboard):
        (body.nightly-build .toolbar.normal-size.icon-and-label-horizontal .dashboard):
        (.toolbar.small-size.icon-and-label-vertical .dashboard):
        (body.nightly-build .toolbar.small-size.icon-and-label-vertical .dashboard):
        (.toolbar.normal-size.icon-and-label-vertical .dashboard):
        (body.nightly-build .toolbar.normal-size.icon-and-label-vertical .dashboard):
        (.toolbar.icon-and-label-vertical .dashboard > .item):
        (body.nightly-build .toolbar.icon-and-label-vertical .dashboard > .item):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Update the filter field placeholder in the Resources sidebar when showing search results.

        Reviewed by Antoine Quint.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/ResourceSidebarPanel.js:

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Always have the HierarchicalPathComponent take space so it gives the last item some padding.

        Reviewed by Antoine Quint.

        * UserInterface/HierarchicalPathComponent.css:
        (.hierarchical-path:not(.always-show-last-path-component-separator) > .hierarchical-path-component:last-child > .separator):
        Use visibility: hidden instead of display: none.

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Make ScopeBarItem and RadioButtonNavigationItem have a min-width so when they are selected the bold
        weight does not cause the item to change its width.

        This adds some updateLayout calls to places that needed it now or were missing it already.

        This change is not conditional to non-nightlies. It does no harm to always do this.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/ButtonNavigationItem.js:
        (WebInspector.ButtonNavigationItem.prototype.set label):
        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel.prototype.visibilityDidChange):
        * UserInterface/Main.js:
        (WebInspector._contentBrowserSizeDidChange):
        * UserInterface/RadioButtonNavigationItem.js:
        (WebInspector.RadioButtonNavigationItem.prototype.get selected):
        (WebInspector.RadioButtonNavigationItem.prototype.set selected):
        (WebInspector.RadioButtonNavigationItem.prototype.get active):
        (WebInspector.RadioButtonNavigationItem.prototype.set active):
        (WebInspector.RadioButtonNavigationItem.prototype.updateLayout):
        * UserInterface/ScopeBar.js:
        (WebInspector.ScopeBar.prototype.updateLayout):
        (WebInspector.ScopeBar.prototype._populate):
        * UserInterface/TimelineDataGrid.js:
        (WebInspector.TimelineDataGrid):
        (WebInspector.TimelineDataGrid.prototype.updateLayout):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Show overflow shadow pockets in the navigation sidebar when content can scroll.

        This change is conditional to non-nightlies.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/NavigationSidebarPanel.css:
        (.sidebar > .panel.navigation > .overflow-shadow):
        (body.nightly-build .sidebar > .panel.navigation > .overflow-shadow):
        (.sidebar > .panel.navigation > .overflow-shadow.top):
        * UserInterface/NavigationSidebarPanel.js:
        (WebInspector.NavigationSidebarPanel):
        (WebInspector.NavigationSidebarPanel.prototype.createContentTreeOutline):
        (WebInspector.NavigationSidebarPanel.prototype.showEmptyContentPlaceholder):
        (WebInspector.NavigationSidebarPanel.prototype.hideEmptyContentPlaceholder):
        (WebInspector.NavigationSidebarPanel.prototype.shown):
        (WebInspector.NavigationSidebarPanel.prototype._updateContentOverflowShadowVisibility):
        (WebInspector.NavigationSidebarPanel.prototype._updateFilter):
        (WebInspector.NavigationSidebarPanel.prototype._treeElementAddedOrChanged):
        (WebInspector.NavigationSidebarPanel.prototype._treeElementExpandedOrCollapsed):
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel):
        * UserInterface/TreeOutline.js:
        (TreeElement.prototype.collapse):
        (TreeElement.prototype.expand):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Update focus and active focus generated images to match the blues used by Xcode 5.

        This change is not conditional to non-nightlies. It shouldn't be too revealing.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/ImageUtilities.js:
        (.generateImage):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Update styles to match the majority of Xcode 5's design changes.

        The style changes are conditional so they wont apply when running a WebKit nightly.
        After WWDC we can remove the condition and the extra style rules this adds.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Rubber-stamped by Antoine Quint.

        * UserInterface/ButtonNavigationItem.css:
        (.navigation-bar .item.button.text-only):
        (body.nightly .navigation-bar .item.button:not(.disabled):not(.radio):not(.suppress-bezel):active):
        * UserInterface/CodeMirrorOverrides.css:
        (.CodeMirror .CodeMirror-gutters):
        (.body.nightly-build .CodeMirror .CodeMirror-gutters):
        (.CodeMirror .CodeMirror-linenumber):
        * UserInterface/DetailsSection.css:
        (.details-section > .header):
        (.details-section .details-section > .header):
        (body.nightly-build .details-section > .header):
        (body.nightly-build .details-section .details-section > .header):
        * UserInterface/DividerNavigationItem.css:
        (.navigation-bar .item.divider):
        (body.nightly .navigation-bar .item.divider):
        * UserInterface/FilterBar.css:
        (.filter-bar):
        (body.nightly-build .filter-bar):
        (body:not(.nightly-build) .filter-bar > input[type="search"]):
        (body:not(.nightly-build) .filter-bar > input[type="search"]::-webkit-input-placeholder):
        (body:not(.nightly-build) .filter-bar > input[type="search"]:valid):
        * UserInterface/FilterBar.js:
        (WebInspector.FilterBar):
        * UserInterface/FindBanner.css:
        (body.nightly-build .find-banner):
        (body:not(.nightly) .find-banner > input[type="search"]):
        (body:not(.nightly) .find-banner > button):
        (.find-banner > button > .glyph):
        (body.nightly .find-banner > button > .glyph):
        * UserInterface/HierarchicalPathComponent.css:
        (body.nightly .hierarchical-path-component > .separator):
        (.hierarchical-path-component.text-only > select):
        * UserInterface/InstrumentSidebarPanel.css:
        (.sidebar > .panel.instrument > .title-bar):
        (body.nightly-build .sidebar > .panel.instrument > .title-bar):
        (.sidebar > .panel.instrument > .title-bar.profiles):
        (body.nightly-build .sidebar > .panel.instrument > .title-bar.profiles):
        * UserInterface/LayerTreeSidebarPanel.css:
        (.layer-tree.panel .bottom-bar):
        (body.nightly-build .layer-tree.panel .bottom-bar):
        * UserInterface/Main.css:
        (#split-content-browser > .navigation-bar):
        (body.nightly-build #split-content-browser > .navigation-bar):
        * UserInterface/NavigationBar.css:
        (.navigation-bar):
        (body.nightly-build .navigation-bar):
        (body.nightly-build.window-inactive .navigation-bar):
        * UserInterface/NavigationSidebarPanel.css:
        (.sidebar > .panel.navigation > .content):
        (body.nightly-build .sidebar > .panel.navigation > .content):
        (.sidebar > .panel.navigation > .overflow-shadow):
        (.sidebar > .panel.navigation > .overflow-shadow.top):
        * UserInterface/RadioButtonNavigationItem.css:
        (.navigation-bar .item.radio.button.text-only.selected):
        (body:not(.nightly) .navigation-bar .item.radio.button.text-only.selected):
        (body.nightly .navigation-bar .item.radio.button.selected):
        * UserInterface/ResourceSidebarPanel.css:
        (.sidebar > .panel.resource > .empty-content-placeholder):
        (body.nightly-build .sidebar > .panel.resource > .empty-content-placeholder):
        (.sidebar > .panel.resource > .search-bar):
        (body.nightly-build .sidebar > .panel.resource > .search-bar):
        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel):
        * UserInterface/ScopeBar.css:
        (.scope-bar > li):
        (body:not(.nightly-build) .scope-bar > li):
        (body:not(.nightly-build) .scope-bar > li:active):
        (body:not(.nightly-build) .scope-bar > li.selected):
        (body.nightly-build .scope-bar > li):
        (body.nightly-build .scope-bar > li:active):
        (.scope-bar > li:hover):
        (.scope-bar > li.selected):
        (.scope-bar > li:active):
        (body.nightly-build .scope-bar > li.selected):
        * UserInterface/SearchBar.css:
        (.search-bar > input[type="search"]):
        (body:not(.nightly-build) .search-bar > input[type="search"]):
        (body:not(.nightly-build) .search-bar > input[type="search"]::-webkit-input-placeholder):
        (body:not(.nightly-build) .search-bar > input[type="search"]:valid):
        * UserInterface/SearchBar.js:
        (WebInspector.SearchBar):
        * UserInterface/TimelinesContentView.css:
        (.content-view.timelines > .data-grid):
        (body.nightly-build .content-view.timelines > .data-grid):
        (.content-view.timelines > .data-grid th):
        (body.nightly-build .content-view.timelines > .data-grid th):
        (.content-view.timelines > .data-grid th:not(:last-child)):
        (body.nightly-build .content-view.timelines > .data-grid th:not(:last-child)):
        (.content-view.timelines > .data-grid th.sortable:not(.mouse-over-collapser):active):
        (body.nightly-build .content-view.timelines > .data-grid th.sortable:not(.mouse-over-collapser):active):
        (.content-view.timelines > .data-grid th.sort-descending):
        (body.nightly-build .content-view.timelines > .data-grid th.sort-descending):
        (.content-view.timelines > .data-grid > .navigation-bar-container):
        (.content-view.timelines > .data-grid > .navigation-bar-container > .navigation-bar):
        (body.nightly-build .content-view.timelines > .data-grid > .navigation-bar-container > .navigation-bar):

2013-05-06  Timothy Hatcher  <timothy@apple.com>

        Add a nightly-build class so we can hide new UI from nightly WebKit builds.

        Part of: <rdar://problem/13810992> Update Web Inspector to match Xcode 5's new design language

        Reviewed by Antoine Quint.

        * UserInterface/Main.js:
        (WebInspector.contentLoaded):
        Set the nightly-build class on body if we are in a nightly build.

2013-05-03  Timothy Hatcher  <timothy@apple.com>

        Add stubs for savedURL and appendedToURL.

        https://webkit.org/b/115561
        rdar://problem/13806055

        Reviewed by Joseph Pecoraro.

        * UserInterface/InspectorFrontendAPI.js:
        (InspectorFrontendAPI.savedURL):
        (InspectorFrontendAPI.appendedToURL):

2013-05-02  Timothy Hatcher  <timothy@apple.com>

        Fix the alignment of the titles in the Timelines sidebar.

        Reviewed by Joseph Pecoraro.

        * UserInterface/GeneralTreeElement.js:
        (WebInspector.GeneralTreeElement.prototype._updateTitleElements):
        Only create a subtitle if the string has a value, not an empty string.

2013-05-01  Timothy Hatcher  <timothy@apple.com>

        Make the Dashboard timer and Timeline views more robust when going back/forward.

        <rdar://problem/13612025> Dashboard: LCD timer never stops when going back/forward
        <rdar://problem/13180009> Recording sometimes never stops because the load event marker is never added
        <rdar://problem/13510955> Intermittently, timeline is in "days" after refreshing wsj.com site

        Reviewed by Antoine Quint.

        * UserInterface/DashboardManager.js:
        (WebInspector.DashboardManager):
        (WebInspector.DashboardManager.prototype._mainResourceDidChange):
        (WebInspector.DashboardManager.prototype._recordingStopped):
        (WebInspector.DashboardManager.prototype._startUpdatingTime):
        (WebInspector.DashboardManager.prototype._stopUpdatingTime): Added.
        (WebInspector.DashboardManager.prototype._updateTime):

        * UserInterface/NetworkGraphCalculator.js:
        (WebInspector.NetworkTransferTimeCalculator.prototype._lowerBound):
        (WebInspector.NetworkTransferTimeCalculator.prototype._upperBound):
        (WebInspector.NetworkTransferDurationCalculator.prototype._upperBound):
        Don't return NaN for the bounds.

        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.get firstTimestamp): Added.
        Added as a helper to prevent using NaN as the start time.

        * UserInterface/ResourceTimelineRecord.js:
        (WebInspector.ResourceTimelineRecord.prototype.get startTime):
        Use firstTimestamp.

        * UserInterface/TimelineManager.js:
        (WebInspector.TimelineManager.prototype.startRecording):
        (WebInspector.TimelineManager.prototype.stopRecording):
        (WebInspector.TimelineManager.prototype.eventRecorded.processRecord):
        (WebInspector.TimelineManager.prototype.eventRecorded):
        (WebInspector.TimelineManager.prototype._clear):
        (WebInspector.TimelineManager.prototype._addRecord):
        (WebInspector.TimelineManager.prototype._startAutoRecording):
        (WebInspector.TimelineManager.prototype._stopAutoRecordingSoon):
        (WebInspector.TimelineManager.prototype._resetAutoRecordingDeadTimeTimeout):
        (WebInspector.TimelineManager.prototype._mainResourceDidChange):
        Fire an event on clear so the timeline view clears even if recording does not start.
        Track the main resource object and not the request identifier, since a resource
        might not have a request identifier in the back/forward case. Auto stop recording soon
        after every record, not just the load event since we don't always have load events.

        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView):
        (WebInspector.TimelinesContentView.prototype._recordsCleared):
        Use RecordsCleared event instead of RecordingStarted to clear the view.

2013-05-01  Timothy Hatcher  <timothy@apple.com>

        Reveal the line (if supplied) when showing a ScriptContentView.

        <rdar://problem/13785027> REGRESSION: Extra Scripts: no autoscroll to debugger statement.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCode):

2013-05-01  Timothy Hatcher  <timothy@apple.com>

        Don't update the dashboard text unless it has changed.

        Also step up the interval we update the time so it does not try to update every 50ms when the
        duration is long enough to not matter.

        <rdar://problem/13718056> While JS debugging, everything in the inspector window is repainting all the time

        Reviewed by Joseph Pecoraro.

        * UserInterface/DashboardManager.js:
        (WebInspector.DashboardManager.prototype._startUpdatingTime):
        (WebInspector.DashboardManager.prototype._updateTime):
        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView.prototype.set logs):
        (WebInspector.DashboardView.prototype.set issues):
        (WebInspector.DashboardView.prototype.set errors):
        (WebInspector.DashboardView.prototype.set time):
        (WebInspector.DashboardView.prototype.set resourcesCount):
        (WebInspector.DashboardView.prototype.set resourcesSize):
        (WebInspector.DashboardView.prototype._appendElementForNamedItem.):

2013-05-01  Timothy Hatcher  <timothy@apple.com>

        Breakpoint context menu items should appear for Extra and Anonymous Scripts.

        <rdar://problem/13776299>

        Reviewed by Joseph Pecoraro.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.prototype._breakpointsBeneathTreeElement):
        (WebInspector.DebuggerSidebarPanel.prototype._breakpointTreeOutlineDeleteTreeElement):
        (WebInspector.DebuggerSidebarPanel.prototype._breakpointTreeOutlineContextMenuTreeElement):
        Check for WebInspector.ScriptTreeElement in addition to WebInspector.ResourceTreeElement.

2013-04-30  Timothy Hatcher  <timothy@apple.com>

        Disable spellcheck and smart quotes in the console prompt.

        I'll upstream this to CodeMirror once I get approval from legal.

        <rdar://problem/13757709>

        Reviewed by Ricky Mondello.

        * UserInterface/External/CodeMirror/codemirror.js:
        (window.CodeMirror):

2013-04-30  Timothy Hatcher  <timothy@apple.com>

        Tweak the Toolbar layout code to not hide the Dashboard when sizes are off by one.

        This wasn't needed when sub-pixel layout was on, but that was disabled in http://webkit.org/b/149209.

        <rdar://problem/13757354> REGRESSION: Toolbar thinks it is collapsed, so dashboard is hidden

        Reviewed by Joseph Pecoraro.

        * UserInterface/Toolbar.js:
        (WebInspector.Toolbar.prototype.customUpdateLayout):

2013-04-30  Timothy Hatcher  <timothy@apple.com>

        Have dashboard buttons (console summary buttons) do filtering as well.

        <rdar://problem/13685685>

        Reviewed by Joseph Pecoraro.

        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView):
        (WebInspector.DashboardView.prototype._consoleItemWasClicked):
        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype.get scopeBar):
        * UserInterface/Main.js:
        (WebInspector.showFullHeightConsole):
        (WebInspector.showConsoleView):

2013-04-30  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/12719925> Call stack should show live line number next to file name

        Reviewed by Timothy Hatcher.

        * UserInterface/GeneralTreeElement.js:
        (WebInspector.GeneralTreeElement):
        (WebInspector.GeneralTreeElement.prototype.get tooltipHandledSeparately):
        (WebInspector.GeneralTreeElement.prototype.set tooltipHandledSeparately):
        (WebInspector.GeneralTreeElement.prototype._updateTitleElements):
        Allow clients to handle the tooltip themselves, and to set subtitle as
        an element, instead of a string (already possible with mainTitle).

        * UserInterface/CallFrameTreeElement.js:
        (WebInspector.CallFrameTreeElement):
        Set the subtitle as a live location <span>.
        (WebInspector.CallFrameTreeElement.prototype.onattach):
        Set the tooltip on the entire tree element once it is created.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.populateLiveDisplayLocationTooltip):
        Allow an optional prefix before the location string.

2013-04-29  Timothy Hatcher  <timothy@apple.com>

        Remove an assert from StyleDetailsPanel.prototype.shown.

        The shown function can be called multiple times. Just keep the early return.
        Also make sure to call StyleDetailsPanel.prototype.hidden in another case.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel.prototype.visibilityDidChange):
        * UserInterface/StyleDetailsPanel.js:
        (WebInspector.StyleDetailsPanel.prototype.shown):

2013-04-29  Timothy Hatcher  <timothy@apple.com>

        Skip invalid properties when associating related properties.

        <rdar://problem/13752586> DOMNodeStyles.js:981: console.assert(property.overridden); on html5please.com

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype._associateRelatedProperties):

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        Don't allow Command+Enter in the Console with an empty expression.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsolePrompt.js:

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13616567> Can no longer clear the console with clear()

        LogContentView starts listening for an event in the constructor which
        was getting removed in close and not being added back. This ContentView
        is already treated like a singleton with other events, treat this the
        same and just avoid removing event listeners in close.

        Reviewed by Timothy Hatcher.

        * UserInterface/LogContentView.js:

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13765474> REGRESSION: Console should not clear on reload

        The backend sends the frontend a messagesCleared messages for many reasons.
        We should not clear the active log when there was a navigation. In those
        cases the LogManager will send out a Cleared or SessionStarted event.
        It would be messy and brittle to determine if we are in the middle of a
        main resource load, so it is easier to do a setTimeout and send an event
        if we did not do a navigation.

        This works well with all common cases, but breaks:

            js> console.log(1); console.clear(); console.log(2);

        Filed the follow-up bug to handle fixing this by providing the frontend
        with the information it needs in messagesCleared.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleObserver.js:
        (WebInspector.ConsoleObserver.prototype.messageAdded):
        Don't append a blank ConsoleMessage row for console.clear messages.

        * UserInterface/LogManager.js:
        (WebInspector.LogManager.prototype.messagesCleared):
        (WebInspector.LogManager.prototype._mainResourceDidChange):
        Defer ActiveLogCleared events so that we don't issue one while we
        are reloading the page.

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13764663> Tooltips on live location links are no longer working

        Changing the content in mousemove, even if the content was the same,
        would cause the tooltip to disappear. Avoid changing the content unless
        we absolutely need to.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.updateDisplayString):
        Avoid unnecessary content updates.

        (WebInspector.SourceCodeLocation.prototype._locationString):
        Fix typo causing column numbers to not show up in tooltips.

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13763988> Jump to "rs.js" error location link not live on theverge.com

        The URL in the ConsoleMessage is the URL of the Script, which contains
        a fragment. The URL of the Resource does not contain the fragment. When
        we create a sourceCodeLocation in linkifyLocation we want to get the
        resource that has a sidebar item, because that is the resource in the
        sidebar that will show a ContentView. So if we get a Script try to get
        the Resource for that Script if one exists.

        Reviewed by Timothy Hatcher.

        * UserInterface/Main.js:
        (WebInspector.linkifyLocation):

2013-04-29  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13442566> Console context selector should truncate or generate better names when the names are long

        Truncate the context selector quick console nav bar item. And modify
        how items are sorted in the context menu to show the frame name if one
        is available.

        Reviewed by Timothy Hatcher.

        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent):
        (WebInspector.HierarchicalPathComponent.prototype.get displayName):
        (WebInspector.HierarchicalPathComponent.prototype.set displayName):
        (WebInspector.HierarchicalPathComponent.prototype.get truncatedDisplayNameLength):
        (WebInspector.HierarchicalPathComponent.prototype.set truncatedDisplayNameLength):
        Separate the display name property from the title element's content, so we
        can truncate the display but store the real name.

        (WebInspector.HierarchicalPathComponent.prototype._updateElementTitleAndText):
        Truncate the display in the navigation bar.

        (WebInspector.HierarchicalPathComponent.prototype._updateSelectElement.createOption):
        (WebInspector.HierarchicalPathComponent.prototype._updateSelectElement):
        Work around an NSMenu issue and truncate in the option text in the context menu.

        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponent):
        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponentFromFrame):
        (WebInspector.QuickConsole.prototype._compareExecutionContextPathComponents):
        Set the Frame on the PathComponents to use later for sorting.

2013-04-29  Timothy Hatcher  <timothy@apple.com>

        Abort earlier when loading completions for a null or undefined value.

        <rdar://problem/13764611> JavaScriptLogViewController.js:293: CONSOLEAPI ERROR: Unknown result type: undefined

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded):
        Return early if the RemoteObject is null or undefined. Also release the completion group.

2013-04-29  Timothy Hatcher  <timothy@apple.com>

        Correct the layout of navigation items when an item has selector arrows.

        <rdar://problem/13717922> Layer border toggle button disappears sometimes

        Reviewed by Joseph Pecoraro.

        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent):
        (WebInspector.HierarchicalPathComponent.prototype.get minimumWidth): Added.
        (WebInspector.HierarchicalPathComponent.prototype.set forcedWidth):
        (WebInspector.HierarchicalPathComponent.prototype.get selectorArrows): Added.
        (WebInspector.HierarchicalPathComponent.prototype.set selectorArrows): Added.
        Account for the width of the selector arrows when using minimum width.

        * UserInterface/HierarchicalPathNavigationItem.js:
        (WebInspector.HierarchicalPathNavigationItem.prototype.updateLayout):
        Ask HierarchicalPathComponent for its minimum width.

        * UserInterface/NavigationBar.js:
        (WebInspector.NavigationBar.prototype.updateLayout):
        Skip flexible space items since they can take up no space at the minimum width.

2013-04-27  Dean Jackson  <dino@apple.com>

        <rdar://problem/13441708> Make the Web Inspector work if HiDPI canvas is disabled on OS X

        Reviewed by Tim Hatcher.

        For <rdar://problem/13437328>, HIGH_DPI_CANVAS was disabled on retina devices, so
        the places in the inspector that use a canvas must double the dimensions of
        the image buffers they request.

        * UserInterface/DashboardView.css:
        (.toolbar .dashboard): Since the image being pased in as background might be 2x,
            make sure that it uses the element size for the background.
        * UserInterface/DashboardView.js: Request a 2x canvas if necessary.

        * UserInterface/ImageUtilities.js:
        (generateColoredImage): No need to pass in scale, as this method is passed the
            correct width and height the caller needs. Use get/setImageData methods.
        (generateColoredImagesForCSS): Calculate a scaledWidth/Height to be used throughout
            this method. Make sure we create contexts with the correct dimensions, and save/restore
            them at full size.
        (._drawImageShadow): Use scaledWidth/Height.
        (._invertMaskImage): No need to pass in width and height..
        (._applyImageMask): Ditto.
        (generateEmbossedImages): Calculate a scaledWidth/Height to be used throughout
            this method. Make sure we create contexts with the correct dimensions.

        * UserInterface/Popover.js:
        (WebInspector.Popover.prototype.set frame): Make sure to set the background size when
            the frame is updated.
        (WebInspector.Popover.prototype._drawBackground): Create a correctly scaled canvas,
            and some minor code cleanup.

2013-04-27  Timothy Hatcher  <timothy@apple.com>

        Fix the speed of typing in the Web Inspector.

        ToggleControlToolbarItem regenerates its images every time 'toggled' is set, even
        if the flag does not change! And the dock button updates 'toggled' on keydown and
        keyup to update when Option is pressed.

        <rdar://problem/13756496> REGRESSION: Dock/undock buttons regenerates ever keydown and keyup!

        Reviewed by Dean Jackson.

        * UserInterface/ToggleButtonNavigationItem.js:
        (WebInspector.ToggleButtonNavigationItem.prototype.set toggled): Return early if flag does not change.

2013-04-27  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13143692> Object literal properties should not have popovers

        Given test:

          var foo = 300, o = { foo: 1 };
          var result = o.foo;

        This patch makes it so hovering "foo" in the object literal does not
        show a popover, it used to show 300. While hovering the variable "foo"
        or hovering the property access "o.foo" both show expected values.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._mouseMovedOverEditor):
        If we are hovering a JavaScript token inside of a <script> in HTML resources
        then the JavaScript state is actually token.state.localState. If it is in
        a JavaScript resource then it is just token.state. Pass the most specific
        state on our partial "token" object.

        (WebInspector.TextEditor.prototype._checkHoveredToken):
        Bail for JavaScript object literal properties.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13753106> SourceCodeTextEditor.js:815: JS ERROR: TypeError: undefined is not an object (evaluating this.hoveredToken.bounds)

        We have a complete token in tokenWasHovered, however between then and
        when the async DebuggerAgent.evaluateOnCallFrame callback happens the
        hovered token can change. If it changed, bail, so we don't end up
        trying to put the popover on the wrong hovered token or worse
        hit this exception and break execution.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.tokenWasHovered.populate):
        (WebInspector.SourceCodeTextEditor.prototype.tokenWasHovered):
        (WebInspector.SourceCodeTextEditor.prototype._showPopover):
        Add asserts and preventative bails in multiple places to catch
        similar issues in the future if new paths are added.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13746094> Esc inside a read only editor (JavaScript) should not bring up completion suggestions

        Pass on "Esc" if the editor is read only.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._handleEscapeKey):

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13573902> Line numbers in JS console.log / console.error Messages should be live, they jump to the wrong location
        <rdar://problem/13702357> Line numbers in JS Console Error Messages should be live, they jump to the wrong location

        Make the ConsoleMessage and Profiler links live when possible. Create
        a live link with createSourceCodeLocationLink or linkifyLocation.
        ConsoleMessages's have line and column information now both at the
        base and in stack traces. Profiler nodes don't have column info, but we
        can still make them live, just not entirely accurate.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype._formatMessage):
        (WebInspector.ConsoleMessageImpl.prototype._linkifyLocation):
        Use WebInspector.linkifyLocation with url, line, and column.

        * UserInterface/Main.js:
        (.showSourceCodeLocation):
        (WebInspector.createSourceCodeLocationLink):
        (WebInspector.linkifyLocation):
        If we have the resource with url passed into linkifyLocation
        it creates a link with a sourceCodeLocation. Otherwise it just
        creates a basic link with the appropriate styles.

        * UserInterface/CSSSelectorProfileView.js:
        (WebInspector.CSSSelectorDataGridNode.prototype.createCell):
        (WebInspector.CSSSelectorDataGridNode.prototype._linkifyLocation):
        * UserInterface/ProfileDataGridTree.js:
        (WebInspector.ProfileDataGridNode.prototype._linkifyLocation):
        Use WebInspector.linkifyLocation with url and lineNumber. Add
        a FIXME about the missing column number.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13573902> Line numbers in JS console.log / console.error Messages should be live, they jump to the wrong location
        <rdar://problem/13702357> Line numbers in JS Console Error Messages should be live, they jump to the wrong location

        Give ConsoleMessage a column number. The backend now sends us this info.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleCommandResult.js:
        (WebInspector.ConsoleCommandResult):
        * UserInterface/ConsoleMessage.js:
        (WebInspector.ConsoleMessage):
        (WebInspector.ConsoleMessage.create):
        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl):
        (WebInspector.ConsoleMessageImpl.prototype.get levelString):
        * UserInterface/ConsoleObserver.js:
        (WebInspector.ConsoleObserver.prototype.messageAdded):
        * UserInterface/LogManager.js:
        (WebInspector.LogManager.prototype.messageWasAdded):

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13745104> First revealLine to SourceMapResource lineNumber is not working

        SourceMapResource's may lazily load their data. In such cases the
        ContentView for the resource will be Generic and ignore the revealLine.
        Once loaded, the Generic ContentView will be replaced by a better view,
        but the line number to reveal has been lost. Save that information in
        the cluster content view, as long as the resource has not finished,
        and pass it on to the new content view when the resource finishes.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceMapResource.js:
        (WebInspector.SourceMapResource.prototype.requestContentFromBackend):
        Mark as finished after updating types.

        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype.showResponse):
        (WebInspector.ResourceClusterContentView.prototype._resourceTypeDidChange):
        (WebInspector.ResourceClusterContentView.prototype._resourceLoadingDidFinish):
        If a revealLine comes in for a resource not yet finished loading, replay
        the reveal line when the resource does finish. If subsequent reveals come
        in, the most recent one wins.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor._prettyPrint.prettyPrintAndUpdateEditor):
        When a file is formatted we updated the delayed line number to reveal, but
        didn't update the delayed text range to select. Do that just in case.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701579> Styles sidebar should show source map location by default instead of on hover

        When hovering a link with Command we are showing the original,
        unformatted location. So make sure that when clicked we jump
        to that exact, unformatted location.

        Reviewed by Timothy Hatcher.

        * UserInterface/Main.js:
        (WebInspector.createGoToArrowButton):
        Handle Command+Click to jump to an unformatted location.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCode):
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalUnformattedSourceCodeLocation):
        Allow showing a source code that forces unformatting.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._revealPendingLineIfPossible):
        (WebInspector.TextEditor.prototype.revealLine):
        May need to unformat the resource before revealing the line.

        * UserInterface/FrameContentView.js:
        (WebInspector.FrameContentView.prototype.showSourceCode):
        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype.showResponse):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype.revealLine):
        * UserInterface/TextContentView.js:
        (WebInspector.TextContentView.prototype.revealLine):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype.revealLine):
        Pass the forceUnformat option through revealLine paths.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701579> Styles sidebar should show source map location by default instead of on hover

        Update the rules for a live location display.

          - Show display location by default if there is one.
          - Show display locations in italics, original locations display non-italics.
          - Command+Mouseover a display location will show the original location.
          - Provide different display styles for column numbers. Default to "OnlyIfLarge"
            meaning only show column numbers if the column is > 80.

        Reviewed by Timothy Hatcher.

        * UserInterface/CallFrameTreeElement.js:
        (WebInspector.CallFrameTreeElement):
        Simplify by using SourceCodeLocation.prototype.tooltipString.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.originalLocationString):
        (WebInspector.SourceCodeLocation.prototype.formattedLocationString):
        (WebInspector.SourceCodeLocation.prototype.displayLocationString):
        Add the new column style parameter. Pass it through to _locationString.

        (WebInspector.SourceCodeLocation.prototype.tooltipString):
        Always show full URLs and columns in tooltips.

        (WebInspector.SourceCodeLocation.prototype._locationString):
        Respect the column style when including column numbers.

        (WebInspector.SourceCodeLocation.prototype.updateDisplayString):
        (WebInspector.SourceCodeLocation.prototype.mouseOverOrMove):
        (WebInspector.SourceCodeLocation.prototype.populateLiveDisplayLocationString):
        Update the default value to displayLocation. And the Command+Mouseover to originalLocation.

2013-04-26  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701576> SASS source map location is wrong on http://html5please.com

        CSSRule.selectorList.range has column information, which allows us to
        provide a much better location to jump to. So when selectorList and
        its SourceRange is available, use that for its start line and column.
        Fallback to the CSSRule.sourceLine which is always available.

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype._parseRulePayload):

2013-04-26  Timothy Hatcher  <timothy@apple.com>

        Update CodeMirror from 3.11+ to 3.12.

        * UserInterface/External/CodeMirror/clojure.js: Updated.
        * UserInterface/External/CodeMirror/codemirror.js: Updated.
        * UserInterface/External/CodeMirror/javascript.js: Updated.
        * UserInterface/External/CodeMirror/searchcursor.js: Updated.
        * UserInterface/External/CodeMirror/sql.js: Updated.

2013-04-26  Timothy Hatcher  <timothy@apple.com>

        Make completions work after open brackets.

        This also improves things to limit keywords to certain contexts.

        <rdar://problem/13746491> Should have JavaScript completion suggestions after a base of all open bracket characters, e.g. "if (tr|"

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions):
        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded):

2013-04-26  Timothy Hatcher  <timothy@apple.com>

        Improve multi-line support in the console prompt.

        Pressing return at the end of the expression now does a parse to see if the expression
        is ready to evaluate. We will insert a new line if the error is recoverable, otherwise
        we will evaluate it. Pressing enter will insert a new line when there is no text, when
        the cursor is not at the last position or there is a selection. Command-Enter will now
        always evaluate the expression.

        <rdar://problem/13747367>

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt):
        (WebInspector.ConsolePrompt.prototype._handleEnterKey.positionsEqual): Added.
        (WebInspector.ConsolePrompt.prototype._handleEnterKey.commitTextOrInsertNewLine): Added.
        (WebInspector.ConsolePrompt.prototype._handleEnterKey):
        (WebInspector.ConsolePrompt.prototype._handleCommandEnterKey):
        * UserInterface/InspectorBackendCommands.js:
        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptShouldCommitText):

2013-04-25  Timothy Hatcher  <timothy@apple.com>

        Fix some edge cases with the default JavaScript completions.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions):
        Correct the check for switch statements which was missing the "type" parts. Use "info"
        instead to check for "switch". Substring the suffix, since there are cases it can be longer.
        Also prevent keyword completions in var declarations, except for "this".

2013-04-25  Timothy Hatcher  <timothy@apple.com>

        Properly handle duplicate query parameters and form encoded POST data.

        <rdar://problem/13737105> Duplicate query parameters only show the last item in the sidebar data grids

        Reviewed by Joseph Pecoraro.

        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshURL):
        (WebInspector.ResourceDetailsSidebarPanel.prototype._createNameValueDataGrid):
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshRequestDataSection):
        Pass true to parseQueryString to get an array of name/value pairs. Then build
        the DataGrid using that result.

        * UserInterface/Utilities.js:
        (parseLocationQueryParameters):
        (parseQueryString):
        Added arrayResult parameter to allow getting all values, not just the last one.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Improve the sort order for array index completions.

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.receivedPropertyNames.compare):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.receivedPropertyNames):
        Try to sort in numerical order first, then as strings.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Allow autocompletion after "({a:1,b:2})" to suggest "a" and "b" properties.

        <rdar://problem/5866281> Console should allow autocompletion after symbols like ), ], }

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._scanStringForExpression):
        Ignore stop characters when we are inside brackets.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Remove TextPrompt and JavaScriptTextPrompt.

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptTextPrompt.css: Removed.
        * UserInterface/JavaScriptTextPrompt.js: Removed.
        * UserInterface/Main.html:
        * UserInterface/TextPrompt.css: Removed.
        * UserInterface/TextPrompt.js: Removed.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Update DatabaseContentView to use ConsolePrompt.

        Reviewed by Joseph Pecoraro.

        * UserInterface/DatabaseContentView.css:
        (.database-query-prompt):
        (.database-user-query::before, .database-query-prompt::before, .database-query-result::before):
        (.database-user-query):
        (.database-query-result):
        * UserInterface/DatabaseContentView.js:
        (WebInspector.DatabaseContentView):
        (WebInspector.DatabaseContentView.prototype.shown):
        (WebInspector.DatabaseContentView.prototype.updateLayout):
        (WebInspector.DatabaseContentView.prototype._messagesClicked):
        (WebInspector.DatabaseContentView.prototype.accumulateMatches):
        (WebInspector.DatabaseContentView.prototype.tableNamesCallback):
        (WebInspector.DatabaseContentView.prototype.consolePromptCompletionsNeeded):
        (WebInspector.DatabaseContentView.prototype.consolePromptTextCommited):
        (WebInspector.DatabaseContentView.prototype._appendQueryResult):

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Implement live completions for the ConsolePrompt.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt.prototype.updateCompletions):
        (WebInspector.ConsolePrompt.prototype.completionControllerCompletionsNeeded):
        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.evaluated.getCompletions):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.evaluated):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.receivedPropertyNamesFromEvaluate):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded.receivedPropertyNames):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptCompletionsNeeded):
        (WebInspector.JavaScriptLogViewController.prototype._clearLastProperties):
        Most of this is copied and adapted from JavaScriptTextPrompt. The new part if the caching of property names.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Prevent the Escape key from toggling and triggering a completion.

        When the prompt is empty we allow console toggling. When not empty it triggers completion.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._handleEscapeKey):
        Call the completionControllerShouldAllowEscapeCompletion delegate function.

        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt.prototype.completionControllerShouldAllowEscapeCompletion):
        Added. Return true if the prompt is not empty.

        * UserInterface/KeyboardShortcut.js:
        (WebInspector.KeyboardShortcut._handleKeyDown):
        Don't process the shortcut if default was prevented. We know someone already handled
        the key, but didn't call stopPropagation. CodeMirror does this.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Implement default completions for JavaScript in CodeMirrorCompletionController.

        Also hook up completions in ConsolePrompt to get the default completions.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype._scanStringForExpression):
        (WebInspector.CodeMirrorCompletionController.prototype._completeAtCurrentPosition):
        (WebInspector.CodeMirrorCompletionController.prototype._generateCSSCompletions):
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions.matchKeywords):
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions.matchVariables.filterVariables):
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions.matchVariables):
        (WebInspector.CodeMirrorCompletionController.prototype._generateJavaScriptCompletions):
        * UserInterface/ConsolePrompt.js:
        (WebInspector.ConsolePrompt):

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Hook up the ConsolePrompt delegate to JavaScriptLogViewController.

        This makes the prompt work and evaluate results. No auto completion yet.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptHistoryDidChange):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptTextCommited.printResult):
        (WebInspector.JavaScriptLogViewController.prototype.consolePromptTextCommited):
        (WebInspector.JavaScriptLogViewController.prototype._evaluateInInspectedWindow.evalCallback):
        (WebInspector.JavaScriptLogViewController.prototype._evaluateInInspectedWindow):
        Copied from JavaScriptTextPrompt.evalInInspectedWindow.

2013-04-24  Timothy Hatcher  <timothy@apple.com>

        Start using ConsolePrompt in the QuickConsole.

        This simplifies the DOM structure of the QuickConsole and makes resizing happen
        automatically using flex layout instead of JavaScript.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController):
        (WebInspector.JavaScriptLogViewController.prototype.clear):
        (WebInspector.JavaScriptLogViewController.prototype.startNewSession):
        (WebInspector.JavaScriptLogViewController.prototype._handleClearShortcut):
        (WebInspector.JavaScriptLogViewController.prototype._handleFindShortcut):
        (WebInspector.JavaScriptLogViewController.prototype._handleFindNextShortcut):
        (WebInspector.JavaScriptLogViewController.prototype._handleFindPreviousShortcut):
        (WebInspector.JavaScriptLogViewController.prototype._appendConsoleMessage):
        Remove keydown and bind the the keyboard shortcuts to the messages element
        and prompt element using specific event handlers.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView):
        (WebInspector.LogContentView.prototype.shown):
        (WebInspector.LogContentView.prototype.searchBarWantsToLoseFocus): Match _escapeWasPressed.
        (WebInspector.LogContentView.prototype._activeLogCleared):
        (WebInspector.LogContentView.prototype._keyDown):
        Removed keyboard shortcut handling that was using private properties
        from JavaScriptLogViewController.

        * UserInterface/Main.html:
        Include ConsolePrompt.js and ConsolePrompt.css.

        * UserInterface/QuickConsole.css:
        (.quick-console):
        (.quick-console > .console-prompt):
        (.quick-console > .console-prompt::before):
        (.quick-console > .console-prompt > .CodeMirror):
        (.quick-console > .navigation-bar):
        Simplified by removing redundant elements.

        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole): Removed redundant elements.
        (WebInspector.QuickConsole.prototype.updateLayout):
        Set max-height and stop calling _updateSize.
        (WebInspector.QuickConsole.prototype._updateSize): Removed.

2013-04-23  Timothy Hatcher  <timothy@apple.com>

        Start using CodeMirror for the Console prompt.

        This introduces a new class, ConsolePrompt.

        Part of: <rdar://problem/13359916> Typing in the console is improved, but still much slower
        than in Chrome / the WebKit inspector

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsolePrompt.css: Added.
        (.console-prompt):
        (.console-prompt > .CodeMirror):
        (.console-prompt > .CodeMirror-scroll):
        * UserInterface/ConsolePrompt.js: Added.
        (WebInspector.ConsolePrompt):
        (WebInspector.ConsolePrompt.prototype.get element):
        (WebInspector.ConsolePrompt.prototype.get delegate):
        (WebInspector.ConsolePrompt.prototype.set delegate):
        (WebInspector.ConsolePrompt.prototype.get text):
        (WebInspector.ConsolePrompt.prototype.set text):
        (WebInspector.ConsolePrompt.prototype.get history):
        (WebInspector.ConsolePrompt.prototype.set history):
        (WebInspector.ConsolePrompt.prototype.get focused):
        (WebInspector.ConsolePrompt.prototype.focus):
        (WebInspector.ConsolePrompt.prototype.shown):
        (WebInspector.ConsolePrompt.prototype._handlePreviousKey):
        (WebInspector.ConsolePrompt.prototype._handleNextKey):
        (WebInspector.ConsolePrompt.prototype._handleEnterKey):
        (WebInspector.ConsolePrompt.prototype._restoreHistoryEntry):
        (WebInspector.ConsolePrompt.prototype._historyEntryForCurrentText):
        (WebInspector.ConsolePrompt.prototype._rememberCurrentTextInHistory):

2013-04-23  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13681931> Debugger Popover should not dismiss when mouse is over the popover

        We would always dismiss the popover when we'd hover more than 1 second
        outside of the marked token in the text editor. This would also happen
        if the mouse happened to be over the popover shown for the marked token.
        We now track whether the mouse is over the presented popover and only
        dismiss the popover when no longer hovering the marked text in case the
        mouse is not over it.

        Reviewed by Timothy Hatcher.

        * UserInterface/EventHandler.js: Added.
        (WebInspector.EventHandler):
        (WebInspector.EventHandler.prototype.handleEvent):
        New utility to handle events in a way that makes it convenient to start
        and stop tracking events in the scope of that object without using closures.
        * UserInterface/Main.html:
        Add the new EventHandler helper.
        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.hidden):
        (WebInspector.SourceCodeTextEditor.prototype._activeCallFrameDidChange):
        (WebInspector.SourceCodeTextEditor.prototype._debuggerDidResume):
        (WebInspector.SourceCodeTextEditor.prototype.hoveredTokenWasReleased):
        (WebInspector.SourceCodeTextEditor.prototype._showPopover):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForFunction.didGetDetails):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForFunction):
        (WebInspector.SourceCodeTextEditor.prototype.willDismissPopover):
        (WebInspector.SourceCodeTextEditor.prototype._dismissPopover):
        (WebInspector.SourceCodeTextEditor.prototype._trackPopoverEvents):
        (WebInspector.SourceCodeTextEditor.prototype._popoverMouseover):
        (WebInspector.SourceCodeTextEditor.prototype._popoverMouseout):

2013-04-22  Timothy Hatcher  <timothy@apple.com>

        Teach CodeMirror about the CSS properties, keywords and colors we support in WebKit.

        This keeps syntax highlighting in sync with code completion.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSCompletions.js:
        (WebInspector.CSSCompletions.requestCSSNameCompletions.collectPropertyNameForCodeMirror):
        (WebInspector.CSSCompletions.requestCSSNameCompletions.updateCodeMirrorCSSMode):
        (WebInspector.CSSCompletions.requestCSSNameCompletions):

2013-04-21  Timothy Hatcher  <timothy@apple.com>

        Fix some selection issues in the Console.

        Allow command-click on a single row selection to deselect that row the first time.
        Before it was requiring two clicks -- because it would become selected twice --
        before it would deselect.

        Also make sure to clear focusable children after populating delayed results,
        like a the DOM tree.

        Reviewed by Joseph Pecoraro.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype.didAppendConsoleMessage):
        (WebInspector.LogContentView.prototype._updateMessagesSelection):

2013-04-21  Timothy Hatcher  <timothy@apple.com>

        Allow the context menu and clicking on any link in the console.

        There are other links in the console besides those with the console-message-url
        style class that should work and get the normal context menu.

        <rdar://problem/13702031> can't click on a "failed to load" url in console

        Reviewed by Joseph Pecoraro.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._handleContextMenuEvent):
        (WebInspector.LogContentView.prototype._targetInMessageCanBeSelected):
        Check only for tag name, not class name.

2013-04-19  Timothy Hatcher  <timothy@apple.com>

        Allow both text and row selections in the Console.

        Text selection switches to row selection if the text selection spans multiple rows.

        <rdar://problem/13599610> REGRESSION: Can't select partial text of console output

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline.prototype._onmousedown):
        Call event.stopPropagation() to prevent row selection in the console.

        * UserInterface/LogContentView.css:
        (.console-message-text > span): Added. Allow text selection.
        (.console-message::before, .console-user-command::before, .javascript-prompt::before, .console-group-title::before):
        (.console-group-title::before):
        Use px instead of em to fix a positioning issue.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView):
        (WebInspector.LogContentView.prototype._mousedown):
        (WebInspector.LogContentView.prototype._targetInMessageCanBeSelected):
        (WebInspector.LogContentView.prototype._mousemove):
        Allow text selection that switches to row selection if the text selection spans multiple rows.
        This involves delaying operations from mousedown until later in mousemove or mouseup.

        * UserInterface/TreeOutline.js:
        (TreeElement.treeElementMouseDown):
        Call event.stopPropagation() to prevent row selection in the console.

2013-04-20  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701561> Improve SourceMap folder tree hierarchies

        Implement a few improvements to folder tree hierarchies.

          - if there is a sourceRoot in the sourceMap use that as the base for
            subpaths, otherwise fallback to the sourceMappingURL (may change).
          - if a source is an absolute URL on a different scheme / host, prefix
            the subpath with a folder of the host name.
          - flatten folder chains in the UI. Makes expanding folders easier.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceMap.js:
        (WebInspector.SourceMap):
        (WebInspector.SourceMap.prototype.get sourceMappingBasePathURLComponents):
        (WebInspector.SourceMap.prototype._parseMap):
        Save the sourceRoot. And return urlComponents for the basePath, instead of
        just the path.

        * UserInterface/Utilities.js:
        * UserInterface/SourceMapResource.js:
        (WebInspector.SourceMapResource.prototype.get sourceMapDisplaySubpath):
        Determine the subpath to display in the UI for this source map resource.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate.combineFolderChain):
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate.findAndCombineFolderChains):
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate):
        Flatten folder chains.

2013-04-20  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701561> Improve SourceMap folder tree hierarchies

        Correctly resolve dots when determining absolute URLs. Previously I had
        left in extra "../s", however they should have been removed. And
        absoluteURL should handle resolving any dots in the partialURL.

        This fixes ASSERTs in Debug WebKit builds where we were calling
        loadResourceSynchronously with a URL that was expected to be
        absolute and wasn't.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceMap.js:
        * UserInterface/Utilities.js:

2013-04-20  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13701561> Improve SourceMap folder tree hierarchies

        Remove the old combine folder chain code. It will be easier to follow
        the new code with the old code gone.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate.combineFolderChain):

2013-04-19  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13654793> Source Maps: Support for Stylesheets (less / sass / scss) with SourceMaps

        The Inspector protocol now tells us when a CSS response contains a
        sourceMappingURL for a Resource. If we are given a source map URL,
        download the source map and associate it with the Resource.

        Give Stylesheet SourceMapResources (like sass stylesheets) a CSS
        clipping icon instead of using the generic clipping icon.

        Reviewed by Timothy Hatcher.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.resourceRequestWasServedFromMemoryCache):
        (WebInspector.FrameResourceManager.prototype.resourceRequestDidFinishLoading):
        (WebInspector.FrameResourceManager.prototype._createResource):
        If there is a sourceMapURL, download it and associate it with the Resource.

        * UserInterface/Images/ClippingCSS.png: Added.
        * UserInterface/Images/ClippingCSS@2x.png: Added.
        * UserInterface/ResourceIcons.css:
        (.source-map-resource.resource-icon.resource-type-stylesheet .icon):
        CSS Clipping icon for stylesheet source map resources (like less / sass / scss).

        * UserInterface/InspectorBackendCommands.js:
        * UserInterface/NetworkObserver.js:
        (WebInspector.NetworkObserver.prototype.loadingFinished):
        Handle and pass on the new "extraResourceInfo" parameter.

2013-04-19  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13654793> Source Maps: Support for Stylesheets (less / sass / scss) with SourceMaps

        Follow OpenSource and merge PositionSourceMap into SourceMap.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceMap.js:
        (WebInspector.SourceMap):
        (WebInspector.SourceMap.prototype.findEntry):
        (WebInspector.SourceMap.prototype.findEntryReversed):
        (WebInspector.SourceMap.prototype._parseMap):
        * UserInterface/SourceMapManager.js:
        (WebInspector.SourceMapManager.prototype._loadAndParseSourceMap):

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Make sure to call shown on the current Style sub-panel when the sidebar visibility changes.

        <rdar://problem/13604148> Content jumps in details sidebar when switching to styles pane

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel.prototype.visibilityDidChange):
        Call shown on the selected panel.

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Use CSSAgent.setStyleText for Style Attribute editing too.

        <rdar://problem/13630483> Style Attribute editing in the Style details sidebar does not work on shadow content (114442)

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype.changeStyleText):

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Switch from X-WebKit-CSP to Content-Security-Policy for the CSP header.

        Also stop allowing 'unsafe-eval' since the one place we used eval() is dead code.

        Reviewed by Joseph Pecoraro.

        * UserInterface/InspectorBackend.js:
        (InspectorBackendClass.prototype.loadFromJSONIfNeeded): Removed. Not used by Safari.
        * UserInterface/Main.html:

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Make sure to always include the New Rule button in the Styles sidebar.

        <rdar://problem/13683941> Can't add a new rule unless there is a matched rule already

        Reviewed by Joseph Pecoraro.

        * UserInterface/RulesStyleDetailsPanel.js:
        (WebInspector.RulesStyleDetailsPanel.prototype.refresh.addNewRuleButton): Added.
        (WebInspector.RulesStyleDetailsPanel.prototype.refresh): Call addNewRuleButton if
        addedNewRuleButton isn't true after the end of the loop.

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Remove workaround for <rdar://problem/13337211> now that it is fixed.

        Removing this ends up fixing:
        <rdar://problem/13612942> REGRESSION: Style sidebar does not update immediately with node change

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype.refresh):
        (WebInspector.DOMNodeStyles.prototype.refresh.fetchedMatchedStyles):
        (WebInspector.DOMNodeStyles.prototype.refresh.fetchedInlineStyles):
        (WebInspector.DOMNodeStyles.prototype.refresh.fetchedComputedStyle):
        Removed the repeat refresh polling logic.

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Properly handle !important properties from inherited rules.

        <rdar://problem/13683742> Important properties from inherited rules
        mistakenly strikeout the effective property

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype._markOverriddenProperties):
        Mark properties as overridden from inherited elements if there
        is already an effective property from another element.

2013-04-18  Timothy Hatcher  <timothy@apple.com>

        Adopt CSSAgent.setStyleText added in https://webkit.org/b/109340.

        <rdar://problem/13337211> Editing styles on daringfireball.net interrupts autocompletion and flashes

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype.styleChanged): Use CSSAgent.setStyleText.
        * UserInterface/InspectorBackendCommands.js: Updated.

2013-04-18  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13681577> Unresolved breakpoint in SourceMapResource when reloading page

        The ContentBrowser no longer contains ResourceContentViews directly, it
        has ResourceClusterContentViews. Update the closeAll prototype call on
        page navigations to make sure resource views get closed properly.

        Reviewed by Timothy Hatcher.

        * UserInterface/ResourceSidebarPanel.js:

2013-04-18  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13681487> Missing heirarchical path components selecting breakpoints in source map resources in Debugger sidebar

        Force onpopulate to create the SourceMapTreeElements immediately,
        instead of lazily waiting for the user to expand the Resource in
        the Resources sidebar. Then, when we look up the TreeElement to
        get the hierarchical path components it will be found.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype._updateSourceCode):
        (WebInspector.SourceCodeTreeElement.prototype._sourceMapAdded):

2013-04-17  Joseph Pecoraro  <pecoraro@apple.com>

        ERROR: TypeError: 'undefined' is not an object (evaluating 'currentContentView.handleCopyEvent.bind')

        Right clicking in an editor was producing an error. Check if both
        the content view and the handleCopyEvent handler exist.

        Reviewed by Timothy Hatcher.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.get handleCopyEvent):

2013-04-15  Timothy Hatcher  <timothy@apple.com>

        Fix an exception that happens when clicking source links multiple times.

        Reviewed by Antoine Quint.

        * UserInterface/ContentViewContainer.js:
        (WebInspector.ContentViewContainer.prototype.showContentView):
        Return currentView if it is already showing. This matches the case where we return the view
        if it wasn't already showing. Change other returns to return null instead of undefined.

        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype._showContentViewForIdentifier):
        Add an assert that we have a content view. This wasn't needed but I used to to pinpoint the bug.

2013-04-15  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13644426> Support %c - styled console messages - http://adamschwartz.co/log/

        Merge OpenSource r130941, r131448, r134166, r134202.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.styleFormatter):
        (WebInspector.ConsoleMessageImpl.prototype.isWhitelistedProperty):
        (WebInspector.ConsoleMessageImpl.prototype.append):
        (WebInspector.ConsoleMessageImpl.prototype._formatWithSubstitutionString):

2013-04-15  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13658744> Improve %f, %d, %i formatters for numbers and non-numeric input

        Developer tools differ subtly in this area. I like Firefox's behavior
        the most, calling parseFloat or parseInt on the argument. We now match
        that behavior.

        Chrome prints NaN for anything but primitive numbers. Which causes it
        to print NaN for Infinity and "1.5". Firebug just prints out everything
        like "%s", like we used to before this patch.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.stringFormatter):
        (WebInspector.ConsoleMessageImpl.prototype.floatFormatter):
        (WebInspector.ConsoleMessageImpl.prototype.integerFormatter):

2013-04-15  Timothy Hatcher  <timothy@apple.com>

        Don't call clearHistory or markClean in TextEditor after the first time.

        This allows undo/redo in the content browser after editing in style sidebar.

        Reviewed by Joseph Pecoraro.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor): Set _initialStringNotSet.
        (WebInspector.TextEditor.prototype.set string.update):
        Call clearHistory and markClean only if _initialStringNotSet is set.
        And delete _initialStringNotSet afterwards.

2013-04-14  Timothy Hatcher  <timothy@apple.com>

        Default dockSide to "undocked" if it isn't specified in the query parameters.

        This hides the dock buttons again in the iOS Inspector.

        Reviewed by Dan Bernstein.

        * UserInterface/Main.js:
        (WebInspector.contentLoaded):

2013-04-14  Timothy Hatcher  <timothy@apple.com>

        Don't allow Command-Z to clear the editor.

        Reviewed by Antoine Quint.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.set string.update):
        Call clearHistory and markClean.

2013-04-13  Timothy Hatcher  <timothy@apple.com>

        Fix an exception when inspecting a request that has a "Content-type"
        header instead of "Content-Type".

        All HTTP headers are case-insensitive, so we need to handle that.

        Reviewed by Ricky Mondello.

        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.get requestDataContentType):
        (WebInspector.Resource.prototype.get encodedSize):
        (WebInspector.Resource.prototype.get compressed):
        (WebInspector.Resource.prototype.updateForResponse):
        (WebInspector.Resource.prototype.increaseSize):
        Use valueForCaseInsensitiveKey to fetch headers.

        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshRequestDataSection):
        Set requestDataContentType to "" if it is null so the split() that comes later works.

        * UserInterface/Utilities.js:
        (Object.prototype.valueForCaseInsensitiveKey): Added.

2013-04-13  Timothy Hatcher  <timothy@apple.com>

        Rename "Post Data" to "Request Data" and show the data if it exists,
        not just for the "POST" method.

        Reviewed by Antoine Quint.

        * Localizations/en.lproj/localizedStrings.js: Updated.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype._addNewResourceToFrame):

        * UserInterface/Resource.js:
        (WebInspector.Resource):
        (WebInspector.Resource.prototype.get requestData):
        (WebInspector.Resource.prototype.get requestDataContentType):

        * UserInterface/ResourceClusterContentView.js:
        (WebInspector.ResourceClusterContentView.prototype.get requestContentView):
        (WebInspector.ResourceClusterContentView.prototype._canShowRequestContentView):

        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel):
        (WebInspector.ResourceDetailsSidebarPanel.prototype.refresh):
        (WebInspector.ResourceDetailsSidebarPanel.prototype._goToRequestDataClicked):
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshRequestDataSection):
        Remove a workaround for file data that is no longer needed.

2013-04-12  Timothy Hatcher  <timothy@apple.com>

        Prevent a double layout in the content browser navigation bar when switching views.

        By default inserted navigation items schedule a layout soon, which prevents multiple consecutive layouts
        when inserting many navigation items. Forcing a layout after inserting navigation items causes the
        items to be displayed in their final positions and sizes right away.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser.prototype._contentViewSelectionPathComponentDidChange):
        (WebInspector.ContentBrowser.prototype._currentContentViewDidChange):
        (WebInspector.ContentBrowser.prototype._contentViewNavigationItemsDidChange):
        Call updateLayout after changing the navigation bar.

        * UserInterface/HierarchicalPathNavigationItem.js:
        (WebInspector.HierarchicalPathNavigationItem.prototype.set components):
        Use updateLayoutSoon to coalesce multiple changes.

        * UserInterface/NavigationBar.js:
        (WebInspector.NavigationBar.prototype.updateLayout): Clear the timeout.

2013-04-12  Timothy Hatcher  <timothy@apple.com>

        Fix the layout of the selector arrows when components start to collapse.

        Reviewed by Joseph Pecoraro.

        * UserInterface/HierarchicalPathComponent.css:
        (.hierarchical-path-component.show-selector-arrows): Added.
        (.hierarchical-path:not(.always-show-last-path-component-separator) > .hierarchical-path-component.show-selector-arrows:last-child): Added.
        Specify correct min-widths that include space for the selector arrows.

        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent): Add the show-selector-arrows class name to the element.

2013-04-12  Timothy Hatcher  <timothy@apple.com>

        Add the ability to see POST data that isn't in the application/x-www-form-urlencoded format.

        <rdar://problem/12667485> REGRESSION (Safari 6): Missing POST request view for non-urlencoded data

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js: Updated.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.get handleCopyEvent): Added.
        Handles passing through the current content view's handleCopyEvent function.

        * UserInterface/ContentView.js:
        (WebInspector.ContentView):
        (WebInspector.ContentView.isViewable):
        Added TextContentView.

        * UserInterface/DetailsSection.css:
        (.details-section > .content > .group > .row.simple > .value .go-to-arrow): Added.

        * UserInterface/FrameContentView.js:
        (WebInspector.FrameContentView.createPathComponent): Pass true to get double arrows.
        (WebInspector.FrameContentView.prototype.showResource): Added.
        (WebInspector.FrameContentView.prototype.showSourceCode): Return the view. Use showResource.
        (WebInspector.FrameContentView.prototype.showDOMTree): Return the view.

        * UserInterface/Images/Request.pdf: Added.
        * UserInterface/Images/Response.pdf: Added.

        * UserInterface/Main.html: Included new files.

        * UserInterface/PathComponentIcons.css:
        (.request-icon .icon): Added.
        (.response-icon .icon): Added.

        * UserInterface/ResourceClusterContentView.js: Added.
        (WebInspector.ResourceClusterContentView.createPathComponent):
        (WebInspector.ResourceClusterContentView):
        (WebInspector.ResourceClusterContentView.prototype.get resource):
        (WebInspector.ResourceClusterContentView.prototype.get responseContentView):
        (WebInspector.ResourceClusterContentView.prototype.get requestContentView):
        (WebInspector.ResourceClusterContentView.prototype.get selectionPathComponents):
        (WebInspector.ResourceClusterContentView.prototype.shown):
        (WebInspector.ResourceClusterContentView.prototype.closed):
        (WebInspector.ResourceClusterContentView.prototype.showRequest):
        (WebInspector.ResourceClusterContentView.prototype.showResponse):
        (WebInspector.ResourceClusterContentView.prototype._canShowRequestContentView):
        (WebInspector.ResourceClusterContentView.prototype._pathComponentForContentView):
        (WebInspector.ResourceClusterContentView.prototype._identifierForContentView):
        (WebInspector.ResourceClusterContentView.prototype._showContentViewForIdentifier):
        (WebInspector.ResourceClusterContentView.prototype._pathComponentSelected):
        (WebInspector.ResourceClusterContentView.prototype._resourceTypeDidChange):

        * UserInterface/ResourceContentView.js:
        (WebInspector.ResourceContentView):
        Removed code that handled resource type changes and concrete subclasses.
        That is now handled by ResourceClusterContentView.

        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel.prototype._goToPostDataClicked): Added.
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshPostDataSection):
        Renamed Size to Data in the Post Data section. Added a go-to arrow.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.cookieForContentView): Handle ResourceClusterContentView.
        (WebInspector.ResourceSidebarPanel.prototype.showSourceCode): Ditto.
        (WebInspector.ResourceSidebarPanel.prototype.showResourceRequest): Added.

        * UserInterface/TextContentView.css: Added.
        (.content-view.text > .text-editor):

        * UserInterface/TextContentView.js: Added.
        (WebInspector.TextContentView):
        (WebInspector.TextContentView.prototype.get textEditor):
        (WebInspector.TextContentView.prototype.get navigationItems):
        (WebInspector.TextContentView.prototype.revealLine):
        (WebInspector.TextContentView.prototype.shown):
        (WebInspector.TextContentView.prototype.hidden):
        (WebInspector.TextContentView.prototype.closed):
        (WebInspector.TextContentView.prototype.get supportsSearch):
        (WebInspector.TextContentView.prototype.get numberOfSearchResults):
        (WebInspector.TextContentView.prototype.get hasPerformedSearch):
        (WebInspector.TextContentView.prototype.set automaticallyRevealFirstSearchResult):
        (WebInspector.TextContentView.prototype.performSearch):
        (WebInspector.TextContentView.prototype.searchCleared):
        (WebInspector.TextContentView.prototype.revealPreviousSearchResult):
        (WebInspector.TextContentView.prototype.revealNextSearchResult):
        (WebInspector.TextContentView.prototype.updateLayout):
        (WebInspector.TextContentView.prototype._togglePrettyPrint):
        (WebInspector.TextContentView.prototype._textEditorFormattingDidChange):
        (WebInspector.TextContentView.prototype._numberOfSearchResultsDidChange):

2013-04-11  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13630859> Remote Web Inspector doesn't work for some sites (114447)

        RWIInspectorFrontendHost always returns undefined for IFH.loadResourceSynchronously.
        Gracefully handle that in our frontend while we either implement it, or create
        a new Inspector protocol method to load resources through the backend.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceMapManager.js:
        (WebInspector.SourceMapManager.prototype._loadAndParseSourceMap):
        * UserInterface/SourceMapResource.js:
        (WebInspector.SourceMapResource.prototype._requestResourceAsynchronously):

2013-04-11  Timothy Hatcher  <timothy@apple.com>

        Force CodeMirror editors to be a stacking context to prevent creating many layers
        inside when another element overlaps.

        <rdar://problem/13608839> REGRESSION: Text in Web Inspector Source Code
        view looks heavy (double rendered?)

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorOverrides.css:
        (.CodeMirror): Added. Set z-index: 0. Position is already set in codemirror.css.

2013-04-10  Timothy Hatcher  <timothy@apple.com>

        Make the Web Inspector database code tolerant of quota exceptions.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ImageUtilities.js:
        If we can't open the database it isn't the end of the world, we just will
        always generate the images and not cache them for better load times.

2013-04-10  Timothy Hatcher  <timothy@apple.com>

        Drop the expected usage down to 5 MB to match the values in RWI and WK1.

        This fixes an exception on load for first time users.

        Reviewed by Brian Weinstein.

        * UserInterface/ImageUtilities.js:

2013-04-10  Timothy Hatcher  <timothy@apple.com>

        Update the Style Attribute in the sidebar when the DOM attribute changes.

        Also only update a style rule for external changes if the editor isn't focused.
        This prevents external changes from fighting with user edits.

        <rdar://problem/13619049>

        Reviewed by Antoine Quint.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._commitChanges):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._editorBlured): Added.
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._propertiesChanged):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._resetContent):
        Simplify when we reset the content to only do it when not focused.

        * UserInterface/DOMTreeManager.js:
        (WebInspector.DOMTreeManager.prototype._loadNodeAttributes):
        Fire WebInspector.DOMNode.Event.AttributeModified. Remove StyleInvalidated event.

2013-04-10  Timothy Hatcher  <timothy@apple.com>

        Make DOMNodeStyles mark as needing refresh in all cases when a stylesheet changes.

        The stylesheet change might be a rule that we didn't match yet, so checking existing matched
        rules for the stylesheet will not trigger a refresh. This code was added back when refresh was
        not as smart, so this is the correct thing to do now.

        <rdar://problem/13387359> Undoing selector change does not show selector affecting the page anywhere

        Reviewed by Antoine Quint.

        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles.prototype._styleSheetContentDidChange):
        Simplify by always calling _markAsNeedsRefresh.

2013-04-09  Timothy Hatcher  <timothy@apple.com>

        Indent invalid style properties, not just blank lines.

        Also strike out text that is not recognized as a property or comment.

        This will now properly indent and strike out these two error cases:

            padding; 0;
            *line-height: 1;

        <rdar://problem/13608848> Checkbox missing for a style property

        Reviewed by Antoine Quint.

        * UserInterface/CSSStyleDeclarationTextEditor.css:
        Strike out spans that are not comments or marked properties.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._contentChanged):
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._updateTextMarkers):
        Call _markLinesWithCheckboxPlaceholder so the placeholders are added if needed for
        lines htat didn't have properties.

        (WebInspector.CSSStyleDeclarationTextEditor.prototype._createTextMarkerForPropertyIfNeeded):
        Remove use of __checkboxMarker, it is not set anymore.

        (WebInspector.CSSStyleDeclarationTextEditor.prototype._markLinesWithCheckboxPlaceholder):
        Renamed from _markBlankLinesWithCheckboxPlaceholder and taught how to mark only lines that
        need marked, and ignores the rest.

2013-04-08  Timothy Hatcher  <timothy@apple.com>

        Avoid a console error when viewing Anonymous scripts.

        Reviewed by Geoffrey Garen.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.cookieForContentView):

2013-04-08  Timothy Hatcher  <timothy@apple.com>

        Make the Scope Variables details sidebar work when evaluating in the Console.

        <rdar://problem/12831236> REGRESSION (6.0.3-Curie): Scope Chain shows nothing while debugging

        Reviewed by Joseph Pecoraro.

        * UserInterface/ScopeChainDetailsSidebarPanel.js:
        (WebInspector.ScopeChainDetailsSidebarPanel.prototype.refresh.delayedWork): Clear the timeout.
        (WebInspector.ScopeChainDetailsSidebarPanel.prototype.refresh): Set a timeout.

2013-04-08  Joseph Pecoraro  <pecoraro@apple.com>

        Copy PrettyPrinter updates into UserInterface to enact the changes.

        Unreviewed, just moving reviewed code between directories.

        * UserInterface/CodeMirrorFormatters.js:
        * UserInterface/External/CodeMirror/javascript.js:
        * UserInterface/Formatter.js:
        (Formatter.prototype._handleToken):

2013-04-08  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13593779> Pretty printer should line "case" and "default" with "switch"

        Dedent before case/default and indent after, so it lines up with the switch.

        Reviewed by Timothy Hatcher.

        * Tools/PrettyPrinting/CodeMirrorFormatters.js:
        * Tools/PrettyPrinting/index.html:
        * Tools/PrettyPrinting/js-tests/switch-case-default-expected.js: Added.
        * Tools/PrettyPrinting/js-tests/switch-case-default.js: Added.

2013-04-08  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13584713> Pretty printer should gracefully handle single line if/else/for/do/while blocks

        This adds indentation support for single statement blocks. This had a
        pretty big performance cost pretty printing jquery.min.js (20ms), but
        I think it is worth it. In the inspector itself, I did not see pretty
        printing actually taking longer. I'll continue to look at performance.

        Reviewed by Timothy Hatcher.

        * Tools/PrettyPrinting/Formatter.js:
        (Formatter.prototype._handleToken):
        Let the Code modify state before / after the token is consumed.
        Let the formatters specify multiple dedents at once.

        * Tools/PrettyPrinting/FormatterDebug.js:
        (Formatter.prototype.debug):
        In JavaScript print out the previous lexical state.

        * Tools/PrettyPrinting/CodeMirrorFormatters.js:
        Pretty print a good chunk of JavaScript single statement blocks and
        if/else chains.

        * Tools/PrettyPrinting/javascript.js:
        Update to "near" trunk CodeMirror JavaScript. The most recent commit
        causes issues.

        * Tools/PrettyPrinting/index.html:
        * Tools/PrettyPrinting/js-tests/block-comment-expected.js: Added.
        * Tools/PrettyPrinting/js-tests/block-comment.js: Added.
        * Tools/PrettyPrinting/js-tests/single-statement-blocks-expected.js: Added.
        * Tools/PrettyPrinting/js-tests/single-statement-blocks.js: Added.
        Added some micro-tests for recent pretty printing changes.

2013-04-08  Joseph Pecoraro  <pecoraro@apple.com>

        Add a little test running harness to the PrettyPrinter tool. No tests yet.

        Reviewed by Timothy Hatcher.

        * Tools/PrettyPrinting/index.html:

2013-04-08  Joseph Pecoraro  <pecoraro@apple.com>

        Update the PrettyPrinting Tool to match UserInterface.

        Unreviewed tools change.

        * Tools/PrettyPrinting/codemirror.js:
        (window.CodeMirror):
        * Tools/PrettyPrinting/javascript.js:

2013-04-08  Timothy Hatcher  <timothy@apple.com>

        Enable completions for resource content views.

        <rdar://problem/13598062>

        Reviewed by Antoine Quint.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor): Hook up a WebInspector.CodeMirrorCompletionController.

2013-04-08  Timothy Hatcher  <timothy@apple.com>

        Delay computing suggestions for 250ms to keep from slowing down typing.

        <rdar://problem/13598014> CSS completions can slow down typing

        Reviewed by Antoine Quint.

        * UserInterface/CodeMirrorCompletionController.js:
        (WebInspector.CodeMirrorCompletionController.prototype.hideCompletions):
        (WebInspector.CodeMirrorCompletionController.prototype._completeAtCurrentPosition):
        Clear the typing delay timeout.

        (WebInspector.CodeMirrorCompletionController.prototype._handleChange):
        Set _ignoreNextCursorActivity so hideCompletions isn't called.

2013-04-08  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13597681> Layers sidebar panel may flash popovers with stale content

        We only present the popover when the data grid node hasn't changed
        between the time we called into the backend and the time the callback
        is called.

        Reviewed by Timothy Hatcher.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._showPopoverForSelectedNode):

2013-04-08  Antoine Quint  <graouts@apple.com>

        <rdar://problem/12892280> Layer tree panel data grid should refresh less frequently when layers for nodes are recreated

        Provide a custom DataGrid subclass for the Layers panel where we
        use CSS transforms to update the position of data grid nodes
        instead of relying on DOM order so that we can avoid DOM thrashing
        and retain scroll position for rapidly changing content. We also
        set the width of "Paints" and "Memory" columns for a nicely
        consistent formatting.

        Reviewed by Timothy Hatcher.

        * UserInterface/DetailsSectionDataGridRow.js:
        (WebInspector.DetailsSectionDataGridRow.prototype.set dataGrid):
        Perform a quick return in case the new data grid is the same
        as the previous in order to remove the possibility of appending
        the data grid's element if it was already the current data grid.

        * UserInterface/LayerTreeDataGrid.js: Added.
        (WebInspector.LayerTreeDataGrid):
        Initialize the DataGrid with a custom set of columns and set the
        width of the "Paints" and "Memory" columns.

        (WebInspector.LayerTreeDataGrid.prototype.insertChild):
        (WebInspector.LayerTreeDataGrid.prototype.removeChild):
        Override these DataGrid methods to perform our custom layout of
        cells when a child is added or removed.

        (WebInspector.LayerTreeDataGrid.prototype.setChildren):
        Public API used to set the list of children data grid nodes for
        this data grid. We compare this new list to the previous list
        and only remove / add the nodes that need to be, avoiding having
        to remove the entire set of children to update the nodes list.

        (WebInspector.LayerTreeDataGrid.prototype._updateChildren):
        Position the children data grid nodes using CSS transforms instead
        of DOM order. We also manually set the sibling relationship there
        since it can no longer be accomplished in insertChild() or
        removeChild() calls.

        (WebInspector.LayerTreeDataGrid.prototype._recalculateSiblings):
        Make this method a no-op since we manually perform the same task in
        _updateChildren().

        * UserInterface/LayerTreeDataGridNode.js:
        (WebInspector.LayerTreeDataGridNode):
        Add a new _outlets private ivar we use to stash the DOM elements
        we'll need to update when the node's data changes.

        (WebInspector.LayerTreeDataGridNode.prototype.createCells):
        Override this DataGridNode API in order to add a flag that cells
        were created which we'll use as a flag to allow the update of a
        cell's data in the data setter.

        (WebInspector.LayerTreeDataGridNode.prototype.createCellContent):
        (WebInspector.LayerTreeDataGridNode.prototype.set layer):
        (WebInspector.LayerTreeDataGridNode.prototype.get data):
        (WebInspector.LayerTreeDataGridNode.prototype.set data):
        Custom data setter as the default version would completely trash
        the DOM tree and replace it with a whole new set of elements to
        update the data. We choose a more incremental approach here since
        individual fields for this node may change (paint count being the
        most likely).

        (WebInspector.LayerTreeDataGridNode.prototype._makeOutlet):
        (WebInspector.LayerTreeDataGridNode.prototype._makeNameCell):
        Prepare the DOM elements used to present the node's data. Many
        elements for the name cell are dynamically added and removed in
        _updateNameCellData().

        (WebInspector.LayerTreeDataGridNode.prototype._updateCell):
        (WebInspector.LayerTreeDataGridNode.prototype._updateNameCellData):
        Update the information on outlets or their very availability based
        on the current data and represented layer.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype.shown):
        (WebInspector.LayerTreeSidebarPanel.prototype.hidden):
        Remove the auto-sizing of data grid columns as we're not setting them
        to be constant for a more consistent look.

        (WebInspector.LayerTreeSidebarPanel.prototype._buildDataGridSection):
        Instantiate our new LayerTreeDataGrid class.

        (WebInspector.LayerTreeSidebarPanel.prototype._sortDataGrid):
        Use the custom setChildren() API on LayerTreeDataGrid to change the
        children order.

        (WebInspector.LayerTreeSidebarPanel.prototype._updateDataGrid):
        * UserInterface/Main.html:
        Add LayerTreeDataGrid.js.

2013-04-07  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13584696> Pretty printer should preserve whitespace in multi-line comments

        Update CodeMirror to trunk to get a few recent fixes.

        This update includes project wide tailing whitespace and tab removal
        which is why so many files were changed.

        Rubber-stamped by Timothy Hatcher.

        * UserInterface/External/CodeMirror/clojure.js:
        * UserInterface/External/CodeMirror/codemirror.js:
        * UserInterface/External/CodeMirror/coffeescript.js:
        * UserInterface/External/CodeMirror/javascript.js:
        * UserInterface/External/CodeMirror/less.js:
        * UserInterface/External/CodeMirror/matchbrackets.js:
        * UserInterface/External/CodeMirror/overlay.js:
        * UserInterface/External/CodeMirror/sql.js:
        * UserInterface/External/CodeMirror/xml.js:

2013-04-07  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13043550> REGRESSION: Scrollbar renders behind position: sticky elements in the Web Inspector

        Give the Sidebar Panels a stacking context to work around the issue.

        Reviewed by Ricky Mondello.

        * UserInterface/Sidebar.css:
        (.sidebar > .panel):

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        Add a small script to update the Tools/PrettyPrinting directory.

        My workflow for fixing a PrettyPrinting bug is to first update the Tools
        directory with exact replicas of files in UserInterface. Make changes
        and test with the debug page, and then transfer the files back to the
        inspector. This script helps automate those steps.

        Reviewed by Cody Krieger.

        * Scripts/update-codemirror-resources.rb:
        * Scripts/update-pretty-printer.rb: Added.

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        Update the PrettyPrinting Tool with a few Debug changes.

        Unreviewed tools change.

        * Tools/PrettyPrinting/index.html:
        * Tools/PrettyPrinting/FormatterDebug.js:
        (.pad):
        (.debugToken):
        (Formatter.prototype.debug):
        Output null, undefined, or 'string' for tokens.
        Previously null and undefined output as '-'.

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        Update the PrettyPrinting Tool with CodeMirror CSS changes.

        Unreviewed tools change.

        * Tools/PrettyPrinting/codemirror-additions.css: Added.
        * Tools/PrettyPrinting/codemirror.css:
        * Tools/PrettyPrinting/index.html:

2013-04-05  Timothy Hatcher  <timothy@apple.com>

        Tweak Web Inspector's image cache database.

        We only want to keep the image data around for the first use. These
        images are typically only used in one place. This keeps performance
        good during page load and frees memory that typically won't be reused.

        Also add transaction error logging and a better expected database size.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ImageUtilities.js:
        (_logSQLTransactionError):
        (_prefetchCachedImagesAndUpdate):
        (.restoreImageData):
        (restoreImageFromStorage):

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        Update the PrettyPrinting Tool with new formatter changes.

        Also some tweaks so that the Tools files are identical to the ones in
        the actual Web Inspector (UserInterface).

        Unreviewed tools change.

        * Tools/PrettyPrinting/CodeMirrorFormatters.js:
        * Tools/PrettyPrinting/Formatter.js:
        (Formatter.prototype.format):
        (Formatter.prototype._handleToken):
        (Formatter.prototype._handleEmptyLine):
        * Tools/PrettyPrinting/FormatterContentBuilder.js:
        (FormatterContentBuilder.prototype.appendNewline):
        (FormatterContentBuilder.prototype.appendMultipleNewlines):
        (FormatterContentBuilder.prototype.removeLastNewline):
        (FormatterContentBuilder.prototype._addFormattedLineEnding):
        * Tools/PrettyPrinting/FormatterDebug.js: Added.
        (Formatter.prototype.debug):
        * Tools/PrettyPrinting/Utilities.js: Added.
        * Tools/PrettyPrinting/codemirror.js:
        * Tools/PrettyPrinting/css.js:
        * Tools/PrettyPrinting/index.html:
        * Tools/PrettyPrinting/javascript.js:

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        Win back performance in pretty-printing large files

        With preserving newlines we lost a few ms. This wins back at
        least the same amount and a bit more on JavaScript (2-3ms).

        Checking if the current token is a comment is a very common
        in our pretty printers. Only perform the work once, and pass
        the result around as needed to prevent duplicated work.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorFormatters.js:
        * UserInterface/Formatter.js:
        (Formatter.prototype._handleToken):

2013-04-05  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13582023> Web Inspector removes blank lines in my JS when pretty printing

        When pretty-printing already pretty code we did a poor job of preserving
        the nice extra whitespace the original code had. This preserves the empty
        (whitespace only) lines in the original code.

        Because our pretty printer sometimes adds multiple newlines, like in CSS
        after each rule, we don't need to add yet another newline to just preserve
        a blank line from the original content. Handle that gracefully.

        This introduces a minor performance regression (1-3ms in large content)
        but I think it is well worth it considering the results. Much prettier!

        JavaScript Test:

            Foo.prototype.f = function() {
              // ...
            }

            Foo.prototype.g = function() {
              // ...
            }

        CSS Test:

            /* comment one */
          
            /* comment two */

        Reviewed by Antoine Quint.

        * UserInterface/Formatter.js:
        (Formatter.prototype.format):
        (Formatter.prototype._handleToken):
        (Formatter.prototype._handleEmptyLine):
        Call handleEmptyLine for whitespace only lines, and force
        append a newline unless the builder just had multiple.

        * UserInterface/FormatterContentBuilder.js:
        (FormatterContentBuilder):
        (FormatterContentBuilder.prototype.appendNewline):
        (FormatterContentBuilder.prototype.appendMultipleNewlines):
        Helper for appending multiple newlines, to set some extra state.

2013-04-04  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13583718> Pretty printing should not move comments to the end of the previous line

        Previously we removed newlines before comments if they were after a
        semicolon. This was intended to keep comments on the same line as code.
        This could backfire if the comment was really on actually on the next
        line. So be more specific, and don't remove the previous newline if
        the comment is the first token on a line.

        JavaScript Test:

            function() {
              var a;
              // test
            }

        CSS Test:

            a {
              color: red;
              /* test */
            }

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorFormatters.js:
        * UserInterface/Formatter.js:
        (Formatter.prototype.format):
        (Formatter.prototype._handleToken):

2013-04-05  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13472300> Layers in sidebar panel should use iconography

        Refreshing the look of the Layers sidebar panel data grid nodes
        to use icons to identify the kind of layers presented (element,
        pseudo-element or reflection). Also, we mark the pseudo-element
        part of the CSS selector by displaying it in lighter text as well
        as showing a " Ñ Reflection" extra label in the case of reflections.
        Finally, we also trim the text in the CSS selector label and shorten
        it to make room for the go-to arrow button should it be visible
        when hovering the data grid node.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/Images/PseudoElement.pdf: Added.
        * UserInterface/Images/Reflection.pdf: Added.
        * UserInterface/LayerTreeDataGridNode.js:
        (WebInspector.LayerTreeDataGridNode.prototype.createCellContent):
        (WebInspector.LayerTreeDataGridNode.prototype.set layer):
        (WebInspector.LayerTreeDataGridNode.prototype._createNodeCellContent):
        (WebInspector.LayerTreeDataGridNode.prototype._goToArrowWasClicked):
        * UserInterface/LayerTreeSidebarPanel.css:
        (.layer-tree.panel .data-grid table.data):
        (.layer-tree.panel .data-container tr):
        (.layer-tree.panel .data-container td > div):
        (.layer-tree.panel .data-container .name-column):
        (.layer-tree.panel .data-container .name-column .icon):
        (.layer-tree.panel .data-container tr.reflection .name-column .icon):
        (.layer-tree.panel .data-container tr.pseudo-element .name-column .icon):
        (.layer-tree.panel .data-container .name-column .label):
        (.layer-tree.panel .data-container tr:hover .name-column .label):
        (.layer-tree.panel .data-container .name-column .reflection):
        (.layer-tree.panel .data-container tr.selected .name-column .reflection):
        (.layer-tree.panel .data-container .go-to-arrow):
        (.layer-tree.panel .data-container tr:hover .go-to-arrow):

2013-04-04  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13573165> Pressing Esc in a readOnly editor should still focus the quick console

        Reviewed by Timothy Hatcher.

        * UserInterface/EditingSupport.js:
        (WebInspector.isEventTargetAnEditableField):

2013-04-04  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13580154> DOMTreeOutline.js:504: JS ERROR: TypeError: 'true' is not a function (evaluating 'this._contextMenuCallback(contextMenu, node)'

        DOMTreeOutline constructors were passing 3 booleans. In the case of
        outlines in the Console it was passing "true" expecting that to provide
        a "Reveal Element" context menu item, but that mis-matched the
        constructor. Fix the error, and add back the context menu item.

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline):
        Update parameters.

        (WebInspector.DOMTreeOutline.prototype.revealElement):
        (WebInspector.DOMTreeOutline.prototype._populateContextMenu):
        Append a "Reveal Element" context menu item if needed.

        * UserInterface/ObjectPropertiesSection.js:
        (WebInspector.ObjectPropertyTreeElement.prototype._contextMenuEventFired):
        Update the string. We don't have a panel, the nav bar labels this "DOM Tree".

2013-04-04  Joseph Pecoraro  <pecoraro@apple.com>

        ERROR URIError: URI error in FrameResourceManager.prototype.resourceForScript

        decodeURI can throw a URIError, e.g. decodeURI("%"). Protect against
        this in FrameResourceManager. This method is meant to work with both
        already decoded and encoded URIs.

        Reviewed by Timothy Hatcher.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.resourceForScript):
        Wrap the code with decodeURI in a try/catch.

2013-04-04  Timothy Hatcher  <timothy@apple.com>

        Fix opening the Web Inspector in Production builds.

        A function declaration was pushed up next to a parenthesis when minified.
        This made the parser think we were trying to make a call. Adding a semicolon
        is all we need to make things work again when combined and minified.

        <rdar://problem/13577591> REGRESSION (r50120-50124): Can't open Web Inspector

        Reviewed by Ricky Mondello.

        * UserInterface/MIMETypeUtilities.js:
        (WebInspector.fileExtensionForURL):
        (WebInspector.mimeTypeForFileExtension):

2013-04-04  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13570821> Reasons for compositing popover should adjust position if inspector window resizes

        Allow for popovers to have their target frame updated independently
        of their content so we can efficiently update their position as the
        element for which a popover is presented changes position. Now that
        we have this support, we update the popover presentation when the
        window size changes and a popover is visible in the Layers sidebar
        panel.

        Reviewed by Timothy Hatcher.

        * UserInterface/Breakpoint.js:
        (WebInspector.Breakpoint.prototype._showEditBreakpointPopover):
        Adopt the updated Popover API.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel):
        Track window resize events so that we may update the popover
        presentation as it changes.

        (WebInspector.LayerTreeSidebarPanel.prototype._windowResized):
        Update the popover presentation in case there is a visible popover.

        (WebInspector.LayerTreeSidebarPanel.prototype._showPopoverForSelectedNode):
        Use the new _updatePopoverForSelectedNode() method as the callback.

        (WebInspector.LayerTreeSidebarPanel.prototype._updatePopoverForSelectedNode):
        Adopt the updated Popover API and only set the popover's content
        should one be provided, ie. when the method is called as callback
        to _contentForPopover().

        * UserInterface/Popover.js:
        (WebInspector.Popover):
        New private ivars to track some popover presentation state.

        (WebInspector.Popover.prototype.get visible):
        New public property to let clients check on popover visibility.

        (WebInspector.Popover.prototype.set content):
        (WebInspector.Popover.prototype.present):
        New public property and method signature to let clients set the
        content of the popover independently of its presentation attributes.

        (WebInspector.Popover.prototype._update):
        New private method called to update the presentation state
        of the popover and basically the old content of the present()
        method with use of the presentation ivars instead of method
        arguments and some optimizations to check that we only update
        the content and draw the canvas background should they have
        changed.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._showPopover):
        Adopt the updated Popover API.

2013-04-04  Timothy Hatcher  <timothy@apple.com>

        Make ContentViewContainer robust against null/undefined elements in contentView.scrollableElements.

        DatabaseTableContentView can return a null element when the table is empty, and this causes exceptions.

        Reviewed by Antoine Quint.

        * UserInterface/ContentViewContainer.js:
        (WebInspector.ContentViewContainer.prototype._saveScrollPositionsForContentView):
        (WebInspector.ContentViewContainer.prototype._restoreScrollPositionsForContentView):

2013-04-04  Timothy Hatcher  <timothy@apple.com>

        Don't use localStorage to cache generated images in the Web Inspector.

        This migrates ImageUtilities off localStorage to a SQL database.

        <rdar://problem/13574226> Web Inspector breaks when file:/// localStorage hits 5MB limit

        Rubber-stamped by Antoine Quint.

        * UserInterface/ImageUtilities.js:
        (_devicePixelRatioChanged):
        (_registerGeneratedImageUpdateFunction):
        (_logSQLError):
        (_prefetchCachedImagesAndUpdate.complete):
        (_prefetchCachedImagesAndUpdate._generatedImageCacheDatabase.transaction):
        (_prefetchCachedImagesAndUpdate):
        (restoreImageFromStorage):
        (generateColoredImagesForCSS.restoreImages):
        (generateColoredImagesForCSS.restoreImages.restoreActiveImages):
        (generateColoredImagesForCSS.restoreImage):
        (generateColoredImagesForCSS.update):
        (generateColoredImagesForCSS.generateImage):
        (generateEmbossedImages):
        (generateEmbossedImages.generateImages):
        (generateEmbossedImages.generateImages.generateActiveImages):

2013-04-04  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13570779> Reasons for compositing popover in layers sidebar is poorly aligned with selected datagrid row

        Also apply padding to the target frame size, not just the origin, and
        adjust the padding down to 2 to match the padding used for breakpoints.

        Reviewed by Timothy Hatcher.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._showPopoverForSelectedNode):

2013-04-03  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13573798> REGRESSION: CodeMirror editor doesn't refresh when split console is hidden and more of the content view is visible

        Reviewed by Timothy Hatcher.

        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype.consoleLogVisibilityChanged):
        Trigger a DidResize event because the console would have changed
        its visible size.

2013-04-03  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13474739> Respect sourcesContent in SourceMaps for SourceMapResources

        If the resource's contents are available via the Source Map's
        sourcesContent array, then use them. Otherwise, go the normal path of
        downloading the resource. Because neither path can get the MIME type of
        the resource right now, fallback to trying to determine the MIME type
        from the resource's file extension.

        Reviewed by Timothy Hatcher.

        * UserInterface/Main.html:
        * UserInterface/MIMETypeUtilities.js: Added.
        (WebInspector.fileExtensionForURL):
        (WebInspector.mimeTypeForFileExtension):
        Helpers for extensions and MIME types.

        * UserInterface/SourceMapResource.js:
        (WebInspector.SourceMapResource.prototype._requestResourceAsynchronously):
        Check for embedded sourcesContent content, and determine the MIME type
        from the file extension.

        * UserInterface/Resource.js:
        Be sure to give types to some of the MIME types for CodeMirror supported
        types, which may show up as SourceMap sources.

2013-04-03  Joseph Pecoraro  <pecoraro@apple.com>

        ERROR: console.assert(alternateImage) in ToggleButtonNavigationItem.js:4

        Remove assert that there must be an alternateImage. The undock button
        does not have an alternate image, and this assert would trigger each
        time the inspector was opened.

        Reviewed by Timothy Hatcher.

        * UserInterface/ToggleButtonNavigationItem.js:
        (WebInspector.ToggleButtonNavigationItem):

2013-04-03  Jessie Berlin  <jberlin@apple.com>

        Ran update-safari-localizable-strings.

        * Localizations/en.lproj/localizedStrings.js:

2013-04-03  Timothy Hatcher  <timothy@apple.com>

        Add switch to activate / deactivate all breakpoints.

        <rdar://problem/11329057> REGRESSION (Safari 6): Switch to activate / deactivate all
        breakpoints is missing (debugger)

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js: Updated.
        * UserInterface/Breakpoint.js:
        (WebInspector.Breakpoint.prototype.get resolved):
        Check DebuggerManager.breakpointsEnabled. This is the easiest approach to get the gray
        icons for breakpoints in all the right places without adding checks at all call sites.

        * UserInterface/DebuggerManager.js:
        (WebInspector.DebuggerManager):
        (WebInspector.DebuggerManager.prototype.get breakpointsEnabled):
        (WebInspector.DebuggerManager.prototype.set breakpointsEnabled):
        (WebInspector.DebuggerManager.prototype._updateBreakOnExceptionsState):
        Check the breakpointsEnabled setting when updating the break on exception state.

        * UserInterface/DebuggerSidebarPanel.css:
        (.sidebar > .panel.debugger .breakpoint-toggle): Added.
        (.sidebar > .panel.debugger .breakpoint-toggle.enabled): Added.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel):
        (WebInspector.DebuggerSidebarPanel.prototype._breakpointsToggleButtonClicked):
        Added a button to the Breakpoints section header.

2013-04-03  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13566082> DOMTreeManager.highlightRect() does not take scrolling into account

        Add support for the new "usePageCoordinates" argument to DOM.highlightRect()
        and set it to true when highlighting the bounds of generated layers.

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeManager.js:
        (WebInspector.DOMTreeManager.prototype.highlightRect):
        * UserInterface/InspectorBackendCommands.js:
        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._highlightSelectedNode):

2013-04-03  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13105224> Reflect data grid timeline filters in the Timeline overview

        Apply the filtering of records directly into the timelineOverviewRecordsWithType()
        method which is the method used by the TimelineOverview to gather data. Additionally,
        we now update the content of the TimelineOverview when the filters applied to one of
        the data grids change such that the timeline overview is kept in sync.

        Reviewed by Timothy Hatcher.

        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView.prototype.timelineOverviewRecordsWithType):
        (WebInspector.TimelinesContentView.prototype._dataGridFiltersDidChange):

2013-04-03  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13557373> Layers panel doesn't know how to account for anonymous layers

        Handle the new "isAnonymous" property on the protocol and the renamed
        "pseudoElement" property. We also format use of pseudo-elements better
        and handle the somewhat unlikely possibility that we would deal with
        layers with unknown nodes.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        New localized string for "Unknown node".

        * UserInterface/LayerTreeDataGridNode.js:
        (WebInspector.LayerTreeDataGridNode.prototype.createCellContent):
        Update the "no-node" class on the data grid node's element.

        (WebInspector.LayerTreeDataGridNode.prototype.set layer):
        Set an "Unknown node" label for layers with an unknown node, which
        shouldn't really happen, but we should be prepared for the possibility.
        Seeing this message means that the agent should be taught how to deal
        with a probably edge case. We also update the code to deal with the
        "pseudoElement" property instead of "pseudoClass" to match the protocol
        change. Finally, we also update the "no-node" class on the data grid's node.

        (WebInspector.LayerTreeDataGridNode.prototype._updateDOMNodeAvailability):
        New method to update the "no-node" class on the data grid's node so
        that we may hide the go-to arrow button in the case where there is
        no associated node.

        * UserInterface/LayerTreeSidebarPanel.css:
        (.layer-tree.panel .data-grid tr.no-node .go-to-arrow):
        Hide the go-to arrow button in the case where there is no associated node.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._highlightSelectedNode):
        Also use highlightRect() in the case where the layer is anonymous.

2013-04-02  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13548470> REGRESSION: Web inspector hung after searching for "swf"

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._scrollIntoViewCentered):
        Be more careful providing a center margin when the text size and editor
        height can be fractional. If the margin is greater than half the size of
        the editor, CodeMirror gets stuck in an infinite loop.

2013-04-02  Joseph Pecoraro  <pecoraro@apple.com>

        ERROR: TypeError: 'undefined' is not an object (evaluating 'this._profileView.showTimeAsPercent.value')

        When selecting a CSS Profile, displayProfile could trigger from the
        superclass constructor before the showTimeAsPercent Setting was
        initialized, causing this error. ProfileView's are assumed to have
        this property, and the ProfileView constructor had an unused
        parameter, which looks like it was intended for this purpose.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSSelectorProfileView.js:
        (WebInspector.CSSSelectorProfileView):
        * UserInterface/JavaScriptProfileView.js:
        (WebInspector.JavaScriptProfileView):
        * UserInterface/ProfileView.js:
        (WebInspector.ProfileView):

2013-04-02  Timothy Hatcher  <timothy@apple.com>

        Update toolbar layout for recent flex box changes.

        <rdar://problem/13556024>

        Reviewed by Joseph Pecoraro.

        * UserInterface/Toolbar.css:
        (.toolbar .item-section): Added min-width: -webkit-min-content.
        min-width now defaults to 0, but we need the sections to stop at the
        content size so the JavaScript layout function can do the right thing.

2013-04-02  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13545256> Automatic selection of a CSS profile upon finishing recording fails to show any content

        Make sure we set the "showAsTimePercent" property before calling super since
        it may be used by the generated WebInspector.CSSSelectorDataGridNode in 
        displayProfile() which would be called in the super call in the case where
        the view is created as the profile finishes recording.

        Reviewed by Timothy Hatcher.

        * UserInterface/CSSSelectorProfileView.js:
        (WebInspector.CSSSelectorProfileView):

2013-04-01  Timothy Hatcher  <timothy@apple.com>

        Fix the icons for the exception breakpoints.

        <rdar://problem/13552326> REGRESSION: Exception breakpoints are missing custom icons

        Reviewed by Joseph Pecoraro.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.ExceptionIconStyleClassName): Added.
        This property was expected to exist but got removed at some point.
        BreakpointTreeElement property handled undefined and used the generic icon.

2013-04-01  Timothy Hatcher  <timothy@apple.com>

        Compressed PNGs with pngcrush and further reduced the size of some PDFs by re-exporting them. Removed some unused images too.

        This goes from 2.1 MB of images down to 1.2 MB.

        Rubber-stamped by Joseph Pecoraro.

        * UserInterface/Images/ApplicationCache.png:
        * UserInterface/Images/ApplicationCache@2x.png:
        * UserInterface/Images/ApplicationCacheManifest.png:
        * UserInterface/Images/ApplicationCacheManifest@2x.png:
        * UserInterface/Images/Breakpoint.png:
        * UserInterface/Images/Breakpoint@2x.png:
        * UserInterface/Images/BreakpointInactive.png:
        * UserInterface/Images/BreakpointInactive@2x.png:
        * UserInterface/Images/ClippingGeneric.png:
        * UserInterface/Images/ClippingGeneric@2x.png:
        * UserInterface/Images/ClippingJS.png:
        * UserInterface/Images/ClippingJS@2x.png:
        * UserInterface/Images/Close.pdf:
        * UserInterface/Images/Colors.png:
        * UserInterface/Images/Colors@2x.png:
        * UserInterface/Images/Cookie.png:
        * UserInterface/Images/Cookie@2x.png:
        * UserInterface/Images/Crosshair.pdf:
        * UserInterface/Images/DOMCharacterData.pdf:
        * UserInterface/Images/DOMComment.pdf:
        * UserInterface/Images/DOMDocument.pdf:
        * UserInterface/Images/DOMDocumentType.pdf:
        * UserInterface/Images/DOMElement.pdf:
        * UserInterface/Images/DOMNode.pdf:
        * UserInterface/Images/DOMTextNode.pdf:
        * UserInterface/Images/DOMTree.pdf:
        * UserInterface/Images/Database.png:
        * UserInterface/Images/Database@2x.png:
        * UserInterface/Images/DatabaseTable.png:
        * UserInterface/Images/DatabaseTable@2x.png:
        * UserInterface/Images/DisclosureTriangleSmallClosed.pdf:
        * UserInterface/Images/DisclosureTriangleSmallOpen.pdf:
        * UserInterface/Images/DockBottom.pdf:
        * UserInterface/Images/DockRight.pdf:
        * UserInterface/Images/DocumentCSS.png:
        * UserInterface/Images/DocumentCSS@2x.png:
        * UserInterface/Images/DocumentFont.png:
        * UserInterface/Images/DocumentFont@2x.png:
        * UserInterface/Images/DocumentGeneric.png:
        * UserInterface/Images/DocumentGeneric@2x.png:
        * UserInterface/Images/DocumentImage.png:
        * UserInterface/Images/DocumentImage@2x.png:
        * UserInterface/Images/DocumentJS.png:
        * UserInterface/Images/DocumentJS@2x.png:
        * UserInterface/Images/DocumentMarkup.png:
        * UserInterface/Images/DocumentMarkup@2x.png:
        * UserInterface/Images/EventListener.pdf:
        * UserInterface/Images/Exception.pdf:
        * UserInterface/Images/FilterFieldGlyph.pdf:
        * UserInterface/Images/FolderGeneric.png:
        * UserInterface/Images/FolderGeneric@2x.png:
        * UserInterface/Images/Function.pdf:
        * UserInterface/Images/HierarchicalNavigationItemChevron.pdf:
        * UserInterface/Images/InstructionPointer.png:
        * UserInterface/Images/InstructionPointer@2x.png:
        * UserInterface/Images/LeftSidebarClose.pdf: Removed.
        * UserInterface/Images/LeftSidebarOpen.pdf: Removed.
        * UserInterface/Images/LessColumns.pdf:
        * UserInterface/Images/LocalStorage.png:
        * UserInterface/Images/LocalStorage@2x.png:
        * UserInterface/Images/Log.png:
        * UserInterface/Images/Log@2x.png:
        * UserInterface/Images/MoreColumns.pdf:
        * UserInterface/Images/NavigationItemAngleBrackets.pdf:
        * UserInterface/Images/NavigationItemBug.pdf:
        * UserInterface/Images/NavigationItemCurleyBraces.pdf:
        * UserInterface/Images/NavigationItemFile.pdf:
        * UserInterface/Images/NavigationItemLayers.pdf:
        * UserInterface/Images/NavigationItemLog.pdf:
        * UserInterface/Images/NavigationItemRuler.pdf: Removed.
        * UserInterface/Images/NavigationItemStopwatch.pdf:
        * UserInterface/Images/NavigationItemStorage.pdf:
        * UserInterface/Images/Network.png:
        * UserInterface/Images/Network@2x.png:
        * UserInterface/Images/NetworkBarBlue.png:
        * UserInterface/Images/NetworkBarBlue@2x.png:
        * UserInterface/Images/NetworkBarGray.png:
        * UserInterface/Images/NetworkBarGray@2x.png:
        * UserInterface/Images/NetworkBarGreen.png:
        * UserInterface/Images/NetworkBarGreen@2x.png:
        * UserInterface/Images/NetworkBarLabelCalloutLeft.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutRight.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutWhiteLeft.pdf:
        * UserInterface/Images/NetworkBarLabelCalloutWhiteRight.pdf:
        * UserInterface/Images/NetworkBarOrange.png:
        * UserInterface/Images/NetworkBarOrange@2x.png:
        * UserInterface/Images/NetworkBarPurple.png:
        * UserInterface/Images/NetworkBarPurple@2x.png:
        * UserInterface/Images/NetworkBarRed.png:
        * UserInterface/Images/NetworkBarRed@2x.png:
        * UserInterface/Images/NetworkBarWhiteFlat.png:
        * UserInterface/Images/NetworkBarWhiteFlat@2x.png:
        * UserInterface/Images/NetworkBarYellow.png:
        * UserInterface/Images/NetworkBarYellow@2x.png:
        * UserInterface/Images/NetworkHollowBarBlue.png:
        * UserInterface/Images/NetworkHollowBarBlue@2x.png:
        * UserInterface/Images/NetworkHollowBarGray.png:
        * UserInterface/Images/NetworkHollowBarGray@2x.png:
        * UserInterface/Images/NetworkHollowBarGreen.png:
        * UserInterface/Images/NetworkHollowBarGreen@2x.png:
        * UserInterface/Images/NetworkHollowBarOrange.png:
        * UserInterface/Images/NetworkHollowBarOrange@2x.png:
        * UserInterface/Images/NetworkHollowBarPurple.png:
        * UserInterface/Images/NetworkHollowBarPurple@2x.png:
        * UserInterface/Images/NetworkHollowBarRed.png:
        * UserInterface/Images/NetworkHollowBarRed@2x.png:
        * UserInterface/Images/NetworkHollowBarYellow.png:
        * UserInterface/Images/NetworkHollowBarYellow@2x.png:
        * UserInterface/Images/Pause.pdf:
        * UserInterface/Images/Profile.png:
        * UserInterface/Images/Profile@2x.png:
        * UserInterface/Images/Recording.png:
        * UserInterface/Images/RecordingHovered.png:
        * UserInterface/Images/RecordingHovered@2x.png:
        * UserInterface/Images/RecordingStopped.png:
        * UserInterface/Images/RecordingStopped@2x.png:
        * UserInterface/Images/ResultLine.pdf:
        * UserInterface/Images/Resume.pdf:
        * UserInterface/Images/RightSidebarClose.pdf: Removed.
        * UserInterface/Images/RightSidebarOpen.pdf: Removed.
        * UserInterface/Images/Script.png:
        * UserInterface/Images/Script@2x.png:
        * UserInterface/Images/SessionStorage.png:
        * UserInterface/Images/SessionStorage@2x.png:
        * UserInterface/Images/SourceCode.pdf:
        * UserInterface/Images/StepInto.pdf:
        * UserInterface/Images/StepOut.pdf:
        * UserInterface/Images/StepOver.pdf:
        * UserInterface/Images/Stopwatch.png:
        * UserInterface/Images/Stopwatch@2x.png:
        * UserInterface/Images/StyleRuleAuthor.pdf:
        * UserInterface/Images/StyleRuleInherited.pdf:
        * UserInterface/Images/StyleRuleInheritedElement.pdf:
        * UserInterface/Images/StyleRuleInspector.pdf:
        * UserInterface/Images/StyleRuleUser.pdf:
        * UserInterface/Images/StyleRuleUserAgent.pdf:
        * UserInterface/Images/TimelineBarBlue.png:
        * UserInterface/Images/TimelineBarBlue@2x.png:
        * UserInterface/Images/TimelineBarOrange.png:
        * UserInterface/Images/TimelineBarOrange@2x.png:
        * UserInterface/Images/TimelineBarPurple.png:
        * UserInterface/Images/TimelineBarPurple@2x.png:
        * UserInterface/Images/ToggleArrowDown.pdf: Removed.
        * UserInterface/Images/ToggleArrowUp.pdf: Removed.
        * UserInterface/Images/Undock.pdf:
        * UserInterface/Images/UserInputPrompt.pdf:
        * UserInterface/Images/UserInputPromptPrevious.pdf:
        * UserInterface/Images/UserInputResult.pdf:

2013-03-31  Timothy Hatcher  <timothy@apple.com>

        Allow changing Web Inspector dock sides without undocking first.

        Holding option will change the undock button to the opposite attachment side. When clicked
        the button will change to the other attachment side. Holding option with allow undock. This
        keeps the last used option available if the user hardly undocks but frequently changes sides.

        rdar://problem/13543127

        Reviewed by Antoine Quint.

        * Localizations/en.lproj/localizedStrings.js: Updated.

        * UserInterface/Images/Dock.pdf: Removed.
        * UserInterface/Images/DockBottom.pdf: Added.
        * UserInterface/Images/DockRight.pdf: Added.

        * UserInterface/Main.js:
        (WebInspector.loaded): Added key event listeners.
        (WebInspector.contentLoaded): Use ToggleControlToolbarItem for undock button.
        (WebInspector._windowKeyDown): Added.
        (WebInspector._windowKeyUp): Added.

        (WebInspector._undock):
        (WebInspector._updateDockNavigationItems):
        Set and check toggled state for undock button and do the right thing.

        * UserInterface/ToggleButtonNavigationItem.js:
        (WebInspector.ToggleButtonNavigationItem.prototype.set alternateToolTip): Added.
        (WebInspector.ToggleButtonNavigationItem.prototype.set alternateImage): Added.

2013-04-01  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13492413> Improve line number subtitle for SourceMap Breakpoints in Debugger sidebar

        If a breakpoint is in a SourceMapResource, there is a subtitle showing
        the original location. If the original location is in a formatted file
        show the italics formatted location that you would jump to. Don't show
        a subtitle for breakpoints in formatted resources, just the Line:Column.

        Reviewed by Timothy Hatcher.

        * UserInterface/BreakpointTreeElement.css:
        (.item.breakpoint .subtitle.formatted-location):
        Italics if the subtitle is displaying a formatted location.

        * UserInterface/BreakpointTreeElement.js:
        (WebInspector.BreakpointTreeElement):
        (WebInspector.BreakpointTreeElement.prototype._updateTitles):
        For SourceMap resources, show the formatted / original location.
        Always have the real original location in the tooltip.

        (WebInspector.BreakpointTreeElement.prototype._breakpointLocationDidChange):
        Update the titles if any location changes (the original file may
        have been formatted, and we'd want to update for that).

        * UserInterface/GeneralTreeElement.js:
        (WebInspector.GeneralTreeElement.prototype.get subtitleElement):
        Be sure to create the title element the subtitle gets appended to.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype.showOriginalOrFormattedSourceCodeLocation):
        This essentially means, show location in the editor.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.formattedLocationString):
        Helper for getting the display string for the formatted location.

2013-04-01  Joseph Pecoraro  <pecoraro@apple.com>

        Avoid some asserts that can happen when reformatting files with breakpoints.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._updateBreakpointLocation):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.updateStyles):
        (WebInspector.TextEditor.prototype._removeBreakpointFromLineAndColumn):

2013-03-29  Timothy Hatcher  <timothy@apple.com>

        Add CSS as a known source type.

        <rdar://problem/13498380> ASSERTION: IssueMessage.js:64: Unknown issue source: css

        Reviewed by Ricky Mondello.

        * UserInterface/IssueMessage.js:
        (WebInspector.IssueMessage):

2013-03-29  Timothy Hatcher  <timothy@apple.com>

        Don't try to toggle visibility if a toggle is already pending.

        <rdar://problem/13401011> New Shortcut to hide/show elements while
        inspecting breaks if you leave the key pressed.

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline.prototype._hideElement.toggleProperties):
        (WebInspector.DOMTreeOutline.prototype._hideElement):

2013-03-29  Joseph Pecoraro  <pecoraro@apple.com>

        Avoid a SourceMapResource Folder chain of single level folders.

        On of my test cases, <http://dev.fontdragr.com>, a resource with
        a source map has all its source map resources in a "src" folder.
        This creates a poor experience in the resources sidebar. When
        expanding the resource, there is just a "src" folder. In those
        cases, and in general if there is one long chain of folders,
        don't even use folders.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate.folderHasOnlyResourceChildren):
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate):
        (WebInspector.SourceCodeTreeElement.prototype.createFoldersAsNeededForSubpath):

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13310717> Source Maps: should display folder hierarchy in the sidebar

        Resolve "./" and "../" in URL paths in parseURL. Leave the path
        unadjusted if we get to a point we don't know how to handle, e.g.
        too many "../" components.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype.createFoldersAsNeededForSubpath):
        * UserInterface/Utilities.js:

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13310717> Source Maps: should display folder hierarchy in the sidebar

        Often SourceMap's include sources in a hierarchy. We should create
        a folder structure for that hierarchy in the resources sidebar. When
        the SourceMap is part of a Frame, we don't do this, we still just
        sort SourceMapResources into their associated type folder.

        Reviewed by Timothy Hatcher.

        * UserInterface/ResourceTreeElement.js:
        (WebInspector.ResourceTreeElement.compareFolderAndResourceTreeElements):
        Added a generic sort function that can take both Folder and Resource
        tree elements. It sorts folders first, by name, then resources by their
        normal sort order (type and name).

        * UserInterface/SourceMap.js:
        (WebInspector.SourceMap.prototype.get sourceMappingURLBasePath):
        When the source map resolves its sources it builds an absolute URL
        using the partial URL (map.sourceRoot + map.source[i]) and base URL
        of the provided sourceMappingURL. We can use this "base path" to
        get only the individual source's relative subpath later on.

        * UserInterface/SourceMapResource.js:
        (WebInspector.SourceMapResource.prototype.get sourceMapRelativeSubpath):
        Get the subpath relative to the SourceMap's url. This allows us
        to get the path components and build a directory tree.

        * UserInterface/SourceCodeTreeElement.js:
        (WebInspector.SourceCodeTreeElement.prototype.onpopulate):
        (WebInspector.SourceCodeTreeElement.prototype.createFoldersAsNeededForSubpath):
        (WebInspector.SourceCodeTreeElement.prototype.descendantResourceTreeElementTypeDidChange):
        Given a subpath, create folders as needed and insert the actual
        SourceMapResourceTreeElement inside the deepest folder. Cache
        folders along the way so we don't re-create folders, and so that
        we can look them up again later if needed.

2013-03-28  Timothy Hatcher  <timothy@apple.com>

        Combine and minify CodeMirror scripts and styles in Production builds.

        <rdar://problem/13446918>

        Reviewed by Joseph Pecoraro.

        * Scripts/combine-resources.pl:
        * Scripts/copy-user-interface-resources.sh:

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        Unreviewed. Missing semicolon causing warning when stripping asserts.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.updateBreakpointLineAndColumn):

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13412969> Reveal line centered hits a code mirror exception unless put in setTimeout

        CodeMirror issue has been fixed. Remove the "delay" form paths that
        would have hit the exception before. They no longer do.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.revealAndHighlightLine):
        (WebInspector.TextEditor.prototype.revealLine):
        (WebInspector.TextEditor.prototype._revealPendingLineIfPossible):
        (WebInspector.TextEditor.prototype._scrollIntoViewCentered):

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13412969> Reveal line centered hits a code mirror exception unless put in setTimeout
        <rdar://problem/13512430> Idle Inspector recalculates styles a few times a second because of CodeMirror

        Update CodeMirror to trunk to get a few recent fixes.

        Reviewed by Timothy Hatcher.

        * UserInterface/External/CodeMirror/codemirror.js:
        * UserInterface/External/CodeMirror/sass.js:

2013-03-28  Joseph Pecoraro  <pecoraro@apple.com>

        Add a small script to update CodeMirror resources.

        Reviewed by Cody Krieger.

        * Scripts/update-codemirror-resources.rb: Added.

2013-03-28  Jessie Berlin  <jberlin@apple.com>

        Ran update-safari-localizable-strings.

        * Localizations/en.lproj/localizedStrings.js:

2013-03-28  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13505485> REGRESSION: Can't copy links from the console via the context menu

        Let the default context menu show if the user targeted an
        <a> element that is not a console message URL.

        Reviewed by Timothy Hatcher.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._handleContextMenuEvent):

2013-03-28  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13526203> Recording profiles in the Instruments sidebar should show a spinner

        Remove the "Recording" prefix for profiles that are recording and
        instead use an indeterminate spinner to indicate the profile is
        recording.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        Remove unused string "Recording JavaScript Profile %s\u2026".

        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel.prototype._profilingEnded):
        Remove the indeterminate spinner from the tree element representing
        the profile that finished recording.

        (WebInspector.InstrumentSidebarPanel.prototype._titleForProfile):
        For profiles that are presently recording, simulate the pending
        addition of the tree element by adding 1 to the generated number.
        This ensures that the generated title matches the one that will
        appear as this method is called again upon recording completion.

        (WebInspector.InstrumentSidebarPanel.prototype._profileWasAdded):
        Add an indeterminate spinner to the tree element representing
        the newly-added profile.

        * UserInterface/ProfileManager.js:
        (WebInspector.ProfileManager.prototype.startProfilingCSSSelectors):
        (WebInspector.ProfileManager.prototype.stopProfilingCSSSelectors):
        (WebInspector.ProfileManager.prototype.profileWasStartedFromConsole):
        (WebInspector.ProfileManager.prototype.setRecordingJavaScriptProfile):
        Use the final title directly since we're now using an indeterminate
        spinner to indicate a profile is recording.

2013-03-28  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13525984> Profile name in navigation bar breadcrumbs doesn't update when recording completes

        Propagate an event when a GeneralTreeElement's "mainTitle"
        property changes such that the NavigationBar may eventually
        pick it up and update itself.

        Reviewed by Timothy Hatcher.

        * UserInterface/GeneralTreeElement.js:
        (WebInspector.GeneralTreeElement.prototype.set mainTitle):
        Dispatch the new MainTitleDidChange event.

        * UserInterface/GeneralTreeElementPathComponent.js:
        (WebInspector.GeneralTreeElementPathComponent):
        Register a listener for the MainTitleDidChange event on the
        provided GeneralTreeElement.

        (WebInspector.GeneralTreeElementPathComponent.prototype._mainTitleDidChange):
        Update the "displayName" property to match the GeneralTreeElement's
        updated "mainTitle" property.

        * UserInterface/TreeOutline.js:
        (TreeOutline):
        (TreeElement):
        Make both TreeOutline and TreeElement subclasses of
        WebInspector.Object such that they may dispatch events.

2013-03-28  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13105775> Handle currently recording profiles in a more graceful manner

        We now present a nice-looking "RecordingÉ" message when a recording
        profile is selected in the instruments sidebar.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        New "RecordingÉ" string used to present when we're recording a profile
        of an unknown type (future-proofing).

        * UserInterface/CSSSelectorProfileView.js:
        (WebInspector.CSSSelectorProfileView):
        (WebInspector.CSSSelectorProfileView.prototype.recordingTitle):
        (WebInspector.CSSSelectorProfileView.prototype.displayProfile):
        Implement the new ProfileView protocol to display the profile
        data only when it's available.

        * UserInterface/JavaScriptProfileView.js:
        (WebInspector.JavaScriptProfileView):
        (WebInspector.JavaScriptProfileView.prototype.recordingTitle):
        (WebInspector.JavaScriptProfileView.prototype.displayProfile.profileCallback):
        (WebInspector.JavaScriptProfileView.prototype.displayProfile):
        Implement the new ProfileView protocol to display the profile
        data only when it's available.

        * UserInterface/Main.html:
        Add the new ProfileView.css file.

        * UserInterface/ProfileManager.js:
        (WebInspector.ProfileManager.prototype.stopProfilingCSSSelectors):
        Ensure we set the "recording" property last as it would fire the
        new WebInspector.ProfileObject.Event.FinshedRecording event before 
        the profile data has been set on the object.

        * UserInterface/ProfileObject.js:
        (WebInspector.ProfileObject.prototype.set recording):
        Dispatch a new WebInspector.ProfileObject.Event.FinshedRecording
        event when the profile has finished recording.

        * UserInterface/ProfileView.css: Added.
        (.recording-profile-view):
        (.recording-profile-view > .indeterminate-progress-spinner):
        (.recording-profile-view > span):
        New CSS support for the new recording message in ProfileView,
        using CSS flexbox to vertically and horizontally center the
        indeterminate spinner and text.

        * UserInterface/ProfileView.js:
        (WebInspector.ProfileView):
        In case the profile for this ProfileView is still recording,
        register for the WebInspector.ProfileObject.Event.FinshedRecording
        event to be notified of when the profile is done recording
        and show a "RecordingÉ" message until then.

        (WebInspector.ProfileView.prototype.displayProfile):
        New method called when the profile has finished recording and
        we've removed the "RecordingÉ" message from display. Meant to
        be implemented by subclasses.

        (WebInspector.ProfileView.prototype.recordingTitle):
        New method called when populating the "RecordingÉ" message allowing
        subclasses to return a clearer message.

        (WebInspector.ProfileView.prototype._profileFinishedRecording):
        Event handler for the WebInspector.ProfileObject.Event.FinshedRecording
        event which removes the "RecordingÉ" message and calls
        displayProfile().

        (WebInspector.ProfileView.prototype._showRecordingMessage):
        Display the "RecordingÉ" message.

        (WebInspector.ProfileView.prototype._hideRecordingMessage):
        Removes the "RecordingÉ" message, if any.

2013-03-28  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13483963> copying text from the web inspector includes [LOG] when you paste

        Don't add [Log] prefix for log-level messages.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.toClipboardString):

2013-03-26  Timothy Hatcher  <timothy@apple.com>

        Support for dock-to-right in the Web Inspector.

        rdar://problem/10368152

        Reviewed by Joseph Pecoraro.

        * UserInterface/InspectorFrontendAPI.js:
        (InspectorFrontendAPI.setDockSide):
        * UserInterface/Main.css:
        (body.docked.bottom):
        (body.docked.right):
        (#docked-resizer):
        (body.docked #docked-resizer):
        (body.docked.bottom #docked-resizer):
        (body.docked.right #docked-resizer):
        (body.docked.bottom #toolbar):
        (body.docked.bottom #toolbar .item:not(.flexible-space)):
        (body.docked.right #navigation-sidebar.collapsed > .resizer):
        * UserInterface/Main.js:
        (WebInspector.loaded):
        (WebInspector.contentLoaded):
        (WebInspector.updateDockedState):
        (WebInspector._toolbarDisplayModeDidChange):
        (WebInspector._toolbarSizeModeDidChange):
        (WebInspector._toolbarMouseDown):
        (WebInspector._dockedResizerMouseDown.dockedResizerDrag):
        (WebInspector._dockedResizerMouseDown):

2013-03-27  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13105774> Recording a profile with the inspector UI should automatically select the new profile upon completion

        Automatically select profiles that completed as a result of the user
        pressing the record button in the instruments sidebar panel.

        Reviewed by Timothy Hatcher.

        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel.prototype._profilingEnded):
        Check the "fromConsole" property on the ProfilingEnded event to
        see whether this profile should be automatically selected.

        * UserInterface/ProfileManager.js:
        (WebInspector.ProfileManager.prototype.setRecordingJavaScriptProfile):
        Also indicate whether the ProfilingEnded event is created as a
        result of a profile finishing recording as a result of calling
        one of the console APIs.

2013-03-27  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13190009> Profile recorded prior to the current page load may show empty content view

        We now create the content view for a profile that finished recording instantly
        rather than delay it until selection. This ensures that all recorded profiles
        are available across page loads, until we navigate away.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleObserver.js:
        (WebInspector.ConsoleObserver.prototype.messageAdded):
        Fix an oversight from the previous commit where we wouldn't distinguish
        calls to console.profile() and console.profileEnd() made as a result
        of starting a profile from the UI or starting a profile by actually
        calling these methods.

        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel.prototype._profilingEnded):
        Force the creation of the content view for the provided profile so that
        the profile is immediately retrieved from the backend and available
        across page loads.

        * UserInterface/ProfileManager.js:
        (WebInspector.ProfileManager.prototype.stopProfilingCSSSelectors):
        (WebInspector.ProfileManager.prototype.addJavaScriptProfile):
        (WebInspector.ProfileManager.prototype.setRecordingJavaScriptProfile):
        Pass the currently recording profile as data to the ProfilingEnded
        event dispatched.

2013-03-27  Jessie Berlin  <jberlin@apple.com>

        Ran update-safari-localizable-strings.

        * Localizations/en.lproj/localizedStrings.js:

2013-03-27  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13515381> Profiles started from console API don't appear until done

        We now intercept console.profile() and console.profileEnd() messages
        appearing through the ConsoleObserver so that we can simulate
        setRecordingJavaScriptProfile protocol events in the ConsoleManager.
        This allows us to deal with console profiles in a more unified manner.
        The recording button, however, does not go red when a profile is
        recording from the console.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        Changed string for "Recording JavaScript ProfileÉ" to allow for
        a profile title as well, since it might be known form the
        console.profile() call that initiated it.

        * UserInterface/ConsoleObserver.js:
        (WebInspector.ConsoleObserver.prototype.messageAdded):
        Check for console.profile() and console.profileEnd() calls and
        inform the ProfileManager that a profile started or ended from
        the console API.

        * UserInterface/ProfileManager.js:
        (WebInspector.ProfileManager.prototype.profileWasStartedFromConsole):
        Simulate a setRecordingJavaScriptProfile protocol event and set up
        the profile's title if provided.

        (WebInspector.ProfileManager.prototype.profileWasEndedFromConsole):
        Simulate a setRecordingJavaScriptProfile protocol event.

        (WebInspector.ProfileManager.prototype.addJavaScriptProfile):
        Remove custom logic to deal with the belated creation of a
        JavaScriptProfileObject for a profile that would have been started
        from the console API since we now get the notification via the simulated
        setRecordingJavaScriptProfile protocol event.

        (WebInspector.ProfileManager.prototype.setRecordingJavaScriptProfile):
        Only dispatch the ProfilingStarted event if the profile was initiated
        from the user interface.

2013-03-26  Joseph Pecoraro  <pecoraro@apple.com>

        Check-in some documentation files on the RWI protocols.

        Better these be checked in then floating on my machine.

        Rubber-stamped by Timothy Hatcher.

        * Documentation/RWI-Messages.graffle: Added.
        * Documentation/RWI-Messages.pdf: Added.

2013-03-26  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13096650> Debugger popover does not appear sometimes (or is too slow to appear)

        We now dismiss the debugger popover when the hovered token (or the
        popover for it) is no longer hovered for a whole second. Additionally,
        if there is marked text, we immediately show a popover for a newly
        hovered token instead of waiting 500ms so that's easier to go from
        token to token to get their information.

        Reviewed by Joseph Pecoraro.

        * UserInterface/Popover.js:
        (WebInspector.Popover.prototype.get element):
        Newly public property, used to check in hoveredElementCanReleaseHoveredToken() in
        the SourceCodeTextEditor whether the newly hovered element is contained within
        a popover.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.hoveredElementCanReleaseHoveredToken):
        Check whether the newly hovered element is contained within the presented
        popover or whether text in the popover is selected.

        (WebInspector.SourceCodeTextEditor.prototype.hoveredTokenWasReleased):
        Dismiss the popover since the user has moused out of the hovered token long
        enough that it shouldn't be considered hovered anymore.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.stopTrackingTokenHovering):
        Remove the window-wide mousemove event listener.

        (WebInspector.TextEditor.prototype.handleEvent):
        Route mousemove events to the _mouseMovedWithMarkedText() method
        if it's the window-wide mousemove event listener.

        (WebInspector.TextEditor.prototype.highlightHoveredExpression):
        Start tracking mousemove events at the window level so that we can
        detect any element, even outside of the text editor, that might be
        hovered long enough to release the hovered token.

        (WebInspector.TextEditor.prototype.removeHighlightOnHoveredExpression):
        Remove the document-wide mousemove event listener and delete the
        _tokenHighlightMarkedText property so that we can use its absence
        to gather that there is no marked text when checking for a newly
        hovered token in _mouseMovedOverEditor().

        (WebInspector.TextEditor.prototype.hoveredElementCanReleaseHoveredToken):
        Public method used to identify whether the hovered element qualifies
        to release the hovered token. The default implementation simply checks
        that the hovered element is the marked text for the hovered token. 

        (WebInspector.TextEditor.prototype.hoveredTokenWasReleased):
        Public method meant to be subclassed, called when we've identified that
        the hovered token has been moused out of for more than a second.

        (WebInspector.TextEditor.prototype._mouseMovedOverEditor):
        Immediately check the newly hovered token if there already is
        hovered token, allowing for a quick inspection of hovered tokens.

        (WebInspector.TextEditor.prototype._mouseMovedWithMarkedText):
        Check the hovered element qualifies to release the hover token, and if it so,
        start a one-second timer to release it.

        (WebInspector.TextEditor.prototype._checkHoveredToken):
        Stop the timer started in _mouseMovedWithMarkedText() to check whether
        the currently hovered element could qualify to release the hovered token.

        (WebInspector.TextEditor.prototype._markedTextIsNoLongerHovered):
        Method called when the timer started in _mouseMovedWithMarkedText() to
        check whether the currently hovered element could qualify to relase the
        hovered token has fired.

2013-03-26  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13505817> Debugger popovers don't appear for undefined values

        Handle the RemoteObject type "undefined" and also implement better
        handling of null Object values as well.

        Reviewed by Timothy Hatcher.

        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype.tokenWasHovered.populate):
        (WebInspector.SourceCodeTextEditor.prototype.tokenWasHovered):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForObject):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForNull):
        (WebInspector.SourceCodeTextEditor.prototype._showPopoverForUndefined):

2013-03-26  Jessie Berlin  <jberlin@apple.com>

        Ran update-safari-localizable-strings.

        Reviewed by Conrad Shultz.

        * Localizations/en.lproj/localizedStrings.js:

2013-03-26  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13439854> REGRESSION: Copying array or object output does not contain values

        We now simply use the _formattedMessage DOM node if available and
        if the message isn't a stack trace. Then, we insert the URL line,
        with repeat count if set, after the first line.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.toClipboardString):

2013-03-26  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13345023> Logging an Array after it has been sorted results in its undefined elements not being shown

        Merging code from OpenSource to match the handling of arrays in the Console.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype._formatParameterAsArray):
        (WebInspector.ConsoleMessageImpl.prototype.appendUndefined):
        (WebInspector.ConsoleMessageImpl.prototype._printArray):
        * UserInterface/RemoteObject.js:
        (WebInspector.RemoteObject.prototype.release):
        (WebInspector.RemoteObject.prototype.arrayLength):

2013-03-25  Timothy Hatcher  <timothy@apple.com>

        Don't include the main frame document as a separate resource in the sidebar.

        <rdar://problem/13484805> REGRESSION: Main frame is included twice in the Resources sidebar

        Reviewed by Joseph Pecoraro.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype._addFrameTreeFromFrameResourceTreePayload):
        Skip resources with type "Document" and with the same url as the frame.

2013-03-25  Timothy Hatcher  <timothy@apple.com>

        Fix large image scaling after the switch to the new flex model

        <rdar://problem/13493712> REGRESSION: Very poor image squishing when content
        window is narrow / image is large (113222)

        Reviewed by Joseph Pecoraro.

        * UserInterface/ImageResourceContentView.css:
        (.content-view.resource.image):
        (.content-view.resource.image img):
        Use min-width: 0 so the image can shrink.

2013-03-24  Joseph Pecoraro  <pecoraro@apple.com>

        Turn on support for breakpoints in pretty printed resources and SourceMaps

        We are now getting expected column information from the backend and
        hitting breakpoints on columns as expected. This was the last change
        needed to consider the following tasks complete:
        <rdar://problem/11219771> REGRESSION (Safari 6): Can't pretty-print JavaScript
        <rdar://problem/11735116> PARITY (WebKit Web Inspector): Missing Source Map support

        Reviewed by Timothy Hatcher.

        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel.prototype._treeElementSelected):
        * UserInterface/SourceCodeTextEditor.js:
        (WebInspector.SourceCodeTextEditor.prototype._contentDidPopulate):
        (WebInspector.SourceCodeTextEditor.prototype._activeCallFrameDidChange):
        (WebInspector.SourceCodeTextEditor.prototype.textEditorBreakpointAdded):

2013-03-24  Joseph Pecoraro  <pecoraro@apple.com>

        Workaround while still investigating <rdar://problem/13412969>.

        Jump to line centered can still throw an exception when revealing a
        when the content first loads (reveal pending line). So delay in
        just that case.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.revealAndHighlightLine):
        (WebInspector.TextEditor.prototype.revealLine):
        (WebInspector.TextEditor.prototype._revealPendingLineIfPossible):

2013-03-25  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13495086> Commands and their result should not be subject to search filtering

        No longer filter out commands and their results based on search terms.
        We also change the CSS class name we use to hide messages that may be
        filtered out due to the search terms to be exclusive rather than
        inclusive.

        Reviewed by Timothy Hatcher.

        * UserInterface/LogContentView.css:
        (.search-in-progress .console-item.filtered-out-by-search):
        (.search-in-progress .console-item:not(.filtered-out-by-search) .highlighted):
        (.search-in-progress .console-item:not(.filtered-out-by-search) .highlighted.selected):
        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._isMessageVisible):
        (WebInspector.LogContentView.prototype._visibleMessages):
        (WebInspector.LogContentView.prototype._performSearch):

2013-03-25  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13494748> Expandable console items should only select when clicking outside of the expandable part

        We no longer select messages if the hit area is part of an expandable element.
        This makes it easier to expand nodes and JS objects without first having to
        select the console message.

        Reviewed by Timothy Hatcher.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._mousedown):
        (WebInspector.LogContentView.prototype._targetInMessageCanBeSelected):

2013-03-25  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13495023> JS objects logged to console can't be expanded using keyboard

        We now also handle expansion of JS objects logged to the console. To support this,
        we add a new VisibleContentDidChange event to WebInspector.Section such that we can
        when the visible content of a given WebInspector.ObjectPropertiesSection is updated,
        since there is no onexpand() method available as is the case with TreeOutline.

        Reviewed by Timothy Hatcher.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._leftArrowWasPressed):
        (WebInspector.LogContentView.prototype._rightArrowWasPressed.else.bind):
        (WebInspector.LogContentView.prototype._rightArrowWasPressed):
        (WebInspector.LogContentView.prototype._propertiesSectionDidUpdateContent):
        * UserInterface/ObjectPropertiesSection.js:
        (WebInspector.ObjectPropertiesSection.prototype.updateProperties):
        * UserInterface/Section.js:
        (WebInspector.Section):
        (WebInspector.Section.prototype.expand):

2013-03-25  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13416461> Message repeat count causes bad layout in the Console

        We now always display the warning or error icon as well as the repeat count
        for the message, and we copy the repeat count to the clipboard as well.

        Reviewed by Timothy Hatcher.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.updateRepeatCount):
        (WebInspector.ConsoleMessageImpl.prototype.toClipboardString):
        * UserInterface/LogContentView.css:
        (.console-message .bubble):

2013-03-25  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13493775> Console log should scroll to reveal messages for highlighted search match

        Make sure we scroll to reveal messages upon highlighting a match.

        Reviewed by Joseph Pecoraro.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._highlightSearchMatchAtIndex):

2013-03-24  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13418317> REGRESSION: DOM Tree "Edit as HTML" is not inserting newlines with return

        Give multiline WebInspector.startEditing edit boxes have better white-space behavior.

        Reviewed by Timothy Hatcher.

        * UserInterface/Editing.css:
        (.editing.multiline):
        * UserInterface/EditingSupport.js:

2013-03-24  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13491916> Searching forward or back in find banner should reveal in center

        Reviewed by Dean Jackson.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype._revealSearchResult):
        (WebInspector.TextEditor.prototype._isPositionVisible):
        (WebInspector.TextEditor.prototype._scrollIntoViewCentered):
        When revealing a search result, reveal the line centered in
        the editor if needed. Don't do the setTimeout, the lines in
        the editor did not change so we shouldn't need to worry about
        the CodeMirror exception.

        (WebInspector.TextEditor.prototype.revealAndHighlightLine):
        Share the isPositionVisible code.

        (WebInspector.TextEditor.prototype._prettyPrint):
        This is the only case where I know we need the setTimeout delay
        to workaround a CodeMirror exception when autoformatting.

2013-03-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13491257> CSS pretty printing no longer works

        For CSS there is now a "css-base" mode with a "text/css" variant,
        and a "text/x-scss" variant. There is a convenience mode "css"
        which explicitly gets the "text/css" variant of the "css-base" mode.

        The pretty printer should extend "css-base". Whether the content
        is "text/css" or "text/x-scss" the mode outputting the tokens will
        be "css-base", and that mode needs to have the pretty printer
        extensions.

        Extend the "css-base" mode, instead of the overly specific text/css
        css mode to have extendedToken and alternate name "css". So, as
        "css-base" creates tokens for either "text/css" or "text/x-scss",
        it will adds our "m-css" style classes and get our styles.

        We still define the "css-rule" mode to be an alias of the text/css
        specific mode. To workaround a limitation of CodeMirror, we don't
        re-extend any properties that have already been extended (token,
        alternate name) and only extend new properties. We get the earlier
        extensions because internally when creating a "css-rule" mode,
        CodeMirror get the text/css variant of "css-base" with "css-base"
        extensions and then applies our extensions on top of that.

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorFormatters.js:
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.hasFormatter):
        * UserInterface/CodeMirrorAdditions.js:

2013-03-23  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13490780> Find banner status does not update after switching between source files

        When switching content views, reset the find banner and perform a
        search with the find banner's query in the new content view so that
        keyboard shortcuts will work in the new content view even though
        the find banner is hidden.

        Reviewed by Timothy Hatcher.

        * UserInterface/ContentView.js:
        (WebInspector.ContentView.prototype.get hasPerformedSearch):
        (WebInspector.ContentView.prototype.set automaticallyRevealFirstSearchResult):
        Properties used by ContentBrowser to update the find banner when
        switching to the ContentView. Allow a search to be performed on
        a ContentView without automatically jumping to the first result.

        * UserInterface/ContentBrowser.js:
        (WebInspector.ContentBrowser):
        (WebInspector.ContentBrowser.prototype._findBannerDidShow):
        (WebInspector.ContentBrowser.prototype._findBannerDidHide):
        Allow or disallow jumping to the first search result based on banner visibility.
        Keyboard shortcuts will still work.

        (WebInspector.ContentBrowser.prototype._updateFindBanner):
        (WebInspector.ContentBrowser.prototype._currentContentViewDidChange):
        When the content view changes, update the banner. Search the new
        content view so that keyboard shortcuts work.

        * UserInterface/FindBanner.js:
        (WebInspector.FindBanner.prototype.show):
        (WebInspector.FindBanner.prototype.hide):
        Emit events for when the banner shows or hides.

        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.get hasPerformedSearch):
        (WebInspector.ClusterContentView.prototype.set automaticallyRevealFirstSearchResult):
        * UserInterface/DOMTreeContentView.js:
        (WebInspector.DOMTreeContentView.prototype.get hasPerformedSearch):
        (WebInspector.DOMTreeContentView.prototype.set automaticallyRevealFirstSearchResult):
        (WebInspector.DOMTreeContentView.prototype.performSearch.searchResultsReady):
        (WebInspector.DOMTreeContentView.prototype.performSearch):
        * UserInterface/ScriptContentView.js:
        (WebInspector.ScriptContentView.prototype.get hasPerformedSearch):
        (WebInspector.ScriptContentView.prototype.set automaticallyRevealFirstSearchResult):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):
        (WebInspector.TextEditor.prototype.set automaticallyRevealFirstSearchResult):
        (WebInspector.TextEditor.prototype.addSearchResults.markRanges):
        (WebInspector.TextEditor.prototype.addSearchResults):
        * UserInterface/TextResourceContentView.js:
        (WebInspector.TextResourceContentView.prototype.get hasPerformedSearch):
        (WebInspector.TextResourceContentView.prototype.set automaticallyRevealFirstSearchResult):
        Implement the new ContentView properties. Respect the 
        automaticallyRevealFirstSearchResult property by not jumping to the
        first result unless we are allowed too.

2013-03-23  Joseph Pecoraro  <pecoraro@apple.com>

        Fix a typo causing warnings in the inspector.

        Unreviewed.

        * UserInterface/Main.html:

2013-03-23  Antoine Quint  <graouts@apple.com>

        <rdar://problem/11682467> Should be able to do a Find in a Log

        Add a search / filter bar to the navigation bar of the console log.
        The search bar can be given focus by hitting Cmd+F, and it can provide
        focus back to the console prompt by hitting Esc. or Enter (which also
        highlights the first matching search result). The Cmd+G and Cmd+Shift+G
        keyboard shortcuts also work as expected.

        Reviewed by Timothy Hatcher.

        * Localizations/en.lproj/localizedStrings.js:

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController):
        (WebInspector.JavaScriptLogViewController.prototype._promptKeyDown):
        Add support for the new Cmd+F, Cmd+G and Cmd+Shift+G keyboard shortcuts.

        * UserInterface/LogContentView.css:
        (.log-search-bar > input):
        (.search-in-progress .console-item):
        (.search-in-progress .console-item.matches-search:not(.filtered-out)):
        (.search-in-progress .console-item.matches-search .highlighted):
        (.search-in-progress .console-item.matches-search .highlighted.selected):

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView):
        Create the SearchBar.

        (WebInspector.LogContentView.prototype.get navigationItems):
        Add the SearchBar to the navigation bar.

        (WebInspector.LogContentView.prototype.get searchInProgress):
        Inidicates whether a search is in progress (ie. search term
        isn't the empty string).

        (WebInspector.LogContentView.prototype.focusSearchBar):
        New API to bring focus to the SearchBar's input field.

        (WebInspector.LogContentView.prototype.highlightPreviousSearchMatch):
        New API to highlight the previous search match.

        (WebInspector.LogContentView.prototype.highlightNextSearchMatch):
        New API to highlight the next search match.

        (WebInspector.LogContentView.prototype.searchBarWantsToLoseFocus):
        SearchBar delegate method we use to move focus back to the prompt
        as the user hit the Esc. key while the search bar has focus.

        (WebInspector.LogContentView.prototype.searchBarDidActivate):
        SearchBar delegate method we use to move focus back to the prompt
        as the user hit the Enter key while the search bar has focus. We
        also select the first search match to make it stand out.

        (WebInspector.LogContentView.prototype._updateMessagesSelection):
        Refactoring: _allVisibleMessages() is now _visibleMessages().

        (WebInspector.LogContentView.prototype._isMessageVisible):
        Take into account whether the message matches the search terms
        so that it's filtered otherwise.

        (WebInspector.LogContentView.prototype._selectAllMessages):
        Refactoring: _allVisibleMessages() is now _visibleMessages().

        (WebInspector.LogContentView.prototype._unfilteredMessages):
        New method to provide the list of messsages that match the
        filters provided via the scope bar.

        (WebInspector.LogContentView.prototype._visibleMessages):
        Refactoring: _allVisibleMessages() is now _visibleMessages().
        Also take into account additional filtering via the search bar.

        (WebInspector.LogContentView.prototype._filterMessages):
        Perform a search after the filters have changed to ensure we
        are showing the correct set of messages.

        (WebInspector.LogContentView.prototype._keyDown):
        Add support for the new Cmd+F, Cmd+G and Cmd+Shift+G keyboard shortcuts.

        (WebInspector.LogContentView.prototype._commandFWasPressed):
        Focus the search bar upon hitting Cmd+F.

        (WebInspector.LogContentView.prototype._commandGWasPressed):
        Highlight the next search match upon hitting Cmd+G.

        (WebInspector.LogContentView.prototype._commandShiftGWasPressed):
        Highlight the next search match upon hitting Cmd+Shift+G.

        (WebInspector.LogContentView.prototype._upArrowWasPressed):
        (WebInspector.LogContentView.prototype._downArrowWasPressed):
        (WebInspector.LogContentView.prototype._previousMessage):
        (WebInspector.LogContentView.prototype._nextMessage):
        (WebInspector.LogContentView.prototype._clearFocusableChildren):
        Refactoring: _allVisibleMessages() is now _visibleMessages().

        (WebInspector.LogContentView.prototype._searchTextDidChange):
        Run the search as the terms in the search bar changed.

        (WebInspector.LogContentView.prototype._performSearch):
        (WebInspector.LogContentView.prototype._highlightRanges):
        Perform a search based on the text in the search bar and apply
        a "matches-search" CSS class to all text ranges matching the
        search terms. This is actually performed by method merged from
        the OpenSource Web Inspector code.

        (WebInspector.LogContentView.prototype._rangesOverlap):
        Checks whether two text ranges overlap at all. We use this to identify
        if the previously selected search term is still present in the new
        set of matching search ranges.

        (WebInspector.LogContentView.prototype._highlightSearchMatchAtIndex):
        Highlights a given term in the array of highlighted elements created in
        _performSearch().

        * UserInterface/Main.html:
        Include the new SearchBar files.

        * UserInterface/Main.js:
        (WebInspector.highlightRangesWithStyleClass):
        (WebInspector.revertDomChanges):
        Methods merged as-is from OpenSource.

        * UserInterface/SearchBar.css: Added.
        (.search-bar > input):
        * UserInterface/SearchBar.js: Added.
        (WebInspector.SearchBar):
        (WebInspector.SearchBar.prototype.get text):
        (WebInspector.SearchBar.prototype.set text):
        (WebInspector.SearchBar.prototype.focus):
        (WebInspector.SearchBar.prototype._handleSearchEvent):
        (WebInspector.SearchBar.prototype._handleKeydownEvent):
        New NavigationItem subclass to provide a SearchBar within a NavigationBar.

2013-03-22  Timothy Hatcher  <timothy@apple.com>

        Make the New Rule button 10px taller for a bigger hit target.

        <rdar://problem/13470200> I expect the clickable area for "+ New Rule" to be bigger.

        Reviewed by Joseph Pecoraro.

        * UserInterface/RulesStyleDetailsPanel.css:
        (.sidebar > .panel.details.css-style .rules .new-rule):

2013-03-22  Timothy Hatcher  <timothy@apple.com>

        Show the compression status and the compression amount in the Resource details sidebar.

        <rdar://problem/13201070> Show gzip status of resources more prominently

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js: Updated.
        * UserInterface/Resource.js:
        (WebInspector.Resource.prototype.get encodedSize): Added.
        (WebInspector.Resource.prototype.get transferSize): Use encodedSize.
        (WebInspector.Resource.prototype.get compressed): Added.

        * UserInterface/ResourceDetailsSidebarPanel.js:
        (WebInspector.ResourceDetailsSidebarPanel): Added compression group.
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshRequestAndResponse): Call _refreshCompressed.
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshCompressed): Added.

        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshDecodedSize):
        (WebInspector.ResourceDetailsSidebarPanel.prototype._refreshTransferSize):
        Call _refreshCompressed and update encoded size row.

2013-03-21  Timothy Hatcher  <timothy@apple.com>

        Add a placeholder for empty style rules in the Style details sidebar.

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js: Updated.
        * UserInterface/CSSStyleDeclarationTextEditor.css:
        (.css-style-text-editor > .CodeMirror .CodeMirror-placeholder): Added.

        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor.prototype._resetContent):
        Set the placeholder option based on the readOnly state.

2013-03-21  Timothy Hatcher  <timothy@apple.com>

        Enable auto closing brackets and quotes along with matching bracket highlighting.

        Also share common CodeMirror styles in CodeMirrorOverrides.css.

        Reviewed by Dean Jackson.

        * UserInterface/CSSStyleDeclarationTextEditor.css:
        (.css-style-text-editor > .CodeMirror):
        (.css-style-text-editor > .CodeMirror-scroll):
        * UserInterface/CSSStyleDeclarationTextEditor.js:
        (WebInspector.CSSStyleDeclarationTextEditor):
        * UserInterface/CodeMirrorOverrides.css: Added.
        (.CodeMirror *):
        (.CodeMirror .CodeMirror-lines):
        (.CodeMirror pre):
        (.CodeMirror .CodeMirror-selected):
        (.CodeMirror.CodeMirror-focused .CodeMirror-selected):
        (.CodeMirror .CodeMirror-cursor):
        (.CodeMirror .CodeMirror-lines .CodeMirror-matchingbracket):
        (.CodeMirror .CodeMirror-lines .CodeMirror-nonmatchingbracket):
        (.CodeMirror .CodeMirror-gutters):
        (.CodeMirror .CodeMirror-linenumber):
        * UserInterface/Main.html:
        * UserInterface/TextEditor.css:
        (.text-editor > .CodeMirror):
        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor):

2013-03-21  Timothy Hatcher  <timothy@apple.com>

        Update CodeMirror to ToT (v3.11+) which includes a scroll performance file and other changes.

        Include the new placeholder and closebrackets add-ons so we can use them in our editors.
        Also includes more modes that could be encountered on the web that we should syntax highlight.
        I've included the SQL mode since I plan to switch the database prompt to use it soon.

        <rdar://problem/13470814> Scrolling in the Style > Rules sidebar is kind of sluggish

        Rubber-stamped by Joseph Pecoraro.

        * UserInterface/External/CodeMirror/clojure.js: Added.
        * UserInterface/External/CodeMirror/closebrackets.js: Added.
        * UserInterface/External/CodeMirror/codemirror.css: Updated.
        * UserInterface/External/CodeMirror/codemirror.js: Updated.
        * UserInterface/External/CodeMirror/coffeescript.js: Added.
        * UserInterface/External/CodeMirror/css.js: Updated.
        * UserInterface/External/CodeMirror/less.js: Added.
        * UserInterface/External/CodeMirror/livescript.js: Added.
        * UserInterface/External/CodeMirror/placeholder.js: Added.
        * UserInterface/External/CodeMirror/sass.js: Added.
        * UserInterface/External/CodeMirror/searchcursor.js: Updated.
        * UserInterface/External/CodeMirror/sql.js: Added.
        * UserInterface/External/CodeMirror/xml.js: Updated.
        * UserInterface/Main.html: Include added files.

2013-03-21  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13439837> REGRESSION: Copying the output of console.log(1,2,3) only copies "[Log] 1"        

        Use the _message property rather than _messageText to provide the base
        textual representation of a console message, as hinted by the _formatMessage
        method which says that _message "is used for inline message bubbles in
        SourceFrames, or other plain-text representations".

        Reviewed by Ricky Mondello.

        * UserInterface/ConsoleMessageImpl.js:
        (WebInspector.ConsoleMessageImpl.prototype.toClipboardString):

2013-03-20  Timothy Hatcher  <timothy@apple.com>

        Make the relaod button appear correctly when inspecting web archives.

        <rdar://problem/13455883> Extra misplaced folder in Inspector sidebar

        Reviewed by Joseph Pecoraro.

        * UserInterface/ResourceTreeElement.css:
        (.item.resource > .status > .reload-button):
        (.item.resource.selected > .status > .reload-button):
        Use .resource instead of .resource-type-document. Since the button exists
        for web archives, and they get .resource-type-other. Fixing web archives
        to get a proper type is tracked by <rdar://problem/6420783>.

2013-03-20  Timothy Hatcher  <timothy@apple.com>

        Correct some inconsistencies with opening the Inspector and what content views are opened.

        <rdar://problem/12947914> Opening web inspector with Show Page Resources can open inspector in inconsistent state

        Reviewed by Joseph Pecoraro.

        * UserInterface/InspectorFrontendAPI.js:
        (InspectorFrontendAPI.showResources):
        (InspectorFrontendAPI.showMainResourceForFrame):
        Set ignoreLastContentCookie so the ResourceSidebarPanel has a chance to show the content view for the main frame
        once the main frame is known.

        * UserInterface/Main.js:
        (WebInspector.contentLoaded):
        Set collapsed after loading the pending frontend commands are dispatched so only the final selected sidebar panel
        gets shown and has a say in what content view gets shown. Also removed code that collapsed the details sidebar,
        now that sidebars are collapsed by default.

        (WebInspector.sidebarPanelForCurrentContentView): Added.

        * UserInterface/NavigationSidebarPanel.js:
        (WebInspector.NavigationSidebarPanel.prototype.shown):
        Only select the selected tree element again if the content view is from a different sidebar. This way showing the
        Resources sidebar when you have gone back and forth between other resource wont jump to some old selected resource.

        * UserInterface/ResourceSidebarPanel.js:
        (WebInspector.ResourceSidebarPanel.prototype._mainFrameDidChange):
        Allow onselect if we aren't showing a content view yet. That way the main frame is selected and shown in the content.

        * UserInterface/Sidebar.js:
        (WebInspector.Sidebar):
        (WebInspector.Sidebar.prototype.set width):
        Make collapsed by default. Only tell the sidebar panel about width changes if not collapsed.

2013-03-20  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13442600> Picking a frame in the console context selector menu should refocus the console input

        Detect when the hidden <select> in the HierarchicalPathComponent was
        interacted with, even if its value did not change, and trigger a
        "Clicked" event for those interested. The Console refocuses its prompt
        in these cases when the execution context selector is interacted with.

        Reviewed by Antoine Quint.

        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent):
        (WebInspector.HierarchicalPathComponent.prototype._selectElementMouseUp):
        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponent):
        (WebInspector.QuickConsole.prototype._removeExecutionContextPathComponentForFrame):
        (WebInspector.QuickConsole.prototype._pathComponentClicked):

2013-03-20  Timothy Hatcher  <timothy@apple.com>

        Make editing CSS resources work correctly again.

        <rdar://problem/13457053> Safari Web Inspector: Editing .css files in main area is jumpy (112750)

        Reviewed by Antoine Quint.

        * UserInterface/CSSStyleManager.js:
        (WebInspector.CSSStyleManager.prototype._resourceContentDidChange.applyStyleSheetChanges.styleSheetFound):
        (WebInspector.CSSStyleManager.prototype._resourceContentDidChange.applyStyleSheetChanges):
        (WebInspector.CSSStyleManager.prototype._resourceContentDidChange):
        (WebInspector.CSSStyleManager.prototype._updateResourceContent.fetchedStyleSheetContent):
        We were relying on SourceCode.Event.ContentDidChange not firing if the content was equal. However, since we
        coalesce changes the content might be briefly out of sync and the event was firing. That would cause us to
        update TextEditor with a slightly older version of the content and mess up the user.

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Don't create a new console group on reload if the current one is empty.

        Also make sure to scroll the new group into view when it is create so it is visible and ready to show new messages.

        <rdar://problem/12951299> Web Inspector console shouldn't draw a line on refresh if nothing was printed
        <rdar://problem/13209212> Console doesn't scroll to the bottom when a reloaded page logs

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsoleGroup.js:
        (WebInspector.ConsoleGroup.prototype.hasMessages): Added.

        * UserInterface/JavaScriptLogViewController.js:
        (WebInspector.JavaScriptLogViewController.prototype.startNewSession):
        Reuse the previous group if it does not have messages. Also scroll the new session into view so it is ready
        to show messages.

        * UserInterface/LogContentView.css:
        (.console-group.new-session .console-group-messages .console-item:first-child): Added.
        Don't show a border when it is in a new-session since there is already a dashed border.

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Don't show storage if we don't have a security origin (about:blank).

        Reviewed by Joseph Pecoraro.

        * UserInterface/StorageManager.js:
        (WebInspector.StorageManager.prototype._securityOriginDidChange):

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Don't refresh the metrics display if the user is incrementing/decrementing via the arrow keys.

        When editing is committed or canceled we do a refresh to pick up any changes.

        <rdar://problem/13441338> REGRESSION: Safari Web Inspector: Using Up/Down to
        modify margins loses focus (112566)

        Reviewed by Joseph Pecoraro.

        * UserInterface/BoxModelDetailsSectionRow.js:
        (WebInspector.BoxModelDetailsSectionRow.prototype._refresh): Return early if _ignoreNextRefresh.
        (WebInspector.BoxModelDetailsSectionRow.prototype._handleKeyDown): Set _ignoreNextRefresh.

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Make Local and Session storage work again.

        <rdar://problem/13266278> REGRESSION: Local and Session storage protocol
        changes break displaying these items

        Reviewed by Joseph Pecoraro.

        * UserInterface/DOMStorageObject.js:
        (WebInspector.DOMStorageObject.prototype.getEntries):
        Use DOMStorageAgent.getDOMStorageEntries or DOMStorageAgent.getDOMStorageItems.

        * UserInterface/DOMStorageObserver.js:
        (WebInspector.DOMStorageObserver.prototype.addDOMStorage):
        Revert earlier Curie compatibility support since it changed again!

        * UserInterface/StorageManager.js:
        (WebInspector.StorageManager):
        (WebInspector.StorageManager.prototype._securityOriginDidChange): Added.
        (WebInspector.StorageManager.prototype._domStorageForId):
        When a Frame's security origin changes, add local and session storage if they don't
        already exist for that security origin.

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Add securityOrigin to WebInspector.Frame.

        This will be needed to fix DOM Storage inspection.

        Reviewed by Joseph Pecoraro.

        * UserInterface/Frame.js:
        (WebInspector.Frame):
        (WebInspector.Frame.prototype.initialize):
        (WebInspector.Frame.prototype.get securityOrigin): Added.
        Added securityOrigin parameters. Also fire the NameDidChange at the end of initialize
        so the Frame is in the final state instead of an intermediate state.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.frameDidNavigate):
        (WebInspector.FrameResourceManager.prototype.resourceRequestWillBeSent):
        (WebInspector.FrameResourceManager.prototype.resourceRequestWasServedFromMemoryCache):
        (WebInspector.FrameResourceManager.prototype.resourceRequestDidReceiveResponse):
        (WebInspector.FrameResourceManager.prototype._addNewResourceToFrame):
        (WebInspector.FrameResourceManager.prototype._createFrame):
        Pass along the securityOrigin so Frame can be created or initialized with it.
        Also pass along the frame name in places it was missing, now that we might need it.

2013-03-19  Timothy Hatcher  <timothy@apple.com>

        Update InspectorBackendCommands to the latest.

        Reviewed by Joseph Pecoraro.

        * UserInterface/InspectorBackend.js:
        (InspectorBackendClass.prototype._getAgent):
        (InspectorBackendClass.prototype.registerCommand):
        (InspectorBackendClass.prototype.registerEnum):
        Added support for registerEnum, which is new.

        * UserInterface/InspectorBackendCommands.js:
        Updated to the latest from Open Source r146200.

2013-03-18  Timothy Hatcher  <timothy@apple.com>

        Make console messages bottom align if the log hasn't scrolled yet.

        Also includes:
        * Restore clicking the empty space in the log to focus the prompt.
        * Make the prompt top border lighten when the log view is showing.

        <rdar://problem/13442215> Maybe improve console typing UI (112588)

        Reviewed by Joseph Pecoraro.

        * UserInterface/ConsoleGroup.js:
        (WebInspector.ConsoleGroup.prototype.addMessage):
        * UserInterface/LogContentView.css:
        (.console-messages):
        (.console-messages :first-child):
        Use flex layout and an auto top margin to push items to the bottom until scrolled.

        (.console-item):
        (.console-user-command .console-message):
        Move the border to the top since items are bottom aligned now.

        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView.prototype._mousedown):
        Focus the prompt if the click was in empty space.

        * UserInterface/Main.js:
        (WebInspector.showSplitConsole):
        (WebInspector.hideSplitConsole):
        (WebInspector.showFullHeightConsole):
        (WebInspector._contentBrowserCurrentContentViewDidChange):
        Notify the QuickConsole via consoleLogVisibilityChanged when the log view shows
        or hides in the main content browser or split content browser.

        * UserInterface/QuickConsole.css:
        (.quick-console.showing-log): Added. Lighten the border color.

        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype.consoleLogVisibilityChanged): Added.
        Add or remove the showing-log style class.

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Tweak how the console view and split console work.

        Clicking the console button will always show the console full height. The console button
        is only blue when the console view is full height. Pressing escape always shows the split
        console. Add support for allowing the content view to decide if the split console can be
        shown. If it can't the full height console is shown instead.

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/ClusterContentView.js:
        (WebInspector.ClusterContentView.prototype.get supportsSplitContentBrowser):
        * UserInterface/ContentView.js:
        (WebInspector.ContentView.prototype.get supportsSplitContentBrowser):
        * UserInterface/ContentViewContainer.js:
        (WebInspector.ContentViewContainer.prototype._showContentView):
        (WebInspector.ContentViewContainer.prototype._hideContentView):
        * UserInterface/InstrumentSidebarPanel.js:
        (WebInspector.InstrumentSidebarPanel):
        * UserInterface/LogContentView.js:
        (WebInspector.LogContentView):
        (WebInspector.LogContentView.prototype.didAppendConsoleMessage):
        (WebInspector.LogContentView.prototype._toggleSplit):
        * UserInterface/Main.js:
        (WebInspector.loaded):
        (WebInspector.contentLoaded):
        (WebInspector.isShowingSplitConsole):
        (WebInspector.currentViewSupportsSplitContentBrowser):
        (WebInspector.toggleSplitConsole):
        (WebInspector.showSplitConsole):
        (WebInspector.hideSplitConsole):
        (WebInspector.showFullHeightConsole):
        (WebInspector.isShowingConsoleView):
        (WebInspector.showConsoleView):
        (WebInspector.toggleConsoleView):
        (WebInspector._contentBrowserCurrentContentViewDidChange):
        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype._toggleOrFocus):
        * UserInterface/TimelinesContentView.js:
        (WebInspector.TimelinesContentView.prototype.get supportsSplitContentBrowser):

2013-03-18  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13443806> Safari Web Inspector: Point-to-inspect mode breaks when Node details sidebar open (112607)

        Fix typos that could cause exceptions.

        Reviewed by Timothy Hatcher.

        * UserInterface/EventListenerSectionGroup.js:
        (WebInspector.EventListenerSectionGroup.prototype._functionTextOrLink):

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Stop scaling the MoreColumns.pdf and LessColumns.pdf images.

        Reviewed by Jon Honeycutt.

        * UserInterface/TimelinesContentView.css:
        (.content-view.timelines > .data-grid th.collapser > .collapser-button):
        * UserInterface/TimelinesContentView.js:

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Only call SidebarPanel's shown and hidden when the visibility actually changes.

        This was causing the Console view to not be remembered between sessions because the
        InstrumentsPanel was selecting a tree element in the shown function, even though
        the sidebar panel was not visible.

        Reviewed by Joseph Pecoraro.

        * UserInterface/Sidebar.js:
        (WebInspector.Sidebar.prototype.set selectedSidebarPanel):
        (WebInspector.Sidebar.prototype.set collapsed):

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Speed up Web Inspector image generation some by using Uint32Array.

        Reviewed by Joseph Pecoraro.

        * UserInterface/ImageUtilities.js:
        (generateColoredImage):
        (generateEmbossedImages._invertMaskImage):
        Use Uint32Array to process the pixels faster. Account for endianness (even though we don't
        really need to since we don't support Windows or PowerPC.)

        * UserInterface/Utilities.js:
        (Uint32Array.isLittleEndian): Added.

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Cache and restore generated images to speed up the load time for the Web Inspector.

        <rdar://problem/13436334> Web Inspector takes about 3s to activate

        Reviewed by Joseph Pecoraro.

        * UserInterface/ButtonNavigationItem.js:
        (WebInspector.ButtonNavigationItem.prototype._generateImages):
        Pass !this._imageCacheable to generateEmbossedImages.

        * UserInterface/ImageUtilities.js:
        (generateColoredImage):
        Don't set globalCompositeOperation to "clear" before using webkitPutImageDataHD.

        (generateColoredImagesForCSS):
        (generateColoredImagesForCSS.imageLoaded): Added.
        (generateColoredImagesForCSS.ensureImageIsLoaded): Added.
        (generateColoredImagesForCSS.restoreImages): Added.
        (generateColoredImagesForCSS.restoreImage): Added.
        (generateColoredImagesForCSS.devicePixelRatioChanged): Added.
        (generateColoredImagesForCSS.generateImagesIfNeeded): Renamed from generateImages.
        (generateColoredImagesForCSS.generateImagesIfNeeded.generateActiveImages):
        (generateColoredImagesForCSS.generateImage):
        Try to restore the images first. If needed, load the image and regenerate them.

        (_createImageLocalStorageKey): Added.
        (saveImageToLocalStorage): Added.
        (restoreImageFromLocalStorage): Added.
        (restoreImageFromLocalStorage.parseVersion): Added.
        Save and restore images via pixel arrays with localStorage. Abort the restore
        if versions mismatch or the array size isn't correct.

        (generateEmbossedImages):
        (generateEmbossedImages.imageLoaded): Added.
        (generateEmbossedImages.ensureImageIsLoaded): Added.
        (generateEmbossedImages.restoreImages): Added.
        (generateEmbossedImages.restoreImage): Added.
        (generateEmbossedImages.devicePixelRatioChanged): Added.
        (generateEmbossedImages.generateImagesIfNeeded): Added.
        (generateEmbossedImages.generateImagesIfNeeded.generateActiveImages):
        (generateEmbossedImages.generateImage): Renamed from _createEmbossedCanvasImage.
        Try to restore the images first. If needed, load the image and regenerate them.

        (generateEmbossedImages._invertMaskImage):
        (generateEmbossedImages._applyImageMask):
        Don't set globalCompositeOperation to "clear" before using webkitPutImageDataHD.

        * UserInterface/ToggleButtonNavigationItem.js:
        Mark the image as not cacheable. We need to swap images with the same identifiers.

2013-03-17  Timothy Hatcher  <timothy@apple.com>

        Make generateColoredImagesForCSS require passing image width and height.

        This will be needed to cache and restore generated images for <rdar://problem/13436334>.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDeclarationSection.js:
        (WebInspector.CSSStyleDeclarationSection):
        * UserInterface/DataGrid.js:
        (WebInspector.DataGrid.prototype._generateSortIndicatorImagesIfNeeded):
        * UserInterface/DetailsSection.js:
        (WebInspector.DetailsSection.prototype._generateDisclosureTrianglesIfNeeded):
        * UserInterface/FindBanner.js:
        (WebInspector.FindBanner.prototype._generateButtonsGlyphsIfNeeded):
        * UserInterface/ImageUtilities.js:
        (generateColoredImagesForCSS):
        * UserInterface/Main.js:
        (WebInspector._generateDisclosureTriangleImages):
        * UserInterface/NavigationSidebarPanel.js:
        (WebInspector.NavigationSidebarPanel.prototype._generateDisclosureTrianglesIfNeeded):

2013-03-17  Joseph Pecoraro  <pecoraro@apple.com>

        Simplify giving ExecutionContexts for Frames a name

        Reviewed by Dean Jackson.

        * UserInterface/FrameResourceManager.js:
        (WebInspector.FrameResourceManager.prototype.executionContextCreated):
        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponentFromFrame):
        Make both iOS 6 and trunk use the frame's main resource's display name.

2013-03-17  Joseph Pecoraro  <pecoraro@apple.com>

        Clean-up Weight.svg a little more.

        Rubber-stamped by Timothy Hatcher.

        * UserInterface/Images/Weight.svg:
        Removed the path id, and extra processing instruction attribute.

2013-03-17  Joseph Pecoraro  <pecoraro@apple.com>

        Add Execution Context / Frame selector to the QuickConsole

        <rdar://problem/10809363> PARITY (WebKit Web Inspector): UI for evaluating in different windows / frames from the console is missing

        Reviewed by Dean Jackson.

        * UserInterface/ExecutionContext.js:
        (WebInspector.ExecutionContext):
        Allow an execution context with the special undefined identifier.

        * UserInterface/NavigationBar.js:
        (WebInspector.NavigationBar.prototype.get sizesToFit):
        * UserInterface/QuickConsoleNavigationBar.js:
        (WebInspector.QuickConsoleNavigationBar.prototype.get sizesToFit):
        * UserInterface/HierarchicalPathNavigationItem.js:
        (WebInspector.HierarchicalPathNavigationItem.prototype.updateLayout):
        The QuickConsoleNavigationBar stretches. Respect that laying out a hierarchical path.

        * UserInterface/HierarchicalPathComponent.css:
        (.hierarchical-path-component > .selector-arrows):
        (.hierarchical-path-component.text-only):
        (.hierarchical-path-component.text-only > select):
        * UserInterface/HierarchicalPathComponent.js:
        (WebInspector.HierarchicalPathComponent):
        * UserInterface/Images/UpDownArrows.svg: Added.
        Allow creating a text only HierarchicalPathComponent, and one that shows
        up/down popup selector arrows.

        * UserInterface/Frame.js:
        (WebInspector.Frame.prototype.commitProvisionalLoad):
        (WebInspector.Frame.prototype.clearExecutionContexts):
        Send an event when clearing contexts. Provide a flag for when it happens
        while a frame is navigating, in which case we would expect a new execution
        context soon for the new page.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole):
        Register for events necessary to fill a selector picker with frames.
        iOS 6 needs to provide frame ids, so listen for added / removed frames.
        Trunk and later use ExecutionContexts which Frames broadcast changes for.
        Executing in the main frame uses "undefined".

        (WebInspector.QuickConsole.prototype.get executionContextIdentifier):
        This is the selected identifier (contextId or frameId on iOS 6). If no
        selector is shown, this will still be the main frame execution context.

        (WebInspector.QuickConsole.prototype._executionContextPathComponentsToDisplay):
        (WebInspector.QuickConsole.prototype._rebuildExecutionContextPathComponents):
        Update the nav bar components. There is a single segment, with the selected component.

        (WebInspector.QuickConsole.prototype._framePageExecutionContextsCleared):
        (WebInspector.QuickConsole.prototype._framePageExecutionContextsChanged):
        Trunk, event handlers when frames get and clear execution contexts. When a frame
        navigates we have a little bit of logic to reselect that frame when its new
        execution context comes in.

        (WebInspector.QuickConsole.prototype._frameAdded):
        (WebInspector.QuickConsole.prototype._frameRemoved):
        (WebInspector.QuickConsole.prototype._frameMainResourceChanged):
        iOS 6 support. Track frame adds, removes, and resource changes to update the display.

        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponent):
        (WebInspector.QuickConsole.prototype._createExecutionContextPathComponentFromFrame):
        Helpers for creating path components. Handles iOS 6 and trunk to get the right id.

        (WebInspector.QuickConsole.prototype._compareExecutionContextPathComponents):
        (WebInspector.QuickConsole.prototype._insertExecutionContextPathComponentForFrame):
        (WebInspector.QuickConsole.prototype._removeExecutionContextPathComponentForFrame):
        (WebInspector.QuickConsole.prototype._updateExecutionContextPathComponentForFrame):
        PathComponents are a linked list. We display them sorted. These are helpers for
        inserting, removing, and updating a path component in that list.

        (WebInspector.QuickConsole.prototype._pathComponentSelected):
        (WebInspector.QuickConsole.prototype._debuggerActiveCallFrameDidChange):
        Changes to the state of the inspector that may require the UI to update.

        * UserInterface/JavaScriptTextPrompt.js:
        (WebInspector.JavaScriptTextPrompt.prototype.evalInInspectedWindow):
        Evaluate in the context selected in the QuickConsole.

2013-03-17  Joseph Pecoraro  <pecoraro@apple.com>

        Create an ExecutionContextList class.

        <rdar://problem/10809363> PARITY (WebKit Web Inspector): UI for evaluating in different windows / frames from the console is missing

        There may be many ExecutionContexts for a page, one for each isolated
        world in the frame. Store each context for a frame in an ExecutionContext
        and provide an accessor for the one that is the page context.

        This also converges on the name "pageExecutionContext" instead of
        "mainExecutionContext" for the special context of the page.

        Reviewed by Dean Jackson.

        * UserInterface/Main.html:
        * UserInterface/ExecutionContextList.js: Added.
        (WebInspector.ExecutionContextList):
        (WebInspector.ExecutionContextList.prototype.get pageExecutionContext):
        (WebInspector.ExecutionContextList.prototype.get contexts):
        (WebInspector.ExecutionContextList.prototype.add):
        (WebInspector.ExecutionContextList.prototype.clear):
        ExecutionContextList holds a list of contexts and has a quick
        accessor for the page execution context.

        * UserInterface/Frame.js:
        (WebInspector.Frame):
        (WebInspector.Frame.prototype.get pageExecutionContext):
        (WebInspector.Frame.prototype.get executionContextList):
        (WebInspector.Frame.prototype.clearExecutionContexts):
        (WebInspector.Frame.prototype.addExecutionContext):
        Updated to use an ExecutionContextList.

        * UserInterface/DOMTree.js:
        (WebInspector.DOMTree):
        (WebInspector.DOMTree.prototype.requestRootDOMNode):
        (WebInspector.DOMTree.prototype._requestRootDOMNode):
        (WebInspector.DOMTree.prototype._framePageExecutionContextChanged):
        Updated from mainExecutionContext to pageExecutionContext.

2013-03-16  Timothy Hatcher  <timothy@apple.com>

        Move the debugger controls from the quick console to the debugger sidebar.

        Also dynamically add and remove the call stack section so it isn't an eyesore
        when you are not paused.

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js:
        * UserInterface/DebuggerSidebarPanel.css: Added.
        (.sidebar > .panel.debugger > .content):
        (.sidebar > .panel.debugger > .navigation-bar):
        * UserInterface/DebuggerSidebarPanel.js:
        (WebInspector.DebuggerSidebarPanel):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerPauseResumeButtonClicked):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerStepOverButtonClicked):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerStepIntoButtonClicked):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerStepOutButtonClicked):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerDidPause):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerDidResume):
        (WebInspector.DebuggerSidebarPanel.prototype._debuggerCallFramesDidChange):
        (WebInspector.DebuggerSidebarPanel.prototype.deselectCallStackContentTreeElements): Added.
        (WebInspector.DebuggerSidebarPanel.prototype._treeElementSelected):
        * UserInterface/Main.html:
        * UserInterface/QuickConsole.js:
        (WebInspector.QuickConsole):
        (WebInspector.QuickConsole.prototype._toggleOrFocus):

2013-03-16  Timothy Hatcher  <timothy@apple.com>

        Make the toolbar labels look better in window mode.

        Rubber-stamped by Joseph Pecoraro.

        * UserInterface/Toolbar.css:
        (body:not(.docked) .toolbar .item.button > .label): Apply antialiased only to the labels
        so we don't affect text in the dashboard. Also add a stroke to make the text heavier.

2013-03-16  Timothy Hatcher  <timothy@apple.com>

        Make toolbar items layout and collapse better at narrow window sizes.

        <rdar://problem/13189092> Toolbar items can be laid out on top of each other with narrow window

        Reviewed by Joseph Pecoraro.

        * UserInterface/ButtonToolbarItem.css:
        (.toolbar.collapsed .item.button > .label): Removed. We only use icon-only now.

        * UserInterface/DashboardView.css:
        (.toolbar.collapsed .dashboard): Added. Collapses when there is no room.

        * UserInterface/NavigationBar.js:
        (WebInspector.NavigationBar.prototype.updateLayout): Call customUpdateLayout() if it exists.

        * UserInterface/Toolbar.css:
        (.toolbar .item-section:not(.center)): Removed min-width and made flex be 1.
        (.toolbar .item-section.left): Added right margin to prevent touching.
        (.toolbar .item-section.center): Make flex be 2 so it can be a different width.
        (.toolbar .item-section.right): Added a left margin to prevent touching.

        * UserInterface/Toolbar.js:
        (WebInspector.Toolbar.prototype.set displayMode): Revert the forced icon-only mode.

        (WebInspector.Toolbar.prototype.customUpdateLayout.computeItemWidths): Added.
        (WebInspector.Toolbar.prototype.customUpdateLayout.computeSectionWidths): Added.
        (WebInspector.Toolbar.prototype.customUpdateLayout): Added.
        Computes each section individually for overflow. If any section overflow switch to icon-only
        mode when in horizontal-label mode. If any section overflows after that then collapse the
        toolbar, which only hides the Dashboard right now.

2013-03-16  Timothy Hatcher  <timothy@apple.com>

        Make the labels in the Instruments sidebar be 11px instead of 10px.

        Reviewed by Joseph Pecoraro.

        * UserInterface/NavigationSidebarPanel.css:
        Removed a rule that was making the font-size 10px. Only the Instruments
        sidebar triggered this rule.

2013-03-16  Timothy Hatcher  <timothy@apple.com>

        Break-up the generation of images and delay the generation of
        active images so the initial page load is faster.

        <rdar://problem/13436334> Web Inspector takes about 3s to activate

        Reviewed by Joseph Pecoraro.

        * UserInterface/ImageUtilities.js:
        (.generateImages.generateActiveImages): Added.
        (.generateImages): Set a tiemout to call generateActiveImages.
        (._generateImages.generateActiveImages): Added.
        (._generateImages): Set a tiemout to call generateActiveImages.

2013-03-15  Timothy Hatcher  <timothy@apple.com>

        Sort resources by domain before sorting alphabetically by name.

        This was suggested by someone on Twitter. It allows local resources to bubble
        to the top and external resources (analytic scripts, etc.) to come later.

        Reviewed by Joseph Pecoraro.

        * UserInterface/GeneralTreeElement.js:
        (WebInspector.GeneralTreeElement):
        (WebInspector.GeneralTreeElement.prototype.set mainTitle):
        (WebInspector.GeneralTreeElement.prototype.set subtitle):
        Fallback to "" for mainTitle and subtitle.
 
        * UserInterface/ResourceTreeElement.js:
        (WebInspector.ResourceTreeElement.compareResourceTreeElements):
        Sort resources by domain (subtitle) before sorting by name (mainTitle).

2013-03-15  Jessie Berlin  <jberlin@apple.com>

        Ran update-safari-localizable-strings.

        * Localizations/en.lproj/localizedStrings.js:

2013-03-14  Timothy Hatcher  <timothy@apple.com>

        Display em-dashes instead of "0" for resources size and time to make it clear
        the values are not known yet.

        Reviewed by Joseph Pecoraro.

        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView.prototype.set time):
        (WebInspector.DashboardView.prototype.set resourcesSize):

2013-03-14  Timothy Hatcher  <timothy@apple.com>

        Remove references to bottomUpHead. We can build the bottom-up tree locally.

        The bottomUpHead is being removed from the protocol by https://webkit.org/b/112351.
        Also remove references to TopDownTreeFactory and BottomUpTreeFactory with is dead code.

        Reviewed by Joseph Pecoraro.

        * UserInterface/JavaScriptProfileView.js:
        (WebInspector.JavaScriptProfileView.prototype.get bottomUpProfileDataGridTree):

2013-03-14  Timothy Hatcher  <timothy@apple.com>

        Always specify overflow-x when specifying overflow-y.

        Not specifying overflow-x causes it to be auto and can show scrollbars for wide content.
        Also use auto instead of scroll in a few places to prevent scroll bars from always being
        visible when the system prefers non-overlay scrollbars.

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDetailsSidebarPanel.css:
        (.sidebar > .panel.details.css-style > .content):
        * UserInterface/LayerTreeSidebarPanel.css:
        (.layer-tree.panel .data-container):
        * UserInterface/LogContentView.css:
        (.console-messages):
        * UserInterface/Popover.css:
        (.popover > .container):

2013-03-14  Timothy Hatcher  <timothy@apple.com>

        Remove the memory placeholder in the toolbar dashboard now that we deferred that feature.

        This also evenly distributes the items for a better layout in all modes.

        <rdar://problem/13237747> Dashboard items are not evenly distributed

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js: Updated.

        * UserInterface/DashboardView.css:
        Overhauled the styles to use flex layout in all cases.

        * UserInterface/DashboardView.js:
        (WebInspector.DashboardView):
        Removed memory and split resources into resourceCount and resourcesSize.

        (WebInspector.DashboardView.prototype.set logs):
        (WebInspector.DashboardView.prototype.set issues):
        (WebInspector.DashboardView.prototype.set errors):
        (WebInspector.DashboardView.prototype.set resourcesCount):
        Call _formatPossibleLargeNumber and set the outlet.

        (WebInspector.DashboardView.prototype.set resourcesSize):
        Set the resourcesSize outlet instead of calling _updateResourcesOutlet.

        (WebInspector.DashboardView.prototype._formatPossibleLargeNumber):
        Added. This is a better approach to dealing with large numbers than ellipsis.

        (WebInspector.DashboardView.prototype._appendElementForNamedItem):
        Removed the double div. It is no longer needed to truncate since all the outlets
        can't really go larger than 6 characters now.

        (WebInspector.DashboardView.prototype._networkItemWasClicked):
        Renamed from _timeWasClicked so resourcesSize can use it.

        * UserInterface/Images/Weight.svg: Added.

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Mark DOM node styles as needing refreshed when an ancestor changes pseudo classes or any attributes change.

        <rdar://problem/13412234> REGRESSION: Style details sidebar does not update when ancestor nodes change

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleManager.js:
        (WebInspector.CSSStyleManager): Add event listeners for all nodes.
        (WebInspector.CSSStyleManager.prototype._nodePseudoClassesDidChange): Added.
        (WebInspector.CSSStyleManager.prototype._nodeAttributesDidChange): Added.
        * UserInterface/DOMNodeStyles.js:
        (WebInspector.DOMNodeStyles): Remove event listeners on the single node.
        (WebInspector.DOMNodeStyles.prototype.pseudoClassesDidChange): Added.
        (WebInspector.DOMNodeStyles.prototype.attributeDidChange): Added.

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Always refresh the DOM node styles when visibility changes for the sidebar or separate panels.

        <rdar://problem/13412234> REGRESSION: Style details sidebar does not update when ancestor nodes change

        Reviewed by Joseph Pecoraro.

        * UserInterface/CSSStyleDetailsSidebarPanel.js:
        (WebInspector.CSSStyleDetailsSidebarPanel.prototype.visibilityDidChange):
        Call markAsNeedsRefresh instead of the removed refreshIfNeeded.

        * UserInterface/StyleDetailsPanel.js:
        (WebInspector.StyleDetailsPanel):
        (WebInspector.StyleDetailsPanel.prototype.shown):
        (WebInspector.StyleDetailsPanel.prototype.markAsNeedsRefresh):
        (WebInspector.StyleDetailsPanel.prototype._refreshNodeStyles): Added.
        (WebInspector.StyleDetailsPanel.prototype._nodeStylesRefreshed):
        (WebInspector.StyleDetailsPanel.prototype._nodeStylesNeedsRefreshed):
        Remove the concept of having a separate needs refresh flag. Instead we just call refresh on the DOMNodeStyles
        and wait for the Refreshed event. This way we always get the latest styles when first showing the panel.

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13421555> Source code links should always show the original location

        Location links will now show the original location normally, and
        display a mapped / formatted display location in italics when hovered,
        but only if such a location exists.

        Reviewed by Timothy Hatcher.

        * UserInterface/LayoutTimelineDataGridNode.js:
        (WebInspector.LayoutTimelineDataGridNode.prototype.createCellContent):
        * UserInterface/Main.js:
        (WebInspector.createSourceCodeLocationLink):
        Use the SourceCodeLocation helpers to keep the contents live.

        * UserInterface/Main.css:
        (.display-location):
        Make display locations italic.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.tooltipString):
        (WebInspector.SourceCodeLocation.prototype.populateLiveDisplayLocationTooltip):
        (WebInspector.SourceCodeLocation.prototype.populateLiveDisplayLocationString):
        Different handlers to keep a tooltip or element property live.

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13418338> Show / Hide Shadow DOM should not change the selected node, or select the earliest ancestor

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeOutline.js:

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13418332> Remove or selectively show "Show Shadow DOM" context menu, there is a nav bar button

        Reviewed by Timothy Hatcher.

        * UserInterface/DOMTreeOutline.js:
        (WebInspector.DOMTreeOutline.prototype.populateContextMenu):
        (WebInspector.DOMTreeOutline.prototype._populateContextMenu):

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        Improve JavaScript pretty printing of "finally"

        Reviewed by Timothy Hatcher.

        * UserInterface/CodeMirrorFormatters.js:
        * Tools/PrettyPrinting/CodeMirrorFormatters.js:

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        Provide a SourceCodeLocation helper that keeps an element text up to date.

        Reviewed by Timothy Hatcher.

        * UserInterface/LayoutTimelineDataGridNode.js:
        (WebInspector.LayoutTimelineDataGridNode.prototype.createCellContent):
        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype.setAndKeepElementDisplayLocationStringUpToDate):

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        Let WebInspector.createSourceCodeLocationLink create a goToArrow

        Reviewed by Timothy Hatcher.

        This allows LayoutTimelineDataGridNode to use createSourceCodeLocationLink
        and not remove its children.

        * UserInterface/LayoutTimelineDataGridNode.js:
        (WebInspector.LayoutTimelineDataGridNode.prototype.createCellContent):
        * UserInterface/Main.js:
        (.updateLinkDisplayStrings):
        (WebInspector.createSourceCodeLocationLink):

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        WebInspector.createSourceCodeLocationLink use SourceCodeLocation's full power

        Reviewed by Timothy Hatcher.

        When a link is created with a source code location we can show the real
        location (mapped location, formatted location, original location) and
        update the link and tooltip when things change.

        * UserInterface/EventListenerSectionGroup.js:
        (WebInspector.EventListenerSectionGroup.prototype._functionTextOrLink):
        Switch to from createSourceCodeLink to createSourceCodeLocationLink.

        * UserInterface/Main.js:
        (WebInspector.createSourceCodeLocationLink):
        Update link text and tooltip when the location changes.

        * UserInterface/SourceCodeLocation.js:
        (WebInspector.SourceCodeLocation.prototype._locationString):
        Use SourceCode.displayName and handle source codes without URLs if needed.

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13386143> REGRESSION (CodeMirror): Jump to line / reveal line should reveal closer to the middle of the editor never the top or bottom if possible

        If revealLine is called with a line outside the visible set of lines
        in the editor then scroll the editor to make that line the center.
        This also behaves as expected for lines the start / end of a document.

        Reviewed by Timothy Hatcher.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.shown):
        In order for cm.getScrollInfo() values to be valid after an editor is
        reattached to the DOM Hierarchy we have to call refresh, and because of
        the way CodeMirror works (coalescing changes in operations) the
        getScrollInfo is only valid after the refresh operation. So remove the
        wrapping operation here.

        (WebInspector.TextEditor.prototype.set formatted):
        If you pretty print a document do not send a change event and
        cause the value to be sent to the backend. The frontend style
        sidebar expects line and column numbers for the original
        unformatted document.

        (WebInspector.TextEditor.prototype.revealAndHighlightLine):
        (WebInspector.TextEditor.prototype.revealLine):
        (WebInspector.TextEditor.prototype._scrollIntoViewCentered):
        (WebInspector.TextEditor.prototype._prettyPrint):
        In revealLine or prettyPrint when we move the selection make a decision
        whether or not to scroll the editor to put that line in the center.

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        Update CodeMirror to ToT (v3.1+) which includes some JavaScript language and selection fixes

        <rdar://problem/13396332> CodeMirror: Selection on lines that wrap more than once is incorrect

        Rubber-stamped by Timothy Hatcher.

        * UserInterface/External/CodeMirror/codemirror.js:
        * UserInterface/External/CodeMirror/javascript.js:

2013-03-14  Joseph Pecoraro  <pecoraro@apple.com>

        <rdar://problem/13410237> REGRESSION: Editing CSS resources no longer works (it is read-only)

        Reviewed by Ricky Mondello.

        * UserInterface/TextEditor.js:
        (WebInspector.TextEditor.prototype.set readOnly):

2013-03-14  Antoine Quint  <graouts@apple.com>

        <rdar://problem/13410257> Display the reason why a layer is composited

        Retrieve the reason why the selected layer in the layer tree sidebar
        panel is composited and display them in a popover anchored to the
        selected data grid node, removing the popover when the inspector
        loses focus or the data grid node is no longer selected.

        Reviewed by Joseph Pecoraro.

        * Localizations/en.lproj/localizedStrings.js:
        Add new strings used to display the various compositing reasons.

        * UserInterface/InspectorBackendCommands.js:
        Add new LayerTree.reasonsForCompositingLayer() protocol method.

        * UserInterface/LayerTreeManager.js:
        (WebInspector.LayerTreeManager.prototype.reasonsForCompositingLayer):
        Wrapper for the new LayerTree.reasonsForCompositingLayer() protocol
        method.

        * UserInterface/LayerTreeSidebarPanel.css:
        (.layer-tree-popover):
        (.layer-tree-popover p):
        (.layer-tree-popover ul):
        (.layer-tree-popover li):
        Styles for the content displayed in a popover to show the compositing
        reasons for the selected layer.

        * UserInterface/LayerTreeSidebarPanel.js:
        (WebInspector.LayerTreeSidebarPanel.prototype._selectedDataGridNodeChanged):
        On top of highlighting the appropriate region in the canvas for the
        selected layer, also show a popover with the reasons why it was
        composited or remove the popover if there are no selected layers.

        (WebInspector.LayerTreeSidebarPanel.prototype._dataGridGainedFocus):
        Show the popover for the selected data grid node.

        (WebInspector.LayerTreeSidebarPanel.prototype._dataGridLostFocus):
        Hide the popover.

        (WebInspector.LayerTreeSidebarPanel.prototype._showPopoverForSelectedNode):
        (WebInspector.LayerTreeSidebarPanel.prototype._hidePopover):
        (WebInspector.LayerTreeSidebarPanel.prototype.):
        (WebInspector.LayerTreeSidebarPanel.prototype._populateListOfCompositingReasons):
        Show a popover listing the compositing reasons for the selected layer
        anchored to the selected data grid node. The content of the popover
        is provided after the call to the agent to retrieve the reasons for
        compositing has returned.

        * UserInterface/Popover.css:
        (.popover):
        (.popover.arrow-up):
        (.popover.arrow-right):
        (.popover.arrow-down):
        (.popover.arrow-left):
        * UserInterface/Popover.js:
        (WebInspector.Popover.prototype.area):
        (WebInspector.Popover.prototype.present):
        (WebInspector.Popover.prototype._bestMetricsForEdge):
        Miscellaneous enhancements for better popover behavior where we correctly
        round up the metrics for the hosted content, ensure we interrupt a dismiss
        animation when presenting the popover again, and change the sizing behavior
        to take into account the various padding metrics applied as a result of
        picking a given edge.

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Don't wait until DOMContentLoaded to do non-UI initialization when loading the Web Inspector.

        Part of: <rdar://problem/13412219> REGRESSION: Opening the Web Inspector takes 5s

        Reviewed by Joseph Pecoraro.

        * UserInterface/CodeMirrorAdditions.js:
        Moved extra MIME-type registration here.

        * UserInterface/Main.html:
        Added a inline script to call WebInspector.loaded(). This needs to be outside of Main.js so it
        comes after the scripts added via document.write when Main.js is a combined file.

        * UserInterface/Main.js:
        (WebInspector.loaded): Added. Moved code from contentLoaded.
        (WebInspector.contentLoaded): Moved code to loaded.
        (WebInspector._windowResized): Call _contentBrowserSizeDidChange to avoid registering for resize twice.

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Add selected images for UserInputResult.pdf and UserInputPromptPrevious.pdf.

        Reviewed by Joseph Pecoraro.

        * UserInterface/Images/UserInputPromptPreviousSelected.pdf: Added.
        * UserInterface/Images/UserInputResultSelected.pdf: Added.
        * UserInterface/LogContentView.css:
        (.console-messages:focus .console-item.selected .console-user-command-result.console-log-level::before):
        (.console-messages:focus .console-item.selected .console-user-command::before):

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Make copy work in the split console.

        <rdar://problem/13411428> Copy does not work if the console is in split view

        Reviewed by Joseph Pecoraro.

        * UserInterface/Main.js:
        (WebInspector._focusedContentView): Added.
        (WebInspector._beforecopy): Structure more like _copy. Use _focusedContentView.
        (WebInspector._copy): Use _focusedContentView.

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Remove old focus tracking code in EditingSupport.js and start tracking currentFocusElement
        and previousFocusElement in Main.js's _focusChanged handler.

        Reviewed by Joseph Pecoraro.

        * UserInterface/EditingSupport.js:
        (WebInspector.startEditing.cleanUpAfterEditing): Use restoreFocusFromElement().

        * UserInterface/JavaScriptTextPrompt.js:
        (WebInspector.JavaScriptTextPrompt.prototype.focus): Use focus().

        * UserInterface/Main.js:
        (WebInspector.restoreFocusFromElement): Added.
        (WebInspector._focusChanged): Set currentFocusElement and previousFocusElement.

        * UserInterface/TextPrompt.js:
        (WebInspector.TextPrompt.prototype._startEditing): Use focus().

2013-03-13  Timothy Hatcher  <timothy@apple.com>

        Fix some things with the new console selection behavior.

        * Makes sure all disclosure triangles and text are white when the row selection is blue.
        * Makes sure all disclosure triangles and text are normal when the row selection is gray.
        * Fixes a bug where click would cause the row to jump between top and bottom reveal instead of
          toggling a clicked disclosure triangle.
        * Only expand recursively if the Option key is pressed. This matches the TreeOutline code.
        * Collapse recursively if the option key is pressed.
        * Better aligns the disclosure triangles with DOM tree nodes.

        Reviewed by Antoine Quint.

        * UserInterface/LogContentView.css:
        (.console-messages):
        (.console-item.selected):
        (.console-messages:focus .console-item.selected *):
